=== gstreamer 0.6.5 ===

2004-02-12  Thomas Vander Stichele  <thomas at apestaart dot org>

	* NEWS: GStreamer 0.6.5 "EOS" released
	* Makefile.am:
	* common/m4/gst-arch.m4:
          integrate RH patch
	* common/m4/gst-doc.m4:
	* configure.ac:
	* docs/Makefile.am:
	* docs/faq/Makefile.am:
	* docs/gst/Makefile.am:
	* docs/libs/Makefile.am:
	* docs/manual/Makefile.am:
	* docs/manuals.mak:
	* docs/pwg/Makefile.am:
          update docs build
	* docs/pwg/pwg.xml:
	* gstreamer.spec.in:
          update spec file
	* tools/Makefile.am:
          update tools installation

2004-02-11  Thomas Vander Stichele  <thomas at apestaart dot org>

	* tools/Makefile.am:
	* tools/gst-complete.1:
	* tools/gst-complete.1.in:
	* tools/gst-compprep.1:
	* tools/gst-compprep.1.in:
	* tools/gst-feedback:
	* tools/gst-feedback-0.6:
	* tools/gst-feedback-0.6.1.in:
	* tools/gst-feedback.1:
	* tools/gst-feedback.1.in:
	* tools/gst-inspect.1:
	* tools/gst-inspect.1.in:
	* tools/gst-launch.1:
	* tools/gst-launch.1.in:
	* tools/gst-md5sum.1:
	* tools/gst-md5sum.1.in:
	* tools/gst-register.1:
	* tools/gst-register.1.in:
	* tools/gst-typefind.1:
	* tools/gst-typefind.1.in:
	* tools/gst-xmllaunch.1:
	* tools/gst-xmllaunch.1.in:
	  add gst-run code to frontend for versioned tools
	  generate man pages

2004-02-11  Thomas Vander Stichele  <thomas at apestaart dot org>

	* configure.ac: bump nano to 1 for cvs

2003-05-31  Thomas Vander Stichele <thomas at apestaart dot org>

	* gst/gstelement.c: (gst_element_remove_ghost_pad):
	* gst/gstpad.c: (gst_pad_class_init), (gst_pad_init),
	(gst_pad_dispose), (gst_pad_custom_new_from_template),
	(gst_pad_set_pad_template), (gst_pad_remove_ghost_pad),
	(gst_pad_try_relink_filtered_func), (gst_real_pad_dispose),
	(gst_ghost_pad_class_init), (gst_ghost_pad_init),
	(gst_ghost_pad_dispose), (gst_ghost_pad_new):
        Backport Company's refcounting fixes to fix libgstplay

2003-02-02  Thomas Vander Stichele <thomas at apestaart dot org>

        * configure.ac:
          - releasing 0.6.0
          - update libtool version from 3.0.0 -> 0.0.0  because libname
            went from libgstreamer-0.5 -> libgstreamer-0.6

2003-01-09  Thomas Vander Stichele <thomas at apestaart dot org>

        * first pass at changing _connect/_disconnect -> _link/_unlink
	* gst/gstcompat.h: created

2002-11-27  Thomas Vander Stichele <thomas at apestaart dot org>

        * ChangeLog: added an entry
        * gst/gst.*: add gst_init_check which can return TRUE or FALSE
                     make gst_init_with_popt_table do the same
                     only initialize once, like GTK does

2002-04-12  Thomas Vander Stichele <thomas@apestaart.org>

  	* gst/gst*.[ch]: commited GUAD3C code review comments (marked CR1)

	* gst/gstregistry.[ch]: added to handle registry stuff
	  gst/gst.c: changed to use new --gst-registry option
	  tools/gst-register.c: use new registry functions
          for more info, check docs/random/thomasvs/registry

2002-03-01  Michael Meeks  <michael@ximian.com>                                
       * docs/manual/Makefile.am: use $(wildcard) instead of                   
       strange shell stuff.                                                    
                                                                               
       * tools/Makefile.am: handle conditionals in a compatible way            
                                                                               
       * docs/manuals.mak: don't do silly things with if/else                  

2002-01-15  Bastien Nocera  <hadess@hadess.net>

	* tests/Makefile.am: add all the dirs to the DIST_SUBDIRS

2002-01-15  Bastien Nocera  <hadess@hadess.net>

	* tests/Makefile.am: dodge compiling memchunk and bufspeed
	if NASM is not present

2002-01-03 Rodney Dawes  <dobey@free.fr>

	* gstreamer.spec.in: Fixed the missing plug-ins problem

2001-12-29 Rodney Dawes  <dobey@free.fr>

	* gstreamer.spec.in: Fixed up for the splitification
	
2001-12-23 Thomas Vander Stichele  <thomas@apestaart.org>

	* moved plugins out of the core to gst-plugins
	* moved some of the libs out of the core to gst-plugins
	* moved the other libs around so headers get installed in
	  <gst/(lib)/...>

2001-12-15 Thomas Vander Stichele  <thomas@apestaart.org>

	* configure.ac : major overhaul
	* m4/ dir added with lots of checks in it

2001-12-14  Michael Meeks  <michael@ximian.com>

	* gst/gst.c (gst_main, gst_main_quit): upd.

	* gst/gstutils.c (gst_util_has_arg): impl.
	(gst_util_get_int64_arg): impl.

	* plugins/mpeg2/video/gstmpeg2play.c
	(gst_mpeg2play_class_init): min frames per sec = 0.

	* plugins/mikmod/gstmikmod.c (gst_mikmod_class_init): 
	s/16bit/use16bit/ properties can't begin with a non
	alpha.

	* tools/gstreamer-guilaunch.c: fresh from the ministy
	of nasty hacks.

	* tools/Makefile.am: enable gstreamer-guilaunch for
	Gnome 2.0

	* tools/gstreamer-launch.c (main): upd.
	(idle_func): quit the mainloop.

2001-12-14  Michael Meeks  <michael@ximian.com>

        * plugins/audiofile/gstafsrc.c (gst_afsrc_class_init): upd.

        * plugins/gnomevfs/gnomevfssrc.c (gst_gnomevfssrc_class_init):
        kill broken mess for install_std_props.

        * plugins/gnomevfs/gnomevfssink.c
        (gst_gnomevfssink_class_init): upd.

        * tools/gstreamer-launch.c (main): add efence hook.

        * gst/elements/gstfilesrc.c (gst_filesrc_get): use
        a volatile pointer, don't write to the buffer.

        * gst/gstelement.c (gst_element_populate_std_props):
        add debug & robustness.

        * gst/gstelement.c (gst_element_populate_std_props):
        add debug & robustness.

2001-12-13  Michael Meeks  <michael@ximian.com>

	* gst/elements/*.c: (..._class_init): clean to use
	gst_populate_std_props.

	* gst/gstelement.c
	(gst_element_populate_std_props): impl, simply for now,
	with a few standard properties.
	(gst_element_install_std_props): impl nice helper.

2001-12-13  Michael Meeks  <michael@ximian.com>

	* gst/gstplugin.c (_gst_plugin_initialize): g_error
	instead of warning.

	* Makefile.am: update.

	* editor/gsteditorprojectview.c (view_on_element_added): 

	* editor/gsteditorproject.c
	(gst_editor_project_class_init): upd.

	* plugins/avi/gstavimux.c
	(gst_avimux_request_new_pad): don't clobber name.

	* libs/control/gstdparammanager.c
	(gst_dpman_class_init): upd.
	(gst_dpman_dispose): chain to parent.

	* gst/cothreads.c (cothread_create): use guchar *'s
	not void *'s for bytewise pointer arithmetic.

	* gst/gstelement.h: kill const on get_property value.

	* plugins/avi/gstavimux.c
	(gst_avimux_request_new_pad): add name param.

	* configure.ac: Add checks for libglade-2.0 and
	gnome-vfs-2.0

2001-12-13  Michael Meeks  <michael@ximian.com>

	* plugins/xvideosink/Makefile.am: add $(X_LIBS)

	* examples/typefind/typefind.c (type_found): upd.
	xml code.

	* plugins/mikmod/gstmikmod.c
	(gst_mikmod_set_property): same memory bug here -
	unfixed.

	* plugins/oss/gstosssrc.c
	(gst_osssrc_set_property): fix memory issue.
	(gst_osssrc_init): dup the string - argh; quit here -
	such code should be stuck in a common base class not
	cut and pasted.

	* plugins/oss/gstosssink.c
	(gst_osssink_init): manage the device allocation.
	(gst_osssink_finalize): impl.
	(gst_osssink_class_init): upd.
	(gst_osssink_set_property): upd.

	* acconfig.h: cover HAVE_LIBXML2

	* configure.ac: update libxml checks.

2001-12-11 22:10  thomasvs

	* lots of build fixes for 0.3.0 release

2001-08-15 23:43  cael

	* gstplay/: ChangeLog, gstmediaplay.c, gstplay.c: Added hacky check
	to make sure we have video to fullscreen, will be removed when the
	new libgstplay lands.

2001-08-15 23:32  cael

	* gstplay/: ChangeLog, gstmediaplay.c, gstmediaplay.glade,
	gstmediaplay.h, gstplay.c, main.c: Added a bunch of new stuff
	including better fullscreen handling and some new playlist stuff
	that's not hooked up yet.

2001-08-14 20:13  thomasvs

	* gstreamer-uninstalled.pc.in: changed this to work for gst-bind if
	anyone gets into problems with this then let me know and we'll fix
	it together ;)

2001-08-14 05:11  parapraxis

	* gst/: gobject2gtk.c, gobject2gtk.h: sync gobject2gtk with
	paranormal

2001-08-13 21:19  omegahacker

	* gst/: gsttimecache.c, gsttimecache.h: added first pass at the
	GstTimeCache

2001-08-13 20:03  omegahacker

	* gst/Makefile.am: messy hack to make sure libgst.la builds
	properly (FIXME!)

2001-08-13 20:00  sbaker3

	* docs/: gst/gstreamer-sections.txt, manual/dynamic.sgml,
	manual/helloworld2.sgml, manual/pads.sgml, manual/queues.sgml,
	manual/threads.sgml, manual/typedetection.sgml, manual/xml.sgml:
	sync with the current CVS glib API

2001-08-13 19:55  sbaker3

	* test/avi2mpg.c, test/lat.c, test/mp1tomp1.c, test/mp2toavi.c,
	test/mp2tomp1.c, test/mp2tomp1v2.c, test/mp3.c, test/mp3parse.c,
	test/mp3play.c, test/mp3tovorbis.c, test/pipetest.c, test/qtest.c,
	tests/autoplug.c, tests/events.c, tests/mp1vid.c, tests/paranoia.c,
	tests/states.c, tests/eos/case1.c, tests/eos/case2.c,
	tests/eos/case3.c, tests/eos/case4.c, tests/eos/case5.c,
	tests/eos/case6.c, tests/eos/case7.c, tests/muxing/case1.c,
	tests/sched/runxml.c: sync with the current CVS glib API

2001-08-13 19:50  sbaker3

	* plugins/aasink/aasink.c, plugins/audiofile/gstafsink.c,
	plugins/audiofile/gstafsrc.c, plugins/avi/gstavidecoder.c,
	plugins/avi/wincodec/gstwinenc.cc, plugins/cdparanoia/cdparanoia.c,
	plugins/dv/dvdec.c, plugins/filters/cutter/cutter.c,
	plugins/gnomevfs/gnomevfssink.c, plugins/gnomevfs/gnomevfssrc.c,
	plugins/gsm/gstgsmenc.c, plugins/jpeg/gstjpegenc.c,
	plugins/mpeg1/mpeg_play/gstmpeg_play.c, plugins/oss/gstosssink.c,
	plugins/quicktime/gstquicktimedecoder.c,
	plugins/sdlsink/sdlvideosink.c, plugins/xvideosink/xvideosink.c,
	examples/cutter/cutter.c, examples/helloworld/helloworld.c,
	examples/helloworld2/helloworld2.c, examples/mixer/mixer.c,
	examples/plugins/example.c, examples/queue2/queue2.c,
	examples/queue3/queue3.c, examples/queue4/queue4.c,
	examples/thread/thread.c, examples/typefind/typefind.c,
	examples/xml/createxml.c, examples/xml/runxml.c: sync with the
	current CVS glib API

2001-08-13 19:48  omegahacker

	* configure.base: Added libgst.la to the global LDFLAGS, so all
	plugins link against it.  This should help solve problems with
	bindings and dynamic loading of libgst.

2001-08-13 19:45  sbaker3

	* gst/: gobject2gtk.c, gobject2gtk.h, gst.c, gstautoplug.c,
	gstbin.c, gstelement.c, gstobject.c, gstpad.c, gstparse.c,
	gsttypefind.c, gstxml.c, autoplug/autoplugtest.c,
	autoplug/gstautoplugcache.c, autoplug/gstautoplugger.c,
	autoplug/gststaticautoplug.c, autoplug/gststaticautoplugrender.c,
	elements/gstdisksink.c, elements/gstfakesink.c,
	elements/gstfakesrc.c, elements/gstidentity.c,
	elements/gstmultidisksrc.c: sync with the current CVS glib API

2001-08-13 14:52  thomasvs

	* configure.base: added swig/Makefile.PL

2001-08-12 11:09  sbaker3

	* tests/.cvsignore: added more exes

2001-08-12 10:48  sbaker3

	* gst/gstbufferpool.c: doc update

2001-08-11 23:04  omegahacker

	* gst/gstbuffer.c: fixed stupid bug in buffer_span()

2001-08-11 09:25  omegahacker

	* gst/: gstbuffer.c, gstbuffer.h: - changed timestamps to gint64
	(*signed* 64-bit) - updated buf->offset handling to deal with the
	-1 (0xffffffff) case - added gst_buffer_span() and gst_buffer_merge
	(see -devel for details)

2001-08-10 22:36  wtay

	* gst/elements/gstdisksrc.c: mmap returns MAP_FAILED in case of an
	error, also do a perror in case of a failure.

2001-08-10 18:45  wtay

	* test/misc/: Makefile.am, gsmdec.c, gsmenc.c, mpgPlayer.c: Added
	some test apps by Zeenix.

2001-08-10 18:40  wtay

	* configure.base, docs/fwg/intro.sgml, plugins/SID/gstsiddec.cc,
	plugins/audiofile/gstafsink.c, plugins/gnomevfs/gnomevfssrc.c,
	plugins/mpeg1/mpeg_play/gstmpeg_play.c, plugins/oss/gstosssink.c,
	plugins/quicktime/gstquicktimedemux.c,
	plugins/quicktime/gstquicktimesink.c, plugins/udp/gstudpsrc.c,
	test/Makefile.am, test/main.c, tests/faketest.c,
	tools/gstreamer-inspect.c: Fixes to various plugins.  Removed the
	eos/qos calls in favour of the soon to be event system.  Added a
	test app to test element reuse (doesn't work)

2001-08-10 18:34  wtay

	* gst/: gstobject.h, gstpad.c, gstpad.h, gstqueue.c,
	gstscheduler.c, elements/gstdisksrc.c, elements/gstfakesrc.c,
	elements/gstfdsrc.c, elements/gstmultidisksrc.c,
	elements/gstpipefilter.c: Removed the old eos and qos functions. 
	Removed the functions from the elements.

2001-08-10 18:02  sbaker3

	* examples/launch/.cvsignore: added an exe

2001-08-10 17:49  sbaker3

	* examples/: mixer/.cvsignore, cutter/.cvsignore: added an exe

2001-08-10 17:36  sbaker3

	* tests/.cvsignore: hide new tests

2001-08-07 17:14  thomasvs

	* configure.base: removed libs/colorscpace again

2001-08-07 17:08  thomasvs

	* configure.base: do FLAC lib check against main function

2001-08-07 17:06  thomasvs

	* acconfig.h, configure.base, plugins/Makefile.am: changed
	HAVE_FLAC to HAVE_FLACLIB

2001-08-07 15:46  thomasvs

	* configure.base: added a few dnl'd AC_CONDITIONAL's to show a bug
	for HAVE_FLAC look for thomas in the file

2001-08-06 23:16  wtay

	* examples/plugins/example.c: Fixed the padtemplate definition.

2001-08-06 21:40  omegahacker

	* gst/gstevent.h: added gstevent.h

2001-08-06 21:37  omegahacker

	* gst/gstelement.c, gst/gstinfo.c, gst/gstinfo.h, gst/gstpad.c,
	gst/gstpad.h, gst/gstplugin.c, gst/gstscheduler.c, gst/gstthread.c,
	gst/elements/gstdisksrc.c, gst/elements/gstfakesink.c,
	tests/Makefile.am, tests/events.c: Initial code for the event
	system.

2001-08-06 21:20  wtay

	* plugins/flac/: Makefile.am, flacenc.c: Some compile fixes against
	FLAC 1.0

2001-08-06 20:52  wtay

	* gst/gstbufferpool.h: Added a missing UNLOCK macro.

2001-08-06 20:49  wtay

	* plugins/avi/wincodec/gstwinenc.cc: Updates for CVS avifile.

2001-08-06 17:46  theuraeus

	* configure.base: 2001-06-08 Christian Schaller
	<Uraeus@linuxrising.org> - Change from == to = since == only works
	with GNU test and not the version of test shipping with Solaris
	(and probably other Unices) - Once again a ordinary user has to
	teach hackers to hack :)

2001-08-03 01:08  omegahacker

	* gst/Makefile.am: moved the object-model headers back to _HDR
	where they belong

2001-08-03 00:55  hadess

	* Makefile.am: - revert location of gstreamer.pc

2001-08-03 00:50  hadess

	* Makefile.am: - install gstreamer.pc to the right place under
	$(prefix)/share/pkconfig

2001-08-01 23:44  dlehn

	* plugins/flac/: flacdec.c, flacenc.c: Type update for FLAC 1.0

2001-07-31 21:57  wtay

	* gst/gstthread.c: Added a missing state change switch. 
	Uncommented a big FIXME that was needed after all.  Stop now works.

2001-07-30 18:50  wtay

	* gstreamer-uninstalled.pc.in: Changes pcbuilddir to
	pc_top_builddir

2001-07-27 18:12  wtay

	* tests/: Makefile.am, faketest.c, muxing/case1.c: Added a simple
	thread state change app.

2001-07-27 17:35  sbaker3

	* tools/gstreamer-inspect.c: compile fix for glib2

2001-07-27 14:12  sbaker3

	* gst/gstbufferpool.c: compile fix when atomic refcounting is not
	available

2001-07-25 23:46  wtay

	* plugins/festival/gstfestival.c: Added caps to the src pad to
	properly set rate/channels for peer elements.

2001-07-25 22:40  wtay

	* tools/gstreamer-inspect.c: Added signal output and object
	hierarchy output.

2001-07-25 22:40  wtay

	* gst/: gobject2gtk.c, gobject2gtk.h: Added shims for signal
	introspections and g_type_parent

2001-07-25 21:49  wingo

	* configure.base: Fixed issue where AC_CHECK_LIB was polluting LIBS
	with -lxml.

2001-07-25 01:02  wingo

	* plugins/filters/speed/Makefile.am: Removed 'README' from
	EXTRA_DIST so that 'make dist' would work.

2001-07-24 21:05  theuraeus

	* tools/gstreamer-launch.1: 2001-23-07 Christian Schaller
	<Uraeus@linuxrising.org> - Put README contents into man page and
	fixed the Groff enconding (or whatever it is called.)

2001-07-23 01:57  wtay

	* plugins/ffmpeg/: gstffmpegdec.c, gstffmpegenc.c: Updated to the
	new 0.4.4 API.

2001-07-23 01:57  wtay

	* tools/gstreamer-launch.c: Reverted to the old g_idle loop. too
	many problems with xvideosink and the GtkWindow when we don't have
	an idle loop..

2001-07-20 23:10  dlehn

	* plugins/: mp3decode/mpg123/letest.c, mpeg2/ac3dec/bitstream.c:
	use glib for byte swapping

2001-07-20 23:08  dlehn

	* Makefile.am: Some basic deb building rules

2001-07-20 23:08  dlehn

	* plugins/mpeg2/parse/Makefile.am, test/Makefile.am: cosmetic
	stuff, -O3 does inline-functions

2001-07-20 22:26  wtay

	* docs/gst/: Makefile.am, gstreamer.hierarchy,
	tmpl/gstbufferpool.sgml, tmpl/gstfakesink.sgml,
	tmpl/gstidentity.sgml, tmpl/gstreamer-unused.sgml,
	tmpl/gsttee.sgml: Removed some stuff from the makefile until it
	stopped complaining when building debs...

2001-07-20 08:10  dlehn

	* plugins/mp3encode/lame/: gstlame.c, gstlame.h: update for newer
	LAME api

2001-07-20 08:00  dlehn

	* plugins/Makefile.am: Always compile avi dir.	It has it's own
	conditionals for avifile libs.	Add (back?) arts dir.  (was this
	out for a reason?)

2001-07-20 07:56  dlehn

	* plugins/mpeg2/mpeg2dec/Makefile.am: Change lib name from
	libmpeg2dec to libgstmpeg2dec to avoid confusion since it links to
	another libmpeg2dec.

2001-07-20 07:54  dlehn

	* docs/gst/gstreamer.hierarchy: remove Gtk classes from Gst
	hierarchy

2001-07-20 07:53  dlehn

	* configure.in.ac250: not used anymore

2001-07-20 07:52  dlehn

	* debian/: Makefile.am, README.Debian, changelog, control,
	gstreamer-arts.files, gstreamer-artsd.files,
	gstreamer-avifile.files, gstreamer-common.files,
	gstreamer-festival.files, gstreamer-flac.files,
	gstreamer-mpeg2dec.files, gstreamer-plugin-template.postinst,
	gstreamer-plugin-template.postrm, gstreamer-plugin-template.prerm,
	gstreamer-runtime.files, gstreamer-runtime.manpages,
	gstreamer-runtime.postinst, gstreamer-runtime.postrm,
	gstreamer-tools.files, gstreamer-tools.manpages, gstreamer-x.files,
	libgst0.postinst, libgsteditor0.postinst,
	libgstmediaplay0.postinst, rules: Update to Debian packaging files
	to 0.2.1-2

2001-07-18 23:38  richardb

	* docs/fwg/: Makefile.am, buffers.sgml, checklist.sgml,
	gst-plugin-writers-guide.sgml, srcnsink.sgml, statemanage.sgml:
	Sort out some remaining bits of fwg which weren't valid sgml.

2001-07-18 23:18  richardb

	* docs/manual/: debugging.sgml, helloworld2.sgml: Fix incorrectly
	matched tags, as found by xsltproc. ;-)

2001-07-18 23:08  richardb

	* REQUIREMENTS: Add instructions for getting docbook-gnome-bin
	debian package, needed to build manual and PWG.

2001-07-18 20:04  wtay

	* gst/autoplug/gststaticautoplugrender.c: Make sure the autoplugger
	doesn't try to connect elements with request pads for now.

2001-07-18 18:29  wtay

	* plugins/mpeg1/system_encode/: buffer.c, system_encode.c,
	system_encode.h, systems.c: Added request pad to the muxer.  Fixed
	the object size problem by dynamically allocating the sector data.

2001-07-17 23:01  richardb

	* plugins/effects/volume/volume.c: Rename the GstVolume type to
	GstVolumeOld, so that it doesn't conflict with the type registered
	by the new volume plugin.

2001-07-17 22:51  wtay

	* docs/fwg/intro.sgml: Added what I think should be the basic steps
	for writing a plugin.

2001-07-16 21:18  wtay

	* gst/: gstelement.h, gstscheduler.h: Added missing pad_select
	prototypes/defs.

2001-07-16 10:04  richardb

	* configure.base: Change tests/muxer/Makefile to
	tests/muxing/Makefile, since tests/muxer is now an empty dir.

2001-07-15 15:24  wtay

	* tools/gstreamer-launch.c: Changed the main loop to while
	(iterate(bin))

2001-07-15 14:04  wtay

	* gst/gstscheduler.c: Properly set the eos flag when no elements
	can be scheduled.

2001-07-14 21:29  shitowax

	* plugins/quicktime/: gstquicktimesink.c, gstquicktimesink.h:
	initial introduction of a really basic muxer

2001-07-14 21:15  thomasvs

	* configure.base: added muxer Makefile

2001-07-13 17:49  wtay

	* plugins/gsm/: gstgsm.c, gstgsmdec.c, gstgsmenc.c: Added capsnego
	to gsmdec/enc.

2001-07-11 23:52  wtay

	* gst/: gstpad.c, gstpad.h, gstscheduler.h,
	elements/gstaggregator.c, elements/gstaggregator.h,
	elements/gstfakesrc.c: Added prototypes for gst_pad_peek,
	gst_pad_select and gst_pad_selectv.  Added different scheduling
	methods in aggregator.	Fixed a bug in fakesrc when setting up the
	scheduling functions.

2001-07-11 20:26  wtay

	* tests/: Makefile.am, muxing/.cvsignore, muxing/Makefile.am,
	muxing/case1.c: Added a muxing test case.

2001-07-11 20:23  wtay

	* gst/gstscheduler.c: Added a g_assert when a filled bufpen is
	overwritten.

2001-07-11 20:22  wtay

	* gst/elements/: gstfakesink.c, gstfakesrc.c, gstidentity.c,
	gstidentity.h, gsttee.c, gsttee.h: Some cleanups in output of
	various test plugins.  Added debug output to tee.  Added buffer
	duplication to identity.

2001-07-11 17:45  wtay

	* gst/elements/: gstelements.c, gstfakesink.c, gstfakesink.h: Added
	request pads to fakesink.

2001-07-11 16:51  wtay

	* gst/elements/: gstaggregator.c, gstelements.c, gstfakesink.c,
	gstfakesrc.c, gstfakesrc.h, gstidentity.c, gstidentity.h, gsttee.c:
	Added DEBUG_FUNCPTR to most plugins.  Added request pads to fakesrc
	and aggregator.

2001-07-11 16:50  wtay

	* tools/gstreamer-inspect.c: Print out the request pad function.

2001-07-11 15:56  wtay

	* gst/elements/: Makefile.am, gstaggregator.c, gstaggregator.h,
	gstdisksink.c, gstdisksrc.c, gstelements.c, gstfakesink.c,
	gstfakesrc.c, gstfakesrc.h, gstfdsink.c, gstfdsrc.c, gsthttpsrc.c,
	gstidentity.c, gstsinesrc.c, gsttee.c: Some code cleanups.  Added
	printouts of the buffer timestamps in identity, fakesrc, fakesink. 
	Added an aggregator test element.

2001-07-11 13:33  wtay

	* gst/: gstelement.c, gstelement.h, gstelementfactory.c: Aplied the
	patch from Andy Wingo <apwingo@eos.ncsu.edu> add padtemplates to
	element classes without using an elementfactory.  The
	gst_element_add_padtemplate_to_class method was renamed to
	gst_element_class_add_padtemplate to better match glib/gtk
	conventions.

2001-07-11 13:09  wtay

	* docs/gst/tmpl/: gstmeta.sgml, spectrum.sgml: Removed the
	remaining bits of MetaData.

2001-07-11 02:02  omegahacker

	* configure.base: added speed and volume to configure.base

2001-07-11 00:47  omegahacker

	* plugins/filters/Makefile.am: added speed and volume to
	Makefile.am

2001-07-08 22:02  wtay

	* test/: Makefile.am, mp2tomp1v2.c, mp3play.c: Added a vob to mpeg1
	transcoder. note that this one is only 68 lines long.

2001-07-08 10:47  wtay

	* plugins/effects/volume/volume.c: I'm a moron..

2001-07-08 10:46  wtay

	* plugins/effects/volume/volume.c: Renamed the old volume plugin to
	volume_old.

2001-07-08 10:44  wtay

	* plugins/filters/: speed/Makefile.am, speed/filter.func,
	speed/speed.c, speed/speed.h, volume/Makefile.am,
	volume/filter.func, volume/mono-filter.func,
	volume/stereo-filter.func, volume/volume.c, volume/volume.h: Added
	the two plugins from Andy Wingo <apwingo@eos.ncsu.edu>

2001-07-07 17:34  wtay

	* docs/manual/Makefile.am: Added the init.sgml file to the makefile

2001-07-07 16:30  wtay

	* docs/manual/: intro.sgml, motivation.sgml: More blablah about how
	cool GStreamer really is..

2001-07-07 16:10  wtay

	* docs/manual/: gstreamer-manual.sgml, init.sgml, utility.sgml:
	Added docs on library init.

2001-07-07 15:17  wtay

	* docs/manual/: autoplugging.sgml, debugging.sgml,
	gstreamer-manual.sgml, helloworld2.sgml, programs.sgml: Lots of
	updates.  Added a chapter about the autoplugcache.  Updated the
	autoplug example using the autoplugcache.  Moved some stuff around.
	 Added an example app for gst_parse_launch.  Updated the debug
	info.

2001-07-07 15:14  wtay

	* examples/launch/mp3parselaunch.c: Add sane arg checking.

2001-07-07 15:07  wtay

	* examples/launch/: Makefile.am, mp3parselaunch.c: Added a
	parse_launch example.

2001-07-07 14:32  wtay

	* examples/helloworld2/helloworld2.c: Updated the autoplug example.

2001-07-07 12:34  wtay

	* docs/manual/: bins.sgml, dynamic.sgml, factories.sgml,
	goals.sgml, gstreamer-manual.sgml, helloworld.sgml,
	helloworld2.sgml, pads.sgml, programs.sgml, queues.sgml,
	threads.sgml, typedetection.sgml, utility.sgml, xml.sgml: Some
	updates to the manual, mostly glib2 related.

2001-07-07 11:55  wtay

	* docs/gst/: gstreamer-docs.sgml, gstreamer-sections.txt,
	gstreamer.hierarchy, tmpl/gstbuffer.sgml, tmpl/gstbufferpool.sgml,
	tmpl/gstelement.sgml, tmpl/gstpad.sgml, tmpl/gstplugin.sgml,
	tmpl/gstreamer-unused.sgml, tmpl/gstutils.sgml, tmpl/gstxml.sgml:
	Removed the last bits of Metadata.  Updated the bufferpool docs.

2001-07-06 22:00  wtay

	* plugins/capture/qcam/: gstqcamsrc.c, gstqcamsrc.h, qcam.h: Added
	lots of options.

2001-07-05 23:08  wtay

	* configure.base: Added the qcam src

2001-07-05 23:06  wtay

	* plugins/capture/qcam/dark.c: Some unused file..

2001-07-05 23:05  wtay

	* plugins/capture/: Makefile.am, qcam/Makefile.am, qcam/exposure.c,
	qcam/gstqcamsrc.c, qcam/gstqcamsrc.h, qcam/qcam-Linux.c,
	qcam/qcam-Linux.h, qcam/qcam-lib.c, qcam/qcam-os.c, qcam/qcam-os.h,
	qcam/qcam.h, qcam/qcamip.h: Added a simple bw-qcam src plugin.

2001-07-05 22:53  wtay

	* tools/gstreamer-launch.c: Added the xid stuff in again if
	compiling against gtk.

2001-07-04 21:49  uid21147

	* gst/gstutils.c: Added arg setting for UINT types.

2001-07-04 16:33  uid21147

	* plugins/ffmpeg/: Makefile.am, gstffmpegdec.c, gstffmpegenc.c:
	Lots of improvements to the ffmpeg wrappers.

2001-07-02 21:38  wtay

	* plugins/ffmpeg/: Makefile.am, gstffmpeg.c, gstffmpegdec.c,
	gstffmpegdec.h, gstffmpegenc.c, gstffmpegenc.h: Added the ffmpeg
	decoder wrappers.

2001-07-01 23:19  wtay

	* configure.base, plugins/ffmpeg/Makefile.am,
	plugins/ffmpeg/gstffmpegenc.c, plugins/ffmpeg/gstffmpegenc.h: Added
	the ffmpeg wrapper plugin. (ffmpeg.sourceforge.net).  Only the
	encoders are currently support, so no decoders or muxers yet..

2001-07-01 18:52  wtay

	* plugins/gsm/: Makefile.am, gstgsmdec.c, gstgsmenc.c: Fixed a bug
	with the buffer handling.

2001-07-01 17:10  sbaker3

	* plugins/filters/ladspa/gstladspa.c: better property name munging
	and added check for duplicate property names

2001-07-01 17:01  sbaker3

	* gst/gobject2gtk.c: return NULL from
	g2g_object_class_find_property if gtk_object_arg_get_info returns
	an error

2001-07-01 15:05  wtay

	* plugins/avi/gstavidemux.c: Added the memcpy back, we can't take
	ownership of the riff parser chunks..

2001-07-01 14:59  wtay

	* libs/riff/gstriff.h: Added types and structures for AVI/DV.

2001-07-01 14:58  wtay

	* plugins/avi/: gstavidecoder.c, gstavidemux.c, gstavidemux.h,
	gstavitypes.c: Added FV playback to avi. Currently only NTSC DV is
	supported. Both type1 and type2 avi/dv formats are supported.

2001-07-01 12:18  theuraeus

	* gstreamer.spec.in: 2001-01-07 Christian Schaller
	<Uraeus@linuxrising.org> - Updated SPEC file.  - Splitt out GUI
	modules - Added quicktime, flac, chart, udp modules

2001-07-01 12:16  theuraeus

	* LICENSE_readme, REQUIREMENTS: 2001-01-07 Christian Schaller
	<Uraeus@linuxrising.org> - Added FLAC information

2001-07-01 12:12  richardb

	* configure.base: Put the back check for the FLAC library.  This
	looks to have been accidentally removed when the sidplay one was
	added.

2001-07-01 11:28  sbaker3

	* plugins/filters/ladspa/gstladspa.c: gobject param fixes

2001-06-30 20:41  sbaker3

	* plugins/alsa/: alsasink.c, alsasrc.c: fix param problems due to
	gobject changes

2001-06-30 17:26  wtay

	* plugins/SID/: gstsiddec.cc, gstsiddec.h: Added a property for
	song selection.

2001-06-30 16:22  wtay

	* acinclude.m4, configure.base, plugins/Makefile.am,
	plugins/SID/Makefile.am: Added configure checks for libsidplay.

2001-06-30 15:10  wtay

	* plugins/SID/gstsiddec.cc: Added a bunch of properties.

2001-06-30 01:45  wtay

	* configure.base: Added the SID plugin.

2001-06-30 01:44  wtay

	* plugins/SID/gstsiddec.cc: Some cleanups

2001-06-30 01:37  wtay

	* plugins/SID/: .cvsignore, Makefile.am, gstsiddec.cc, gstsiddec.h:
	A first attempt at a SID decoder plugin.

2001-06-30 01:35  wtay

	* gst/elements/gstdisksrc.c: Fix an endless loop at EOS.. this is a
	hack...

2001-06-29 21:31  wtay

	* plugins/xmms/: gstxmmseffect.c, gstxmmsinput.c: GObject fixes for
	xmms plugins.  Cleaner names for the generated plugins.

2001-06-29 18:53  richardb

	* gst/gstparse.c: Allow elements to be given custom names with []
	syntax.
	
	ie, gstreamer-launch disksrc[mysrc] ! ...  makes a disksrc element
	named mysrc, rather than disksrc0
	
	Suggestion: don't name things with names with numbers at the end,
	or they may conflict with names allocated automatically.

2001-06-29 12:30  richardb

	* configure.base: Put GST_CFLAGS before other CFLAGS, to ensure
	that the correct headers get used if there's an installed copy of
	the gst headers on the system (ie, make sure the uninstalled
	headers are used instead).

2001-06-29 11:26  richardb

	* gst/Makefile.am: Prefix for marshallers should be gst_marshal,
	rather than gst.  This now actually compiles for me.

2001-06-29 10:39  richardb

	* gst/Makefile.am: Ensure that the marshaller code #includes
	glib-object.h, and hence the neccessary definitions to enable it to
	compile.
	
	I don't pretend to understand how the marshalling stuff works - I
	just know that it clearly needs this #include, or something
	similar.  If there's a more correct fix, someone else can do it. 
	Possibly this is a glib-genmarshal bug, but I've not got the time
	to go into that.

2001-06-29 00:58  richardb

	* gst/Makefile.am: Ensure that the gstmarshal.[ch] files are
	generated in time by generating both files in the same rule:
	previously, only the .c would be generated in time.  Don't put the
	files in dists (add a dist-hook to take them out), and clean the
	files when running distclean.

2001-06-28 22:44  richardb

	* gst/Makefile.am: Make sure conditionally compiled files are added
	to the dist.

2001-06-28 21:13  sbaker3

	* plugins/alsa/: alsasink.c, alsasrc.c: compile fixes for alsasrc
	and alsasink - params need more work (odd warning when doing
	-inspect alsasrc)

2001-06-28 20:32  wtay

	* acconfig.h, configure.base, plugins/Makefile.am: Added a check
	for the FLAC plugin.

2001-06-28 19:35  richardb

	* configure.base: Fix ALSA check; was overwriting the ALSA_CFLAGS
	and ALSA_LIBS variables determined for alsa 0.5 with the ones from
	the check that alsa 0.9 wasn't there.  Now does the 0.9 check
	first, to avoid this problem.

2001-06-28 17:31  richardb

	* docs/gst/Makefile.am: Remove gstreamer.html from generated files,
	since it was just a broken copy of one of the other files.  Sort
	out cleanfiles to some extent.	Note: the make dependencies in this
	file are completely broken, but it's not    clear how to fix them. 
	The docs will be built at make install / dist time, as a result.

2001-06-28 17:01  richardb

	* acinclude.m4: Fix a typo in a comment.

2001-06-28 16:39  richardb

	* acinclude.m4, configure.base: Add ACTION-IF-USE and
	ACTION-IF-NOTUSE parameters to GST_CHECK_FEATURE.  Convert glib2
	check to use GST_CHECK_FEATURE.

2001-06-28 16:11  thomasvs

	* plugins/filters/cutter/README: cutter plugin now has a settable
	pre-record buffer (using GList) README has been fleshed out a bit
	more

2001-06-28 12:56  richardb

	* configure.base: Actually pass the infomessages variable into
	config.status, so the message about plugin-builddir gets displayed.
	
	We can use this mechanism to display lists of plugins which won't
	be built: just add the lines to be output at the end of ./configure
	to $infomessages

2001-06-28 11:57  richardb

	* configure.base: Change plugin-srcdir msg stuff near the end of
	configure.base to -builddir.

2001-06-27 21:53  thomasvs

	* examples/cutter/cutter.c: implemented ring buffer

2001-06-27 21:53  thomasvs

	* plugins/filters/cutter/: cutter.c, cutter.h: added a GList
	pre-record buffer

2001-06-27 21:20  wtay

	* test/: dvshow.c, mp2toavi.c: Some small fixes.

2001-06-27 21:19  wtay

	* examples/autoplug/autoplug.c: Small fixes to the autoplugger so
	that it uses a colorspace element for video.

2001-06-27 21:15  wtay

	* plugins/quicktime/gstquicktimedecoder.c: Make the QT plugin
	extend from GstBin.

2001-06-27 21:14  wtay

	* plugins/avi/gstavidecoder.c: Make the avidecoder plugin extend
	from a GstBin.

2001-06-27 21:14  omegahacker

	* configure.base, gstreamer-config.in, gstreamer-uninstalled.pc.in,
	gstreamer.pc.in: configure.base: changed to 0.2.1, reworked the -D
	gathering for cflags gstreamer-config.in, gstreamer.pc.in,
	gstreamer-uninstalled.pc.in:  reworked -D gathering for cflags

2001-06-27 20:45  dlehn

	* plugins/arts/Makefile.am: Fix for automake 1.4 to actually build
	the generated source.  Clean up generated files.  Make sure only
	source idl gets into tarball.

2001-06-27 20:22  omegahacker

	* makeconfigure: added _CFLAGS and modified to allow the multiple
	substitition to occur

2001-06-27 18:22  richardb

	* makeconfigure: Add a hack to ensure that automake picks up the
	variables AC_SUBSTed in GST_CHECK_CONFIGPROG.

2001-06-27 18:04  richardb

	* acinclude.m4, configure.base: Add a "MODULES" parameter to
	GST_CHECK_CONFIGPROG, to pass sets of modules to the -config
	script.  Convert gnome test to use GST_CHECK_CONFIGPROG.

2001-06-27 17:56  richardb

	* acconfig.h, acinclude.m4, configure.base, plugins/Makefile.am,
	plugins/audiofile/Makefile.am: Remove HAVE_GDK_PIXBUF and
	HAVE_LIBAUDIOFILE from acconfig.h and AC_DEFINE: nothing uses
	these.	Add GST_CHECK_CONFIGPROG macro, to check a -config script
	and set --cflags and --libs from it.  Replace audiofile and
	gdk-pixbuf checks with calls to this macro.  Change use of
	HAVE_LIBAUDIOFILE to USE_LIBAUDIOFILE automake conditional.  Change
	use of AUDIOFILE_LIBS variable to LIBAUDIOFILE_LIBS.

2001-06-27 17:06  richardb

	* acinclude.m4: Fix brokenness with autoconf 2.50.  *sigh*

2001-06-27 16:04  richardb

	* acinclude.m4, configure.base: Add DISABLE-BY-DEFAULT argument to
	GST_CHECK_FEATURE, to allow a feature to be turned off by default. 
	Turn of XMMS check using this, rather than a hack.  Fix display of
	commandline parameters for GST_CHECK_FEATURE and
	GST_SUBSYSTEM_DISABLE.

2001-06-27 15:07  thomasvs

	* plugins/filters/cutter/: cutter.c, filter.func: fixed cutter
	plugin

2001-06-27 10:59  richardb

	* acinclude.m4: Add XMMS macro to acinclude.m4, since it's a
	commonly missing macro.  This joins the ALSA macro, which was
	already in acinclude.m4 We need some more consistent scheme for
	dealing with these... :(

2001-06-26 23:26  omegahacker

	* plugins/vgasink/Makefile.am: fixed vgasink Makefile.am, even
	though vgasink is disabled

2001-06-26 23:15  wtay

	* configure.base, gst/Makefile.am, tools/Makefile.am: Removed the
	GST_CONFIG_DIR from config.h and made a -D CFLAG for it instead so
	that we can do full expansion on the sysconfdir.

2001-06-26 22:49  richardb

	* configure.base: Fix up configure --help output:
	GST_DISABLE_SUBSYSTEM options were not displayed properly.

2001-06-26 22:44  richardb

	* configure.base, gst/elements/Makefile.am, plugins/Makefile.am:
	Convert XMMS and LIBGHTTP checks to use GST_CHECK_FEATURE() XMMS
	check is turned off by default (though not in a very neat way)

2001-06-26 22:29  wtay

	* configure.base, plugins/Makefile.am: Removed vgasink for now.

2001-06-26 22:07  wtay

	* plugins/udp/Makefile.am: Removed a cut&paste leftover..

2001-06-26 20:56  richardb

	* makeconfigure: Do hacky fix for AM_CONDITIONAL for
	GST_SUBSYSTEM_DISABLE, too.

2001-06-26 20:49  omegahacker

	* configure.base: Changes to the GST_SUBSYSTEM_DISABLE macro.

2001-06-26 20:06  richardb

	* gst/gobject2gtk.c: Fix g2g_object_class_list_properties() so that
	num_properties gets set.

2001-06-26 19:20  richardb

	* acinclude.m4, configure.base, plugins/Makefile.am: Convert artsc
	and arts checks to use GST_CHECK_FEATURE.  Extract the checks into
	macros.

2001-06-26 03:48  richardb

	* acinclude.m4, configure.base, plugins/Makefile.am: Move alsa
	check to use GST_CHECK_FEATURE macro.  Fix a small bug in the
	macro.

2001-06-26 03:27  richardb

	* acinclude.m4: Fixes to work properly with automake 1.4

2001-06-26 02:53  richardb

	* Makefile.am, acinclude.m4, autogen.sh, configure.base,
	makeconfigure: Added feature check macro, GST_CHECK_FEATURE.  Moved
	generation of configure.{in,ac} into a separate script.  Add hack
	to the script to stop automake complaining about missing
	AM_CONDITIONAL call.  Replace ESD check by a call to
	GST_CHECK_FEATURE.

2001-06-25 22:39  richardb

	* configure.base: Move config dir from /etc/gstreamer to
	${sysconfdir}/gstreamer by default: more portable, configurable,
	and standard.

2001-06-25 21:53  richardb

	* docs/plugins/Makefile.am: Remove more generated files

2001-06-25 21:41  richardb

	* docs/: manuals.mak, gst/Makefile.am, libs/Makefile.am: Remove
	many unwanted generated files from distributions.

2001-06-25 21:39  richardb

	* docs/Makefile.am: Added plugins to DIST_SUBDIRS

2001-06-25 21:37  wtay

	* plugins/oss/gstosssink.c: Don't use the trace feature when it is
	disabled.

2001-06-25 21:36  wtay

	* plugins/: avi/gstavidecoder.c, quicktime/gstquicktimedecoder.c:
	Don't use the autoplugger when it is disabled.

2001-06-25 21:36  wtay

	* gst/: Makefile.am, gst.c, gstautoplug.h, gstbuffer.c,
	gstbuffer.h, gstmeta.c, gstmeta.h, gstparse.h, gstplugin.c,
	gstplugin.h, gsttrace.h, gsttypefind.h: Removed the final bits of
	GstMeta.  Added conditional compilation of various subsystems.

2001-06-25 21:09  richardb

	* gst/: gobject2gtk.h, gstinfo.c, gstinfo.h: Add consts to
	appropriate parameters in debug and info handlers.  Add appropriate
	types for some of the memebers of the GTypeInfo struct.

2001-06-25 21:01  omegahacker

	* gst/: .cvsignore, Makefile.am: added gstmarshal.[ch] to
	.cvsignore, added gstmarshal.list to EXTRA_DIST

2001-06-25 21:00  omegahacker

	* gst/gstobject.h, plugins/Makefile.am,
	plugins/visualization/Makefile.am: added some dirs to DIST_SUBDIRS,
	added a comment to gstobject.h

2001-06-25 20:59  omegahacker

	* gst/: Makefile.am, gstmarshal.c, gstmarshal.h, gstmarshal.list:
	removed gstmarshal.[ch], added gstmarshal.list, and a first pass at
	generation rules

2001-06-25 20:19  wtay

	* configure.base, gst/Makefile.am: Added configure checks to
	disable various major subsystems.

2001-06-25 19:14  richardb

	* docs/gst/: Makefile.am, gstreamer.types.in: gstreamer.types.in:
	remove colorspace header.  Makefile.am: remove comment inside rule
	(nonportable).

2001-06-25 18:22  omegahacker

	* gst/: gobject2gtk.h, gst.c, gstelement.c: gobject2gtk.h: added
	g2g_object_get_type() prototype gst.c: fixed gst_add_paths_func()
	prototype gstelement.c: changed some prototypes, added a cast

2001-06-25 18:17  wtay

	* gst/gstobject.h: Added a missing #else

2001-06-25 17:44  wtay

	* configure.base: Removed the wine stuff.

2001-06-25 13:28  richardb

	* gst/gstobject.c: Fix a warning; stuff following an #endif

2001-06-25 13:09  richardb

	* autogen.sh: Added check for pkg-config to autogen.sh

2001-06-25 07:45  omegahacker

	* acconfig.h, autogen.sh, configure.base, gst/Makefile.am,
	gst/gstbin.c, gst/gstelement.c, gst/gstelementfactory.c,
	gst/gstinfo.c, gst/gstobject.c, gst/gstobject.h, gst/gstpad.c,
	gst/gstprops.c, gst/gstthread.c, gst/gstxml.h: Reworked the
	arguments for DEBUG and INFO.  Removed -debug-verbose.	Renamed
	GST_DISABLE_XML to GST_DISABLE_LOADSAVE and added --disable flag.

2001-06-25 04:37  omegahacker

	* gst/: gobject2gtk.c, gobject2gtk.h: Changed all globally defined
	stub functions to use the g2g_ prefix instead of g_, to avoid *any*
	potential namespace conflicts.

2001-06-25 02:20  omegahacker

	* acconfig.h, configure.base, docs/random/wtay/events,
	examples/Makefile.am, examples/cutter/cutter.c,
	examples/helloworld/helloworld.c,
	examples/helloworld2/helloworld2.c, examples/mixer/mixer.c,
	examples/plugins/example.c, examples/plugins/example.h,
	examples/queue/queue.c, examples/queue2/queue2.c,
	examples/queue3/queue3.c, examples/queue4/queue4.c,
	examples/thread/thread.c, examples/typefind/typefind.c,
	examples/xml/createxml.c, examples/xml/runxml.c, gst/Makefile.am,
	gst/gobject2gtk.c, gst/gobject2gtk.h, gst/gst.c, gst/gst.h,
	gst/gstautoplug.c, gst/gstautoplug.h, gst/gstbin.c, gst/gstbin.h,
	gst/gstelement.c, gst/gstelement.h, gst/gstelementfactory.c,
	gst/gstextratypes.c, gst/gstextratypes.h, gst/gstmarshal.c,
	gst/gstmarshal.h, gst/gstobject.c, gst/gstobject.h, gst/gstpad.c,
	gst/gstpad.h, gst/gstparse.c, gst/gstpipeline.c, gst/gstpipeline.h,
	gst/gstqueue.c, gst/gstqueue.h, gst/gstscheduler.c,
	gst/gstscheduler.h, gst/gstthread.c, gst/gstthread.h,
	gst/gsttypefind.c, gst/gsttypefind.h, gst/gstutils.c,
	gst/gstutils.h, gst/gstxml.c, gst/gstxml.h,
	gst/autoplug/autoplugtest.c, gst/autoplug/gstautoplugcache.c,
	gst/autoplug/gstautoplugger.c, gst/autoplug/gststaticautoplug.c,
	gst/autoplug/gststaticautoplug.h,
	gst/autoplug/gststaticautoplugrender.c,
	gst/autoplug/gststaticautoplugrender.h, gst/elements/Makefile.am,
	gst/elements/gstdisksink.c, gst/elements/gstdisksink.h,
	gst/elements/gstdisksrc.c, gst/elements/gstdisksrc.h,
	gst/elements/gstelements.c, gst/elements/gstfakesink.c,
	gst/elements/gstfakesink.h, gst/elements/gstfakesrc.c,
	gst/elements/gstfakesrc.h, gst/elements/gstfdsink.c,
	gst/elements/gstfdsink.h, gst/elements/gstfdsrc.c,
	gst/elements/gstfdsrc.h, gst/elements/gsthttpsrc.c,
	gst/elements/gsthttpsrc.h, gst/elements/gstidentity.c,
	gst/elements/gstidentity.h, gst/elements/gstmultidisksrc.c,
	gst/elements/gstmultidisksrc.h, gst/elements/gstpipefilter.c,
	gst/elements/gstpipefilter.h, gst/elements/gstsinesrc.c,
	gst/elements/gstsinesrc.h, gst/elements/gsttee.c,
	gst/elements/gsttee.h, gstplay/gstplay.c, plugins/Makefile.am,
	plugins/1394/dv1394src.c, plugins/1394/dv1394src.h,
	plugins/aasink/aasink.c, plugins/aasink/aasink.h,
	plugins/alaw/alaw-decode.c, plugins/alaw/alaw-decode.h,
	plugins/alaw/alaw-encode.c, plugins/alaw/alaw-encode.h,
	plugins/alsa/alsa.h, plugins/alsa/alsa_common.c,
	plugins/alsa/alsasink.c, plugins/alsa/alsasrc.c,
	plugins/arts/gst_arts.c, plugins/arts/gst_arts.h,
	plugins/artsd/artsdsink.c, plugins/artsd/artsdsink.h,
	plugins/au/gstparseau.c, plugins/au/gstparseau.h,
	plugins/audiofile/gstafsink.c, plugins/audiofile/gstafsink.h,
	plugins/audiofile/gstafsrc.c, plugins/audiofile/gstafsrc.h,
	plugins/audioscale/audioscale.c, plugins/audioscale/audioscale.h,
	plugins/avi/gstavidecoder.c, plugins/avi/gstavidecoder.h,
	plugins/avi/gstavidemux.c, plugins/avi/gstavidemux.h,
	plugins/avi/gstavimux.c, plugins/avi/gstavimux.h,
	plugins/avi/gstavitypes.c, plugins/avi/gstavitypes.h,
	plugins/avi/winaudio/aviaudiodecoder.c,
	plugins/avi/winaudio/aviaudiodecoder.h,
	plugins/avi/wincodec/gstwindec.cc,
	plugins/avi/wincodec/gstwindec.h,
	plugins/avi/wincodec/gstwinenc.cc,
	plugins/avi/wincodec/gstwinenc.h, plugins/capture/v4l/gstv4lsrc.c,
	plugins/capture/v4l/gstv4lsrc.h, plugins/cdparanoia/cdparanoia.c,
	plugins/cdparanoia/cdparanoia.h, plugins/cobin/cobin.c,
	plugins/cobin/cobin.h, plugins/cobin/spindentity.c,
	plugins/cobin/spindentity.h, plugins/dv/dvdec.c,
	plugins/dv/dvdec.h, plugins/dvdsrc/dvdsrc.c,
	plugins/dvdsrc/dvdsrc.h, plugins/effects/stereo/stereo.c,
	plugins/effects/stereo/stereo.h, plugins/effects/volume/volume.c,
	plugins/effects/volume/volume.h, plugins/esd/esdsink/esdsink.c,
	plugins/esd/esdsink/esdsink.h, plugins/festival/Makefile.am,
	plugins/festival/gstfestival.c, plugins/festival/gstfestival.h,
	plugins/filters/Makefile.am, plugins/filters/adder/adder.c,
	plugins/filters/adder/adder.h,
	plugins/filters/colorspace/colorspace.c,
	plugins/filters/colorspace/colorspace.h,
	plugins/filters/cutter/cutter.c, plugins/filters/cutter/cutter.h,
	plugins/filters/cutter/filter.func,
	plugins/filters/deinterlace/deinterlace.c,
	plugins/filters/deinterlace/deinterlace.h,
	plugins/filters/intfloatconvert/float2int.c,
	plugins/filters/intfloatconvert/float2int.h,
	plugins/filters/intfloatconvert/int2float.c,
	plugins/filters/intfloatconvert/int2float.h,
	plugins/filters/intfloatconvert/intfloatconvert.c,
	plugins/filters/ladspa/gstladspa.c,
	plugins/filters/ladspa/gstladspa.h,
	plugins/filters/lav/lavencode.c, plugins/filters/lav/lavencode.h,
	plugins/filters/level/level.c, plugins/filters/level/level.h,
	plugins/filters/median/median.c, plugins/filters/median/median.h,
	plugins/filters/mono2stereo/mono2stereo.c,
	plugins/filters/mono2stereo/mono2stereo.h,
	plugins/filters/passthrough/level.c,
	plugins/filters/passthrough/level.h,
	plugins/filters/passthrough/passthrough.c,
	plugins/filters/passthrough/passthrough.h,
	plugins/filters/smooth/smooth.c, plugins/filters/smooth/smooth.h,
	plugins/filters/stereo2mono/stereo2mono.c,
	plugins/filters/stereo2mono/stereo2mono.h,
	plugins/filters/volenv/filter.func,
	plugins/filters/volenv/volenv.c, plugins/filters/volenv/volenv.h,
	plugins/flx/flx_decoder.c, plugins/flx/flx_decoder.h,
	plugins/gnomevfs/gnomevfssink.c, plugins/gnomevfs/gnomevfssrc.c,
	plugins/gsm/gstgsmdec.c, plugins/gsm/gstgsmdec.h,
	plugins/gsm/gstgsmenc.c, plugins/gsm/gstgsmenc.h,
	plugins/icecast/icecastsend/icecastsend.c,
	plugins/icecast/icecastsend/icecastsend.h,
	plugins/jpeg/gstjpegdec.c, plugins/jpeg/gstjpegdec.h,
	plugins/jpeg/gstjpegenc.c, plugins/jpeg/gstjpegenc.h,
	plugins/mp3decode/mad/gstmad.c, plugins/mp3decode/mad/gstmad.h,
	plugins/mp3decode/mpg123/gstmpg123.c,
	plugins/mp3decode/mpg123/gstmpg123.h,
	plugins/mp3decode/parse/mp3parse.c,
	plugins/mp3decode/parse/mp3parse.h,
	plugins/mp3encode/lame/gstlame.c, plugins/mp3encode/lame/gstlame.h,
	plugins/mpeg1/mpeg1encoder/gstmpeg1encoder.c,
	plugins/mpeg1/mpeg1encoder/gstmpeg1encoder.h,
	plugins/mpeg1/mpeg_play/gstmpeg_play.c,
	plugins/mpeg1/mpeg_play/gstmpeg_play.h,
	plugins/mpeg1/mpegaudio/gstmpegaudio.c,
	plugins/mpeg1/mpegaudio/gstmpegaudio.h,
	plugins/mpeg1/parse/mpeg1parse.c, plugins/mpeg1/parse/mpeg1parse.h,
	plugins/mpeg1/system_encode/buffer.c,
	plugins/mpeg1/system_encode/system_encode.c,
	plugins/mpeg1/system_encode/system_encode.h,
	plugins/mpeg1video/parse/mp1videoparse.c,
	plugins/mpeg1video/parse/mp1videoparse.h,
	plugins/mpeg2/ac3dec/ac3dec.c, plugins/mpeg2/ac3dec/ac3dec.h,
	plugins/mpeg2/ac3parse/ac3parse.c,
	plugins/mpeg2/ac3parse/ac3parse.h,
	plugins/mpeg2/mpeg2dec/gstmpeg2dec.c,
	plugins/mpeg2/mpeg2dec/gstmpeg2dec.h,
	plugins/mpeg2/mpeg2enc/gstmpeg2enc.c,
	plugins/mpeg2/mpeg2enc/gstmpeg2enc.h,
	plugins/mpeg2/parse/mpeg2parse.c, plugins/mpeg2/parse/mpeg2parse.h,
	plugins/mpeg2/subtitles/mpeg2subt.c,
	plugins/mpeg2/subtitles/mpeg2subt.h,
	plugins/mpeg2/video/gstmpeg2play.c,
	plugins/mpeg2/video/gstmpeg2play.h,
	plugins/mpeg2/videoparse/mp2videoparse.c,
	plugins/mpeg2/videoparse/mp2videoparse.h,
	plugins/mulaw/mulaw-decode.c, plugins/mulaw/mulaw-decode.h,
	plugins/mulaw/mulaw-encode.c, plugins/mulaw/mulaw-encode.h,
	plugins/oss/gstossgst.c, plugins/oss/gstossgst.h,
	plugins/oss/gstosssink.c, plugins/oss/gstosssink.h,
	plugins/oss/gstosssrc.c, plugins/oss/gstosssrc.h,
	plugins/quicktime/gstquicktimedecoder.c,
	plugins/quicktime/gstquicktimedecoder.h,
	plugins/quicktime/gstquicktimedemux.c,
	plugins/quicktime/gstquicktimedemux.h,
	plugins/quicktime/gstquicktimetypes.c,
	plugins/quicktime/gstquicktimetypes.h, plugins/rtjpeg/rtjpegdec.c,
	plugins/rtjpeg/rtjpegdec.h, plugins/rtjpeg/rtjpegenc.c,
	plugins/rtjpeg/rtjpegenc.h, plugins/rtp/rtpsend/rtpsend.c,
	plugins/rtp/rtpsend/rtpsend.h, plugins/sdlsink/sdlvideosink.c,
	plugins/sdlsink/sdlvideosink.h, plugins/udp/.cvsignore,
	plugins/udp/Makefile.am, plugins/udp/gstudp.c,
	plugins/udp/gstudpsink.c, plugins/udp/gstudpsink.h,
	plugins/udp/gstudpsrc.c, plugins/udp/gstudpsrc.h,
	plugins/vcdsrc/vcdsrc.c, plugins/vcdsrc/vcdsrc.h,
	plugins/videoscale/videoscale.c, plugins/videoscale/videoscale.h,
	plugins/visualization/Makefile.am,
	plugins/visualization/chart/gstchart.c,
	plugins/visualization/smoothwave/smoothwave.c,
	plugins/visualization/smoothwave/smoothwave.h,
	plugins/visualization/spectrum/gstspectrum.c,
	plugins/visualization/spectrum/gstspectrum.h,
	plugins/visualization/synaesthesia/core.h,
	plugins/visualization/synaesthesia/synaesthesia.c,
	plugins/visualization/synaesthesia/synaesthesia.h,
	plugins/visualization/vumeter/vumeter.c,
	plugins/visualization/vumeter/vumeter.h,
	plugins/vorbis/vorbisdec.c, plugins/vorbis/vorbisdec.h,
	plugins/vorbis/vorbisenc.c, plugins/vorbis/vorbisenc.h,
	plugins/wav/gstparsewav.c, plugins/wav/gstparsewav.h,
	plugins/xmms/gstxmms.h, plugins/xmms/gstxmmseffect.c,
	plugins/xmms/gstxmmseffect.h, plugins/xmms/gstxmmsinput.c,
	plugins/xmms/gstxmmsinput.h, plugins/xmms/pluginenum.c,
	plugins/xmms/xmms.h, plugins/xvideosink/Makefile.am,
	plugins/xvideosink/xvideosink.c, plugins/xvideosink/xvideosink.h,
	test/ac3parse.c, test/ac3play.c, test/avi2mpg.c, test/aviparse.c,
	test/dvdcat.c, test/lat.c, test/mp1parse.c, test/mp1tomp1.c,
	test/mp2toavi.c, test/mp2tomp1.c, test/mp3.c, test/mp3mad.c,
	test/mp3parse.c, test/mp3play.c, test/mp3tovorbis.c,
	test/mpeg2parse.c, test/pipetest.c, test/qtest.c, test/record.c,
	test/vidcapture.c, test/vidcapture2.c, test/videotest.c,
	test/wave.c, test/xmmstest.c, tests/autoplug.c, tests/autoplug3.c,
	tests/case4.c, tests/incsched.c, tests/mp1vid.c, tests/mp3encode.c,
	tests/paranoia.c, tests/queue.c, tests/rip.c, tests/states.c,
	tests/threadlock.c, tests/eos/case1.c, tests/eos/case2.c,
	tests/eos/case3.c, tests/eos/case4.c, tests/eos/case5.c,
	tests/eos/case6.c, tests/eos/case7.c, tests/sched/runxml.c,
	tools/gstreamer-compprep.c, tools/gstreamer-inspect.c,
	tools/gstreamer-launch.c: Merged from GOBJECT1 to HEAD at 200106241

2001-06-25 01:07  omegahacker

	* gst/gobject2gtk.c, gst/gobject2gtk.h, tools/gstreamer-compprep.c,
	tools/gstreamer-inspect.c: added shim for
	g_object_class_list_properties and converted -inspect and -compprep
	to use it

2001-06-25 00:50  omegahacker

	* examples/plugins/: example.c, example.h: ported example plugin to
	gobject

2001-06-25 00:25  omegahacker

	* examples/cutter/cutter.c: ported to gobject

2001-06-24 23:56  omegahacker

	* plugins/visualization/chart/gstchart.c: ported chart to gobject

2001-06-24 23:44  omegahacker

	* LICENSE_readme, REQUIREMENTS, acconfig.h, autogen.sh,
	configure.base, gstreamer.spec.in, idiottest.mak,
	docs/gst/gstreamer-sections.txt, docs/manual/advanced.sgml,
	docs/manual/bins.sgml, docs/manual/factories.sgml,
	docs/manual/helloworld.sgml, docs/manual/helloworld2.sgml,
	docs/manual/pads.sgml, docs/manual/states.sgml, docs/random/eos,
	examples/Makefile.am, examples/cutter/Makefile.am,
	examples/cutter/cutter.c, examples/cutter/cutter.h,
	gst/Makefile.am, gst/gst.c, gst/gstautoplug.c, gst/gstbin.c,
	gst/gstbuffer.c, gst/gstbufferpool.c, gst/gstbufferpool.h,
	gst/gstcaps.c, gst/gstelement.c, gst/gstelementfactory.c,
	gst/gstobject.c, gst/gstobject.h, gst/gstpad.c, gst/gstparse.c,
	gst/gstplugin.c, gst/gstprops.c, gst/gstscheduler.c,
	gst/gstthread.c, gst/elements/gstdisksink.c,
	gst/elements/gstdisksrc.c, gstplay/ChangeLog, gstplay/Makefile.am,
	gstplay/callbacks.c, gstplay/full-screen.c, gstplay/full-screen.h,
	gstplay/gstmediaplay.c, gstplay/gstmediaplay.glade,
	gstplay/gstmediaplay.h, gstplay/gstplay.c, gstplay/gstplay.h,
	gstplay/main.c, include/Makefile.am, libs/audio/gstaudio.c,
	libs/audio/gstaudio.h, libs/riff/gstriffencode.c,
	plugins/Makefile.am, plugins/audiofile/gstafsink.c,
	plugins/audiofile/gstafsrc.c, plugins/audiofile/gstafsrc.h,
	plugins/filters/Makefile.am,
	plugins/filters/colorspace/Makefile.am,
	plugins/filters/colorspace/colorspace.c,
	plugins/filters/colorspace/colorspace.h,
	plugins/filters/cutter/README, plugins/filters/cutter/cutter.c,
	plugins/filters/cutter/cutter.h,
	plugins/filters/deinterlace/.cvsignore,
	plugins/filters/deinterlace/Makefile.am,
	plugins/filters/deinterlace/deinterlace.c,
	plugins/filters/deinterlace/deinterlace.h,
	plugins/filters/intfloatconvert/float2int.c,
	plugins/filters/intfloatconvert/float2int.h,
	plugins/filters/intfloatconvert/int2float.c,
	plugins/filters/intfloatconvert/int2float.h,
	plugins/filters/median/median.c, plugins/filters/median/median.h,
	plugins/filters/smooth/smooth.c, plugins/filters/smooth/smooth.h,
	plugins/flac/.cvsignore, plugins/flac/Makefile.am,
	plugins/flac/flac.c, plugins/flac/flacdec.c,
	plugins/flac/flacdec.h, plugins/flac/flacenc.c,
	plugins/flac/flacenc.h, plugins/jpeg/gstjpegdec.c,
	plugins/mp3decode/mad/gstmad.c, plugins/mp3decode/mad/gstmad.h,
	plugins/mpeg1/parse/mpeg1parse.c, plugins/mpeg1/parse/mpeg1parse.h,
	plugins/quicktime/Makefile.am,
	plugins/quicktime/gstquicktimedecoder.c,
	plugins/quicktime/gstquicktimedecoder.h,
	plugins/quicktime/gstquicktimedemux.c,
	plugins/quicktime/gstquicktimedemux.h,
	plugins/quicktime/gstquicktimetypes.c,
	plugins/quicktime/gstquicktimetypes.h, plugins/vgasink/.cvsignore,
	plugins/vgasink/Makefile.am, plugins/vgasink/vgavideosink.c,
	plugins/vgasink/vgavideosink.h, plugins/videoscale/videoscale.h,
	plugins/visualization/Makefile.am,
	plugins/visualization/chart/.cvsignore,
	plugins/visualization/chart/Makefile.am,
	plugins/visualization/chart/gstchart.c, tools/README,
	tools/gstreamer-compprep.1, tools/gstreamer-launch.c: Merge from
	HEAD to BRANCH-GOBJECT1 at 200106241

2001-06-24 22:21  wtay

	* tools/gstreamer-launch.c: Commented out the Gtk widget stuff.

2001-06-24 22:18  omegahacker

	* gst/: Makefile.am, gst.c, gstautoplug.c, gstbin.c, gstcaps.c,
	gstelement.c, gstelementfactory.c, gstobject.c, gstobject.h,
	gstpad.c, gstprops.c, gstthread.c: initial pass at #ifdef'ing xml
	load/save

2001-06-24 22:15  wtay

	* gstplay/gstplay.c: Some compile fixes.

2001-06-24 22:14  wtay

	* configure.base: Added the festival plugin and udp.

2001-06-24 22:10  wtay

	* plugins/: festival/gstfestival.c, oss/gstosssink.c,
	oss/gstosssink.h, oss/gstosssrc.c, udp/gstudpsink.c,
	udp/gstudpsrc.c, udp/gstudpsrc.h, xvideosink/Makefile.am: Added an
	arg to set the fragment size in oss plugins.  Use a TCP stream
	connection to do caps nego over the wire in UDP.  More pending
	changes to some plugins.

2001-06-24 22:06  omegahacker

	* configure.base, plugins/Makefile.am: New check for libesd, a
	model for all the other checks I hope.	Need to convert all the
	other checks to operate like this.

2001-06-24 16:20  wtay

	* plugins/: Makefile.am, udp/.cvsignore, udp/Makefile.am,
	udp/gstudp.c, udp/gstudpsink.c, udp/gstudpsink.h, udp/gstudpsrc.c,
	udp/gstudpsrc.h: Added the beginnings of an udp send/receive
	plugin.

2001-06-24 16:20  wtay

	* plugins/udp/gstudpsink.h: file gstudpsink.h was initially added
	on branch BRANCH-GOBJECT1.

2001-06-24 16:20  wtay

	* plugins/udp/Makefile.am: file Makefile.am was initially added on
	branch BRANCH-GOBJECT1.

2001-06-24 16:20  wtay

	* plugins/udp/gstudpsrc.c: file gstudpsrc.c was initially added on
	branch BRANCH-GOBJECT1.

2001-06-24 16:20  wtay

	* plugins/udp/gstudp.c: file gstudp.c was initially added on branch
	BRANCH-GOBJECT1.

2001-06-24 16:20  wtay

	* plugins/udp/gstudpsink.c: file gstudpsink.c was initially added
	on branch BRANCH-GOBJECT1.

2001-06-24 16:20  wtay

	* plugins/udp/.cvsignore: file .cvsignore was initially added on
	branch BRANCH-GOBJECT1.

2001-06-24 16:20  wtay

	* plugins/udp/gstudpsrc.h: file gstudpsrc.h was initially added on
	branch BRANCH-GOBJECT1.

2001-06-24 15:55  wtay

	* docs/random/wtay/events: file events was initially added on
	branch BRANCH-GOBJECT1.

2001-06-24 15:55  wtay

	* docs/random/wtay/events: Added some random ramblings about a the
	design of an event system.

2001-06-24 02:02  wtay

	* gst/gobject2gtk.c: Removed some debug noise.

2001-06-24 01:55  wtay

	* test/: aviparse.c, mp1parse.c, mpeg2parse.c, videotest.c, wave.c:
	Compile fixes for gtk.

2001-06-23 13:23  wtay

	* plugins/festival/gstfestival.c: Make sure we don't send more data
	than the buffersize.

2001-06-23 13:12  wtay

	* plugins/festival/gstfestival.c: file gstfestival.c was initially
	added on branch BRANCH-GOBJECT1.

2001-06-23 13:12  wtay

	* plugins/festival/Makefile.am: file Makefile.am was initially
	added on branch BRANCH-GOBJECT1.

2001-06-23 13:12  wtay

	* plugins/: Makefile.am, festival/Makefile.am,
	festival/gstfestival.c, festival/gstfestival.h: Added the festival
	text-to-speech plugin. It will currently only work by contacting
	the festival server on localhost. The output is WAV so it needs to 
	be parsed with parsewav before connecting it to an audiosink:
	
	./gstreamer-launch disksrc location=/etc/motd ! festival ! parsewav
	! osssink
	
	Latency is terrible because we don't process uterances individually
	yet.

2001-06-23 13:12  wtay

	* plugins/festival/gstfestival.h: file gstfestival.h was initially
	added on branch BRANCH-GOBJECT1.

2001-06-22 02:14  wtay

	* examples/: Makefile.am, helloworld/helloworld.c,
	helloworld2/helloworld2.c, mixer/mixer.c, queue/queue.c,
	queue2/queue2.c, queue3/queue3.c, queue4/queue4.c, thread/thread.c,
	typefind/typefind.c, xml/createxml.c, xml/runxml.c: Fixed the
	examples for glib2 Removed plugins for now (need to run the script
	on it)

2001-06-22 02:05  wtay

	* tests/: autoplug.c, autoplug3.c, case4.c, incsched.c, mp1vid.c,
	mp3encode.c, paranoia.c, queue.c, rip.c, states.c, threadlock.c,
	eos/case1.c, eos/case2.c, eos/case3.c, eos/case4.c, eos/case5.c,
	eos/case6.c, eos/case7.c, sched/runxml.c: Lots of compile fixes for
	glib2.0

2001-06-22 01:43  wtay

	* test/: ac3parse.c, ac3play.c, avi2mpg.c, dvdcat.c, lat.c,
	mp1tomp1.c, mp2toavi.c, mp2tomp1.c, mp3.c, mp3mad.c, mp3parse.c,
	mp3play.c, mp3tovorbis.c, pipetest.c, qtest.c, record.c,
	vidcapture.c, vidcapture2.c, xmmstest.c: Lots of compile fixes
	against glib2.0

2001-06-22 01:14  wtay

	* configure.base: Disable most of the gnome/gtk stuff when
	compiling with glib2

2001-06-22 00:11  wtay

	* plugins/capture/v4l/: gstv4lsrc.c, gstv4lsrc.h: Added the option
	to set the format and the output size.

2001-06-21 23:48  omegahacker

	* gst/gstqueue.c: marked up the function pointers with
	GST_DEBUG_FUNCPTR

2001-06-21 20:44  wtay

	* configure.base: Added vgasink.

2001-06-21 20:43  wtay

	* plugins/vgasink/: .cvsignore, Makefile.am, vgavideosink.c,
	vgavideosink.h: Added the vgasink by sienap.

2001-06-21 16:29  wtay

	* tools/gstreamer-compprep.c: Compile fixes for GObject.

2001-06-21 15:39  wtay

	* tools/gstreamer-inspect.c: Fixed a compileation error for
	GObject.

2001-06-21 15:22  wtay

	* gst/: gobject2gtk.h, gstqueue.c: Compile fixes for gobject.

2001-06-21 13:21  sbaker3

	* docs/gst/gstreamer-sections.txt: added refcounting and
	_get_default

2001-06-21 12:50  wtay

	* plugins/flx/flx_decoder.h: Removed the colorspace dependency.

2001-06-21 12:50  wtay

	* plugins/Makefile.am: Removed the videoscaler for now until it's
	fixed.

2001-06-21 12:49  wtay

	* plugins/videoscale/: gstscale_x86.c, gstscale_x86.h,
	gstscale_x86_asm.s, gstvideoscale.c, gstvideoscale.h, videoscale.h:
	Added some files for future use.

2001-06-21 12:42  wtay

	* libs/Makefile.am: Removed old unused libs.

2001-06-21 12:35  wtay

	* configure.base: Removed the winloader

2001-06-21 12:34  wtay

	* libs/Makefile.am: Removed the wine loader.

2001-06-21 12:32  wtay

	* include/Makefile.am: Removed the winelibs.

2001-06-21 12:19  sbaker3

	* gst/: gstbufferpool.c, gstbufferpool.h: added ref counting to the
	buffer pool. also _destroy will clean up the buffer pool mem_chunk
	if it is the default implementation

2001-06-21 03:03  omegahacker

	* plugins/Makefile.am: fixed spelling of xvideosink

2001-06-21 00:43  wtay

	* gst/: gobject2gtk.h, gstqueue.c: Added some signal shims.  Fixed
	the queue state_change stuff.

2001-06-20 23:52  wtay

	* plugins/Makefile.am: Added the xvideosink to the dirs.

2001-06-20 23:33  wtay

	* plugins/: dv/dvdec.c, xmms/xmms.h: All pending changes I still
	have

2001-06-20 23:21  wtay

	* plugins/aasink/aasink.c: Compile fixes for aasink.

2001-06-20 23:21  wtay

	* gst/gobject2gtk.h: Added a shim for a marshaller.

2001-06-20 22:56  wtay

	* gst/gobject2gtk.h: Added som shims for GTypeFlags and GParamFlags

2001-06-20 22:55  wtay

	* plugins/avi/wincodec/: gstwindec.cc, gstwinenc.cc: Compile fixes
	against gtk.

2001-06-20 22:40  wtay

	* plugins/arts/gst_arts.c: compile fixes for GTK1.2.

2001-06-20 22:40  wtay

	* gst/gobject2gtk.h: Fixed an arg called "class", it's a C++
	reserved word..

2001-06-20 22:30  wtay

	* gst/gobject2gtk.h: Added g_type_from_name to the shims.

2001-06-20 22:29  wtay

	* plugins/filters/ladspa/gstladspa.c: Some compile fixes for gtk1.2

2001-06-20 21:58  wtay

	* gst/gobject2gtk.c: Renamed the shortname field in GParamSpec to
	name to match the glib2.0 implementation.

2001-06-20 21:49  wtay

	* tools/gstreamer-inspect.c: Added object properties introspection.

2001-06-20 21:48  wtay

	* gst/gobject2gtk.h: Added a better shim for g_object_get_property

2001-06-20 15:53  sbaker3

	* gst/gstbuffer.c: fixed operator precedence bug which caused 32
	times too much memory to be allocated for each GstBuffer struct

2001-06-20 00:17  omegahacker

	* gst/: gobject2gtk.c, gobject2gtk.h, elements/gstfakesrc.c: fixed
	signal registration problem in gobject2gtk shim

2001-06-19 22:14  omegahacker

	* gst/gobject2gtk.c, gst/gobject2gtk.h, gst/gstpad.c,
	gst/autoplug/gstautoplugger.c, gst/elements/gstfdsrc.c,
	plugins/aasink/aasink.c, plugins/effects/stereo/stereo.c,
	plugins/effects/volume/volume.c,
	plugins/filters/mono2stereo/mono2stereo.c,
	plugins/mp3encode/lame/gstlame.c, plugins/sdlsink/sdlvideosink.c:
	More GObject updates, cleanups to some of the elements to make the
	port correct.

2001-06-19 19:32  wtay

	* gst/elements/gstdisksink.c: Changed the bytes_written to a gint
	to avoid overflow...

2001-06-19 13:53  richardb

	* idiottest.mak: idiottest was failing because of change of
	PLUGIN_USE_SRCDIR to PLUGIN_USE_BUILDDIR - fixed.

2001-06-19 11:34  richardb

	* tools/gstreamer-launch.c: Add -o option argument to
	gstreamer-launch, to specify a file to output the pipeline to,
	instead of running it.

2001-06-19 08:57  omegahacker

	* autogen.sh: updated autogen.sh to use --enable-plugin-builddir

2001-06-19 08:57  omegahacker

	* gst/gstplugin.c, acconfig.h, configure.base: changed
	plugin-srcdir to plugin-builddir, which is what it should be

2001-06-18 23:33  richardb

	* gst/gstprops.c: Simplify properties which contain lists of
	integer and integer range entries to minimal combination of ints
	and ranges that is equivalent.	eg, (1,2,3,7-12,13) becomes
	(1-3,7-13)
	
	Don't bother with floats for the moment, though it would be easy to
	add an equivalent, which would simplify overlapping ranges.

2001-06-18 21:14  richardb

	* plugins/visualization/chart/gstchart.c: Fix memory leak, thanks
	wtay.

2001-06-18 20:20  wtay

	* plugins/flac/: Makefile.am, flacdec.c, flacenc.c, flacenc.h:
	Updated the flac decoder/encode to the latest CVS version.  I had
	to increase the cothread stack in cothread.c (8 threads max) to get
	the encoder working :(

2001-06-18 12:27  richardb

	* plugins/filters/Makefile.am: Add a DIST_SUBDIRS line

2001-06-18 12:12  richardb

	* configure.base, plugins/visualization/Makefile.am: Add chart
	plugin to build system.

2001-06-18 12:09  richardb

	* plugins/visualization/chart/: .cvsignore, Makefile.am,
	gstchart.c: Initial commit of chart plugin.  Draws charts of data
	streams.  Currently has no settable framerate, draws inefficiently,
	has no settable size and looks fairly ugly.  Needs data parsing to
	be split into a separate plugin.

2001-06-18 05:56  dlehn

	* configure.base: ALSA checks use alsa_save_* names and gst attempt
	to save flags fails when using the same names.	Prefixed with gst_.

2001-06-17 23:14  wtay

	* plugins/flac/: flacenc.c, flacenc.h: More work on the encoder..
	it still segfaults inside the flac lib for some reason..

2001-06-17 20:44  wtay

	* plugins/flac/: .cvsignore, Makefile.am, flac.c, flacdec.c,
	flacdec.h, flacenc.c, flacenc.h: Added a FLAC decoder.	The encoder
	does not work yet.

2001-06-17 16:06  wtay

	* gst/elements/gstsinesrc.c: Updated the params a bit.

2001-06-17 16:03  wtay

	* gst/: gstutils.c, gstutils.h: Fixed the utils for getting
	properties again.  Added come const directives to the arguments
	again.	Check for non exiting properties.

2001-06-17 15:35  sbaker3

	* gst/gstbufferpool.h: added _gst_buffer_pool_initialize

2001-06-17 15:12  wtay

	* tools/gstreamer-inspect.c: Print out the enum values too.

2001-06-17 14:58  sbaker3

	* plugins/filters/intfloatconvert/: float2int.c, int2float.c: uses
	default bufferpool factory

2001-06-17 14:55  sbaker3

	* gst/: gst.c, gstbufferpool.c, gstbufferpool.h: added a default
	bufferpool factory function. it reuses existing instances of
	bufferpool if requests are made for existing buffer sizes

2001-06-17 09:55  omegahacker

	* gst/gstobject.c, gst/gstobject.h, gst/gsttypefind.c,
	gst/autoplug/gstautoplugcache.c, plugins/aasink/aasink.c,
	plugins/audiofile/gstafsink.c, plugins/audiofile/gstafsrc.c,
	plugins/cdparanoia/cdparanoia.c, plugins/esd/esdsink/esdsink.c,
	plugins/filters/cutter/cutter.c, plugins/gnomevfs/gnomevfssink.c,
	plugins/gnomevfs/gnomevfssrc.c, plugins/gsm/gstgsmenc.c,
	plugins/jpeg/gstjpegenc.c, plugins/mpeg1/mpeg_play/gstmpeg_play.c,
	plugins/sdlsink/sdlvideosink.c, plugins/xmms/gstxmmseffect.c,
	plugins/xvideosink/xvideosink.c: Mostly went around converting
	G_OBJECT_TYPE(klass) to G_TYPE_FROM_CLASS(klass)

2001-06-17 09:52  omegahacker

	* configure.ac, configure.in: removed configure.ac and configure.in

2001-06-17 05:07  omegahacker

	* plugins/1394/: dv1394src.c, dv1394src.h: ported 1394 plugin to
	gobject, somehow forget that one...

2001-06-17 04:17  wtay

	* tools/gstreamer-inspect.c: Added enums to inspect.

2001-06-17 04:10  omegahacker

	* gst/gobject2gtk.h: file gobject2gtk.h was initially added on
	branch BRANCH-GOBJECT1.

2001-06-17 04:10  omegahacker

	* gst/gobject2gtk.c: file gobject2gtk.c was initially added on
	branch BRANCH-GOBJECT1.

2001-06-17 04:10  omegahacker

	* acconfig.h, configure.base, gst/Makefile.am, gst/gobject2gtk.c,
	gst/gobject2gtk.h, gst/gst.c, gst/gst.h, gst/gstextratypes.c,
	gst/gstextratypes.h, gst/gstobject.c, gst/gstobject.h,
	gst/gstparse.c, gst/gstqueue.c, gst/gstthread.c, gst/gstutils.c,
	gst/gstutils.h: Added gobject to gtkobject bridge
	(gobject2gtk.[ch]) and configure-time support for selecting between
	glib and gtk (--enable-glib2 to build with gobject).

2001-06-17 04:05  wtay

	* plugins/mp3encode/lame/gstlame.c: Fixed the get and set functions
	for enum properties.

2001-06-17 04:03  wtay

	* docs/manual/helloworld.sgml: Fixed the audiosink in the example
	with osssink.

2001-06-17 03:47  wtay

	* gst/: gstutils.c, gstutils.h: Fixed the utils for getting
	properties.  Added come const directives to the arguments.

2001-06-17 03:39  wtay

	* tools/gstreamer-inspect.c: Figured out how to get a property from
	an object.

2001-06-16 18:35  wtay

	* tools/gstreamer-inspect.c: Pff, this doesn't seem to work...	Can
	someone try to get a property from a GObject?

2001-06-16 18:25  wtay

	* tools/gstreamer-inspect.c: Somewhat fixed -inspect

2001-06-16 15:36  wtay

	* configure.base: Removed the obsolete libs.

2001-06-16 15:35  wtay

	* plugins/Makefile.am: Added the avi stuff to the makefile again.

2001-06-16 15:29  wtay

	* plugins/avi/: Makefile.am, codectest.c, gstavidecoder.c,
	gstavidecoder.h, gstavidemux.c, gstavidemux.h, gstaviencoder.c,
	gstaviencoder.h, gstavimux.c, gstavimux.h, gstavitypes.c,
	gstavitypes.h, playcodecs.c, videoheader.c: Updated the avi decoder
	to gobject.

2001-06-16 14:46  wtay

	* plugins/avi/winaudio/: aviaudiodecoder.c, aviaudiodecoder.h:
	Updated the audiodecoder to gobject.

2001-06-16 14:24  wtay

	* gstplay/gstplay.c: Removed a check (see that the file exists
	locally ??) to enable network streaming with gnomevfssrc again.

2001-06-16 14:17  wtay

	* plugins/avi/wincodec/: Makefile.am, gstwincodec.c,
	gstwincodec.cc, gstwindec.c, gstwindec.cc, gstwindec.h,
	gstwinenc.c, gstwinenc.cc, gstwinenc.h: Merged from HEAD on
	20010616 (13:00 GMT).  Compile fixes for GObject.

2001-06-16 01:43  wtay

	* plugins/Makefile.am: Updated the makefile.

2001-06-16 01:32  wtay

	* plugins/arts/gst_arts.c: Fixed arts

2001-06-16 01:26  wtay

	* plugins/filters/Makefile.am: Added LADSPA back in the Makefile.

2001-06-16 01:25  wtay

	* plugins/filters/ladspa/gstladspa.c: LADSPA compiles.

2001-06-16 01:14  wtay

	* plugins/xmms/: gstxmmseffect.c, gstxmmsinput.c, pluginenum.c:
	Fixed some stuff in xmms, removed the args for now.

2001-06-16 00:49  wtay

	* plugins/flx/flx_decoder.h: Removed the dependency on colorspace.

2001-06-16 00:48  wtay

	* plugins/filters/: Makefile.am, ladspa/gstladspa.c: Removed ladspa
	from the Makefile until it compiles.  Removed the dependency on OSS
	from ladspa.

2001-06-16 00:36  wtay

	* plugins/visualization/: Makefile.am, synaesthesia/core.h,
	synaesthesia/synaesthesia.c, synaesthesia/synaesthesia.h: Removed
	old, non functional code out of the makefile.

2001-06-16 00:23  omegahacker

	* configure.ac, configure.in, gst/gst.c, gst/gstmarshal.c,
	gst/gstmarshal.h, gst/autoplug/autoplugtest.c,
	plugins/aasink/aasink.c, plugins/aasink/aasink.h,
	plugins/alaw/alaw-decode.c, plugins/alaw/alaw-decode.h,
	plugins/alaw/alaw-encode.c, plugins/alaw/alaw-encode.h,
	plugins/alsa/alsa.h, plugins/alsa/alsa_common.c,
	plugins/alsa/alsasink.c, plugins/alsa/alsasrc.c,
	plugins/arts/gst_arts.c, plugins/arts/gst_arts.h,
	plugins/artsd/artsdsink.c, plugins/artsd/artsdsink.h,
	plugins/au/gstparseau.c, plugins/au/gstparseau.h,
	plugins/audiofile/gstafsink.c, plugins/audiofile/gstafsink.h,
	plugins/audiofile/gstafsrc.c, plugins/audiofile/gstafsrc.h,
	plugins/audioscale/audioscale.c, plugins/audioscale/audioscale.h,
	plugins/capture/v4l/gstv4lsrc.c, plugins/capture/v4l/gstv4lsrc.h,
	plugins/cdparanoia/cdparanoia.c, plugins/cdparanoia/cdparanoia.h,
	plugins/cobin/cobin.c, plugins/cobin/cobin.h,
	plugins/cobin/spindentity.c, plugins/cobin/spindentity.h,
	plugins/dv/dvdec.c, plugins/dv/dvdec.h, plugins/dvdsrc/dvdsrc.c,
	plugins/dvdsrc/dvdsrc.h, plugins/effects/stereo/stereo.c,
	plugins/effects/stereo/stereo.h, plugins/effects/volume/volume.c,
	plugins/effects/volume/volume.h, plugins/esd/esdsink/esdsink.c,
	plugins/esd/esdsink/esdsink.h, plugins/filters/adder/adder.c,
	plugins/filters/adder/adder.h,
	plugins/filters/colorspace/colorspace.c,
	plugins/filters/colorspace/colorspace.h,
	plugins/filters/cutter/cutter.c, plugins/filters/cutter/cutter.h,
	plugins/filters/cutter/filter.func,
	plugins/filters/intfloatconvert/float2int.c,
	plugins/filters/intfloatconvert/float2int.h,
	plugins/filters/intfloatconvert/int2float.c,
	plugins/filters/intfloatconvert/int2float.h,
	plugins/filters/intfloatconvert/intfloatconvert.c,
	plugins/filters/ladspa/gstladspa.c,
	plugins/filters/ladspa/gstladspa.h,
	plugins/filters/lav/lavencode.c, plugins/filters/lav/lavencode.h,
	plugins/filters/level/level.c, plugins/filters/level/level.h,
	plugins/filters/median/median.c, plugins/filters/median/median.h,
	plugins/filters/mono2stereo/mono2stereo.c,
	plugins/filters/mono2stereo/mono2stereo.h,
	plugins/filters/passthrough/level.c,
	plugins/filters/passthrough/level.h,
	plugins/filters/passthrough/passthrough.c,
	plugins/filters/passthrough/passthrough.h,
	plugins/filters/smooth/smooth.c, plugins/filters/smooth/smooth.h,
	plugins/filters/stereo2mono/stereo2mono.c,
	plugins/filters/stereo2mono/stereo2mono.h,
	plugins/filters/volenv/filter.func,
	plugins/filters/volenv/volenv.c, plugins/filters/volenv/volenv.h,
	plugins/flx/flx_decoder.c, plugins/flx/flx_decoder.h,
	plugins/gnomevfs/gnomevfssink.c, plugins/gnomevfs/gnomevfssrc.c,
	plugins/gsm/gstgsmdec.c, plugins/gsm/gstgsmdec.h,
	plugins/gsm/gstgsmenc.c, plugins/gsm/gstgsmenc.h,
	plugins/icecast/icecastsend/icecastsend.c,
	plugins/icecast/icecastsend/icecastsend.h,
	plugins/jpeg/gstjpegdec.c, plugins/jpeg/gstjpegdec.h,
	plugins/jpeg/gstjpegenc.c, plugins/jpeg/gstjpegenc.h,
	plugins/mp3decode/mad/gstmad.c, plugins/mp3decode/mad/gstmad.h,
	plugins/mp3decode/mpg123/gstmpg123.c,
	plugins/mp3decode/mpg123/gstmpg123.h,
	plugins/mp3decode/parse/mp3parse.c,
	plugins/mp3decode/parse/mp3parse.h,
	plugins/mp3encode/lame/gstlame.c, plugins/mp3encode/lame/gstlame.h,
	plugins/mpeg1/mpeg1encoder/gstmpeg1encoder.c,
	plugins/mpeg1/mpeg1encoder/gstmpeg1encoder.h,
	plugins/mpeg1/mpeg_play/gstmpeg_play.c,
	plugins/mpeg1/mpeg_play/gstmpeg_play.h,
	plugins/mpeg1/mpegaudio/gstmpegaudio.c,
	plugins/mpeg1/mpegaudio/gstmpegaudio.h,
	plugins/mpeg1/parse/mpeg1parse.c, plugins/mpeg1/parse/mpeg1parse.h,
	plugins/mpeg1/system_encode/buffer.c,
	plugins/mpeg1/system_encode/system_encode.c,
	plugins/mpeg1/system_encode/system_encode.h,
	plugins/mpeg1video/parse/mp1videoparse.c,
	plugins/mpeg1video/parse/mp1videoparse.h,
	plugins/mpeg2/ac3dec/ac3dec.c, plugins/mpeg2/ac3dec/ac3dec.h,
	plugins/mpeg2/ac3parse/ac3parse.c,
	plugins/mpeg2/ac3parse/ac3parse.h,
	plugins/mpeg2/mpeg2dec/gstmpeg2dec.c,
	plugins/mpeg2/mpeg2dec/gstmpeg2dec.h,
	plugins/mpeg2/mpeg2enc/gstmpeg2enc.c,
	plugins/mpeg2/mpeg2enc/gstmpeg2enc.h,
	plugins/mpeg2/parse/mpeg2parse.c, plugins/mpeg2/parse/mpeg2parse.h,
	plugins/mpeg2/subtitles/mpeg2subt.c,
	plugins/mpeg2/subtitles/mpeg2subt.h,
	plugins/mpeg2/video/gstmpeg2play.c,
	plugins/mpeg2/video/gstmpeg2play.h,
	plugins/mpeg2/videoparse/mp2videoparse.c,
	plugins/mpeg2/videoparse/mp2videoparse.h,
	plugins/mulaw/mulaw-decode.c, plugins/mulaw/mulaw-decode.h,
	plugins/mulaw/mulaw-encode.c, plugins/mulaw/mulaw-encode.h,
	plugins/quicktime/gstquicktimedecoder.c,
	plugins/quicktime/gstquicktimedecoder.h,
	plugins/rtjpeg/rtjpegdec.c, plugins/rtjpeg/rtjpegdec.h,
	plugins/rtjpeg/rtjpegenc.c, plugins/rtjpeg/rtjpegenc.h,
	plugins/rtp/rtpsend/rtpsend.c, plugins/rtp/rtpsend/rtpsend.h,
	plugins/sdlsink/sdlvideosink.c, plugins/sdlsink/sdlvideosink.h,
	plugins/vcdsrc/vcdsrc.c, plugins/vcdsrc/vcdsrc.h,
	plugins/videoscale/videoscale.c, plugins/videoscale/videoscale.h,
	plugins/visualization/smoothwave/smoothwave.c,
	plugins/visualization/smoothwave/smoothwave.h,
	plugins/visualization/spectrum/gstspectrum.c,
	plugins/visualization/spectrum/gstspectrum.h,
	plugins/visualization/synaesthesia/synaesthesia.c,
	plugins/visualization/synaesthesia/synaesthesia.h,
	plugins/visualization/vumeter/vumeter.c,
	plugins/visualization/vumeter/vumeter.h,
	plugins/vorbis/vorbisdec.c, plugins/vorbis/vorbisdec.h,
	plugins/vorbis/vorbisenc.c, plugins/vorbis/vorbisenc.h,
	plugins/wav/gstparsewav.c, plugins/wav/gstparsewav.h,
	plugins/xmms/gstxmms.h, plugins/xmms/gstxmmseffect.c,
	plugins/xmms/gstxmmseffect.h, plugins/xmms/gstxmmsinput.c,
	plugins/xmms/gstxmmsinput.h, plugins/xmms/xmms.h,
	plugins/xvideosink/xvideosink.c, plugins/xvideosink/xvideosink.h:
	Mega patch updates almost all the plugins to GObject.  This was
	done with a Perl script, with only a few minor manual tweaks where
	the perl didn't catch the code just right.  There may be a few
	minor issues remaining from this, but they should be easy to catch
	(plugin doesn't work).
	
	There are several plugins that have GDK/GTK code in them that
	shouldn't, these need to be dealt with next.

2001-06-16 00:15  wtay

	* plugins/filters/smooth/: smooth.c, smooth.h: Added caps to the
	smooth filter.

2001-06-16 00:15  wtay

	* plugins/filters/median/median.c: copy timestamps too.

2001-06-15 23:48  wtay

	* plugins/filters/median/: median.c, median.h: Added an option to
	only filter the luminance plane.

2001-06-15 23:38  wtay

	* plugins/filters/median/: median.c, median.h: Added caps to the
	median filter.

2001-06-15 23:03  wtay

	* plugins/videoscale/gstscale_x86_asm.s: file gstscale_x86_asm.s
	was initially added on branch BRANCH-GOBJECT1.

2001-06-15 23:03  wtay

	* plugins/videoscale/: gstscale_x86.c, gstscale_x86.h,
	gstscale_x86_asm.s, gstvideoscale.c, gstvideoscale.h, videoscale.h:
	Just added some files I will need soon.

2001-06-15 23:03  wtay

	* plugins/videoscale/gstscale_x86.h: file gstscale_x86.h was
	initially added on branch BRANCH-GOBJECT1.

2001-06-15 23:03  wtay

	* plugins/videoscale/gstvideoscale.h: file gstvideoscale.h was
	initially added on branch BRANCH-GOBJECT1.

2001-06-15 23:03  wtay

	* plugins/videoscale/gstscale_x86.c: file gstscale_x86.c was
	initially added on branch BRANCH-GOBJECT1.

2001-06-15 23:03  wtay

	* plugins/videoscale/gstvideoscale.c: file gstvideoscale.c was
	initially added on branch BRANCH-GOBJECT1.

2001-06-15 23:00  wtay

	* libs/Makefile.am: Removed old unused libs.

2001-06-15 22:46  wtay

	* docs/manual/: advanced.sgml, bins.sgml, factories.sgml,
	helloworld.sgml, helloworld2.sgml, pads.sgml, states.sgml: Small
	updates to the manual.

2001-06-15 20:49  sbaker3

	* plugins/filters/intfloatconvert/: float2int.c, float2int.h: takes
	multiple float pads and converts to interleaved int data. Different
	sized and out-of-order buffer support is in place but not tested.

2001-06-15 20:48  sbaker3

	* plugins/filters/intfloatconvert/: int2float.c, int2float.h: now
	converts interleaved ints to mono floats in seperate pads.  Also
	now has a _request_new_pad func

2001-06-15 20:46  wtay

	* tools/README: Updated the README file with some cool
	gstreamer-launch cmd lines by Matthew McClintock
	<mattsm@mail.utexas.edu>

2001-06-15 20:13  wtay

	* gst/: gstelement.c, gstpad.c, gstparse.c, gstparse.h,
	gstscheduler.c, elements/gstdisksrc.c: Changed a stupid assert in
	request_pad.  Some fixes for pullregion and EOS conditions.  Remove
	an unneeded check in the scheduler (check for NULL buffer) some EOS
	fixes for pullregion in disksrc.  Removed the macro in the
	gstparse.h header 'cause it's internal to gstparse.c Added a check
	in gstparse for NULL element.

2001-06-15 17:42  thomasvs

	* examples/cutter/cutter.c: added some minor stuff

2001-06-15 17:22  wtay

	* plugins/avi/wincodec/gstwindec.cc: A fix for latest CVS avifile.

2001-06-15 16:44  richardb

	* configure.base: Fix mistake with saved CPPFLAGS for sdl test and
	libdv test: was unsaving the value before saving... :(

2001-06-15 16:42  richardb

	* configure.base: Fix bug #433398, by putting GLIB_CFLAGS

2001-06-15 07:33  sbaker3

	* gst/gstparse.c: should restore dynamic connection of pads
	(couldn't really test it though)

2001-06-14 22:02  omegahacker

	* plugins/oss/: gstossgst.c, gstossgst.h, gstosssink.c,
	gstosssink.h, gstosssrc.c, gstosssrc.h: ported to gobject

2001-06-14 22:02  omegahacker

	* gst/: gstpad.c, elements/Makefile.am, elements/gstdisksink.c,
	elements/gstdisksrc.c, elements/gstfakesrc.c,
	elements/gstsinesrc.c, elements/gsttee.c: various fixes needed to
	get to sinesrc ! osssink

2001-06-14 21:39  wtay

	* gst/autoplug/: gstautoplugcache.c, gstautoplugger.c,
	gststaticautoplug.c, gststaticautoplugrender.c: Fixed some minor
	compiler warnings.

2001-06-14 21:23  omegahacker

	* configure.base: added gmodule to glib-2.0 stuff

2001-06-14 21:19  omegahacker

	* gst/gstmarshal.h: file gstmarshal.h was initially added on branch
	BRANCH-GOBJECT1.

2001-06-14 21:19  omegahacker

	* gst/: gstmarshal.c, gstmarshal.h: new files that need to be
	removed at some point because they are to be autogenerated

2001-06-14 21:19  omegahacker

	* gst/gstmarshal.c: file gstmarshal.c was initially added on branch
	BRANCH-GOBJECT1.

2001-06-14 19:04  thomasvs

	* examples/cutter/cutter.c: changed cutter example to use a thread

2001-06-14 04:14  omegahacker

	* gst/: Makefile.am, gst.c, gstautoplug.c, gstbin.c, gstelement.c,
	gstobject.c, gstpad.c, gstparse.c, gsttypefind.c, gstxml.c,
	autoplug/autoplugtest.c, autoplug/gstautoplugcache.c,
	autoplug/gstautoplugger.c, autoplug/gststaticautoplug.c,
	autoplug/gststaticautoplug.h, autoplug/gststaticautoplugrender.c,
	autoplug/gststaticautoplugrender.h, elements/gstdisksink.c,
	elements/gstdisksink.h, elements/gstdisksrc.c,
	elements/gstdisksrc.h, elements/gstelements.c,
	elements/gstfakesink.c, elements/gstfakesink.h,
	elements/gstfakesrc.c, elements/gstfakesrc.h, elements/gstfdsink.c,
	elements/gstfdsink.h, elements/gstfdsrc.c, elements/gstfdsrc.h,
	elements/gsthttpsrc.c, elements/gsthttpsrc.h,
	elements/gstidentity.c, elements/gstidentity.h,
	elements/gstmultidisksrc.c, elements/gstmultidisksrc.h,
	elements/gstpipefilter.c, elements/gstpipefilter.h,
	elements/gstsinesrc.c, elements/gstsinesrc.h, elements/gsttee.c,
	elements/gsttee.h: Bring all the other stuff in gst/ up to match
	libgst.la's GObject port.  Fixed some minor problems with the
	signalling stuff in the core.
	
	IT WORKS!

2001-06-13 23:09  thomasvs

	* examples/cutter/cutter.c: cutter now uses afsink to write out
	wavs we will add a queue next to handle latency problems

2001-06-13 23:03  thomasvs

	* plugins/audiofile/gstafsink.c: afsink now closes and reopens
	files when you change the location

2001-06-13 22:59  omegahacker

	* configure.base: new configure check for glib 2.0, now requires
	pkg-config to be installed

2001-06-13 22:52  thomasvs

	* configure.base, examples/Makefile.am: added cutter example

2001-06-13 22:52  omegahacker

	* gst/: gstautoplug.c, gstautoplug.h, gstbin.c, gstbin.h,
	gstelement.c, gstelement.h, gstelementfactory.c, gstextratypes.c,
	gstextratypes.h, gstobject.c, gstobject.h, gstpad.c, gstpad.h,
	gstparse.c, gstpipeline.c, gstpipeline.h, gstqueue.c, gstqueue.h,
	gstscheduler.c, gstscheduler.h, gstthread.c, gstthread.h,
	gsttypefind.c, gsttypefind.h, gstutils.c, gstutils.h, gstxml.c,
	gstxml.h: First round of changes to port to GObject.  libgst.la
	compiles, though there are a few things commented out. 
	Specifically object destruction is probably broken, but wtay gets
	to fix that because he researched the problem of glib 2.0 object
	destruction while doing the first round.  Some of the XML stuff is
	commented out, but that's an easy fix.
	
	Next is the rest of the gst/ directory, then on to the plugins.

2001-06-13 22:45  wtay

	* plugins/quicktime/: gstquicktimedecoder.c, gstquicktimedecoder.h,
	gstquicktimedemux.c, gstquicktimedemux.h, gstquicktimetypes.c:
	Fixed the quicktime plugin. things now work with mjpeg.

2001-06-13 22:35  thomasvs

	* plugins/audiofile/gstafsink.c: afsink now handles eos and closes
	off file

2001-06-13 22:33  wtay

	* gst/gstpad.c: Loop in pullregion until the desired buffer has
	been pulled.

2001-06-13 22:08  thomasvs

	* plugins/filters/cutter/cutter.c: check for buffer's framedness

2001-06-13 22:08  thomasvs

	* libs/audio/: gstaudio.c, gstaudio.h: added a function to check if
	the buffer's data is framed

2001-06-13 22:02  wtay

	* plugins/avi/wincodec/: gstwindec.cc, gstwinenc.cc: fixed a small
	fix in the type init function that makes some C++ compilers
	complain.

2001-06-13 21:26  thomasvs

	* configure.base: added deinterlace

2001-06-13 18:39  wtay

	* plugins/mp3decode/mad/gstmad.c: Removed the debug output.

2001-06-13 17:20  thomasvs

	* examples/cutter/: Makefile.am, cutter.c, cutter.h: added example
	program to show how cutter plugin works

2001-06-13 17:16  thomasvs

	* plugins/filters/cutter/cutter.c: some code clean-ups and sensible
	default values

2001-06-13 17:13  thomasvs

	* plugins/filters/cutter/README: added a better description of the
	cutter plugin

2001-06-13 17:04  thomasvs

	* plugins/filters/cutter/: cutter.c, cutter.h, filter.func: added
	threshold level and runlength arguments stopped copying buffer used
	audio lib functions for some stuff

2001-06-13 16:33  thomasvs

	* libs/audio/: gstaudio.c, gstaudio.h: added helper function to
	calculate maximum possible sample value based on caps

2001-06-13 10:51  thomasvs

	* docs/random/eos: added two more cases of eos reasoning

2001-06-13 02:18  cael

	* gstplay/: ChangeLog, Makefile.am, callbacks.c, full-screen.c,
	full-screen.h, gstmediaplay.c, gstmediaplay.glade, gstmediaplay.h,
	gstplay.c, gstplay.h, main.c: Hmm, added working (if hacked)
	full-screen play, shuffled things around, added error checking so
	we don't crash on file not found, added the beginnings of a
	preferences dialog.

2001-06-12 22:35  wtay

	* plugins/filters/deinterlace/Makefile.am: Removed the leftover
	filter.func file and README in the makefile.

2001-06-12 22:35  wtay

	* plugins/filters/Makefile.am: Added the deinterlace filter

2001-06-12 22:33  wtay

	* plugins/filters/deinterlace/: .cvsignore, Makefile.am,
	deinterlace.c, deinterlace.h: Added a deinterlace filter.

2001-06-12 22:27  wtay

	* plugins/filters/colorspace/Makefile.am: Add libHermes too of
	course..

2001-06-12 21:19  wtay

	* plugins/filters/Makefile.am: Still compile colorspace when Hermes
	was not found.

2001-06-12 21:19  wtay

	* plugins/filters/colorspace/: Makefile.am, colorspace.c,
	colorspace.h: ifdef out the Hermes code when the library was not
	found.

2001-06-12 20:47  wtay

	* libs/riff/gstriffencode.c: Fixed a bug in the avi encoder with
	wrong alignment.

2001-06-12 20:45  wtay

	* plugins/jpeg/gstjpegdec.c: Don't push a buffer when the pad is
	not connected.

2001-06-12 20:44  wtay

	* plugins/mpeg1/parse/: mpeg1parse.c, mpeg1parse.h: Added a sync
	arg to turn off syncing on the timestamps.

2001-06-12 20:42  wtay

	* plugins/avi/: Makefile.am, codectest.c, gstaviencoder.c,
	gstaviencoder.h, gstavimux.c, gstavimux.h, videoheader.c,
	wincodec/gstwindec.cc, wincodec/gstwinenc.cc, wincodec/gstwinenc.h:
	Removed old code.  Enhanced the avi decoder.  The encoder now sorta
	works. For big input frames it segfaults though inside a libavifile
	function.  Renamed the aviencoder to avimux.

2001-06-12 15:35  thomasvs

	* plugins/audiofile/: gstafsrc.c, gstafsrc.h: added timestamps to
	afsrc element

2001-06-12 14:42  thomasvs

	* plugins/mp3decode/mad/gstmad.h: added framestamp

2001-06-12 11:12  thomasvs

	* plugins/mp3decode/mad/gstmad.c: added a different way of
	generating timestamps; activate by uncommenting #define
	DEBUG_TIMESTAMP

2001-06-12 11:11  thomasvs

	* libs/audio/: gstaudio.c, gstaudio.h: added some function to
	support framestamps & timestamps

2001-06-11 23:04  shitowax

	* plugins/quicktime/: Makefile.am, gstquicktimedecoder.c,
	gstquicktimedecoder.h: Transformation of the quicktime plugin into
	version 0.2.0 style

2001-06-11 23:02  shitowax

	* plugins/quicktime/: gstquicktimedemux.c, gstquicktimedemux.h,
	gstquicktimetypes.c, gstquicktimetypes.h: Intitial CVS introduction

2001-06-11 21:19  thomasvs

	* plugins/Makefile.am: fixed AVIFILE dependency check

2001-06-11 20:09  omegahacker

	* gst/gstelement.h: changed indent and argnames to trigger
	gtk2gobject.sh

2001-06-10 22:13  richardb

	* tools/gstreamer-compprep.1: Some formatting updates, thanks to
	using manedit

2001-06-10 19:50  theuraeus

	* LICENSE_readme: 2001-10-06 Christian Schaller
	<Uraeus@linuxrising.org> - Moved a couple of libs from GPL to LGPL
	since they had been mistakenly branded as GPL.

2001-06-10 12:57  sbaker3

	* gst/gstparse.c: can now take comma delimited list of pads. eg
	gstreamer-launch disksrc location=~/mp3/gnome.mp3 ! mad ! int2float
	src%d,src%d\!sink%d,sink%d float2int ! osssink

2001-06-10 02:18  theuraeus

	* gstreamer.spec.in: 2001-10-06 Christian Schaller
	<Uraeus@linuxrising.org> - Updated the SPEC file as per Erik's
	wishes - Split out the mpeg stuff - Silenced gstreamer-register
	when run after each package

2001-06-09 22:48  theuraeus

	* gstreamer.spec.in: 2001-09-06 Christian Schaller
	<Uraeus@linuxrising.org> - Added gstreamer-register to all plugins

2001-06-09 20:23  theuraeus

	* gstreamer.spec.in: 2001-09-06 Christian Schaller
	<Uraeus@linuxrising.org> - moved the visualisations plugins out
	
	TODO: 1. the mpeg plugins need sorting out. currently they are all
	just placed inside the main package. Need help with this since I am
	unsure about what files belongs where with what dependency 2.
	Cross-dependencies probably should be added to the plugins 3.
	License information should be added to the plugins 4.
	GStreamer-register needs to be added for each plugin

2001-06-09 19:50  theuraeus

	* gstreamer.spec.in: 2001-09-06 Christian Schaller
	<Uraeus@linuxrising.org> - Finally the SPEC file works again, now
	only polishing it remains

2001-06-09 17:44  theuraeus

	* gstreamer.spec.in: 2001-09-06 Christian Schaller
	<Uraeus@linuxrising.org> - More SPEC fixes, not perfect yet, but
	maybe it actually works now

2001-06-09 12:43  sbaker3

	* gst/: gstparse.c, gstparse.h: store src and sink pads in slists
	to get ready for the src1,src2\!sink1,sink2 syntax

2001-06-09 11:16  sbaker3

	* gst/gstparse.c: if a named pad doesn't exist, try creating a new
	pad using the padtemplate name. eg int2float src%d!sink%d float2int

2001-06-09 03:33  theuraeus

	* gstreamer.spec.in: 2001-09-06 Christian Schaller
	<Uraeus@linuxrising.org> - More fixes to the SPEC file, still not
	verfied that it works, but I need sleep and it is guaranteed closer
	to working than the current one. More testing and SPEC file hacking
	tommorow(aka later today).

2001-06-09 01:16  wtay

	* plugins/avi/wincodec/: Makefile.am, gstwincodec.c,
	gstwincodec.cc, gstwindec.c, gstwindec.cc, gstwindec.h,
	gstwinenc.c, gstwinenc.cc: The windows decoder now uses the dll
	loader from avifile, significantly simplyfying the codec.

2001-06-09 01:14  wtay

	* REQUIREMENTS, configure.base: Added a check for avifile.

2001-06-08 23:17  theuraeus

	* gstreamer.spec.in: 2001-08-06 Christian Schaller
	<Uraeus@linuxrising.org> - Added ALSA plugin (commented out since I
	don't have alsa installed)

2001-06-08 22:56  theuraeus

	* REQUIREMENTS, gstreamer.spec.in: 2001-08-06 Christian Schaller
	<Uraeus@linuxrising.org> - Updated GStreamer SPEC which sorts out
	plugins into separate plugins, needs more work to support all
	plugins.

2001-06-07 22:45  ajmitch

	* plugins/esd/esdsink/Makefile.am: Added README to EXTRA_DIST

2001-06-07 22:43  wtay

	* plugins/avi/Makefile.am: Added README to dist

2001-06-07 22:02  ajmitch

	* plugins/esd/esdsink/README: Added README for esdsink. Someone
	please give it some TLC before 0.2.0 release :)

2001-06-07 19:31  wtay

	* plugins/avi/: README, wincodec/gstwindec.c: Added a README file
	about the innner working of the avi decoder.

2001-06-07 17:56  dlehn

	* debian/changelog, debian/gstreamer-tools.manpages,
	gst/autoplug/.cvsignore: Added manpage Ignore built autoplugtest
	binary Bump debian version to 0.2.0

2001-06-07 11:58  richardb

	* tools/: Makefile.am, gstreamer-complete.1, gstreamer-compprep.1,
	gstreamer-register.1: Add gstreamer-compprep man page.

2001-06-07 09:18  ajmitch

	* AUTHORS: Credited 'ALSA plugins' to Thomas Nydberg in AUTHORS

2001-06-07 07:38  dlehn

	* debian/gstreamer-common.files: latest plugins updates

2001-06-07 07:06  cael

	* gstplay/: ChangeLog, gstmediaplay.glade: dissabled full-screen
	for the time being till i have time to fix it.

2001-06-07 01:08  omegahacker

	* tools/: gstreamer-inspect.1, gstreamer-launch.1,
	gstreamer-register.1: added --gst-mask to the man pages

2001-06-06 20:31  wtay

	* plugins/avi/Makefile.am: Added the REAME_win32dll to extra dist

2001-06-06 20:23  dlehn

	* debian/: Makefile.am, changelog, control, gstreamer-artsd.files,
	gstreamer-audiofile.files, gstreamer-common.files,
	gstreamer-gnomevfs.files, gstreamer-gsm.files,
	gstreamer-jpeg.files, gstreamer-oss.files, gstreamer-sdl.files,
	gstreamer-tools.files, gstreamer-tools.manpages, libgst-dev.files,
	rules: Added new plugin packages and synced up to a late pre2 CVS
	base.

2001-06-06 20:21  dlehn

	* .cvsignore: Added configure.{ac,in} to .cvsignore since they are
	autogenerated from configure.base now.

2001-06-06 20:20  dlehn

	* docs/gst/Makefile.am: Added .o and .lo to clean-local target

2001-06-06 20:15  wtay

	* gst/gstelement.c: Removed a warning.

2001-06-06 20:12  wtay

	* plugins/filters/lav/Makefile.am: Removed the README file from
	extra dist.

2001-06-06 20:07  wtay

	* plugins/filters/Makefile.am: Added the lavencoder

2001-06-06 19:33  wtay

	* docs/: gst/tmpl/gstreamer-unused.sgml, random/NOTES-0.2.0: Some
	minor docs updates.

2001-06-06 19:31  wtay

	* configure.base: Added the lav encoder Makefile.am

2001-06-06 19:29  wtay

	* gst/: cothreads.c, gstparse.c: Changed the maxcothreads to 16. 
	connect to the new_ghost_pad signal in parse.

2001-06-06 17:21  wtay

	* plugins/gsm/gstgsmdec.c: Small fix to initialize a counter.

2001-06-06 17:20  wtay

	* plugins/avi/: gstavidecoder.c, gstavitypes.c: Fixes for different
	PCM audio formats.

2001-06-06 17:09  wtay

	* plugins/avi/: gstavidecoder.c, gstavitypes.c: More fixes for
	audio.	Only send buffers if the pad is connected.

2001-06-06 17:08  wtay

	* plugins/jpeg/gstjpegdec.c: Some fixes for various jpeg formats.

2001-06-06 15:24  thomasvs

	* configure.base, plugins/filters/Makefile.am: added cutter plugin
	to config stuff

2001-06-06 15:21  thomasvs

	* plugins/filters/cutter/: Makefile.am, README, cutter.c, cutter.h,
	filter.func: cutter plugin; emits signals when audio RMS level
	falls below or rises above threshold value for a given consecutive
	run of buffers

2001-06-06 15:14  thomasvs

	* configure.base, libs/Makefile.am: added Makefile generation for
	gstaudio library

2001-06-06 15:13  thomasvs

	* libs/audio/: Makefile.am, gstaudio.c, gstaudio.h: first try at a
	general gstreamer audio library with helper functions

2001-06-06 13:47  richardb

	* docs/manual/quotes.sgml: Add an important quote from Omega.

2001-06-06 00:39  theuraeus

	* plugins/avi/README_win32dll: 2001-06-06 Christian Schaller
	<Uraeus@linuxrising.org> * Add small textfile with some information
	on win32 dll situation

2001-06-05 20:44  sbaker3

	* plugins/filters/ladspa/: gstladspa.c, gstladspa.h: mono _get and
	_chain should now work.Many other changes including: all immutable
	info is in the class struct, activate/deactivate should work, and a
	bunch of other stuff

2001-06-05 18:45  wtay

	* tools/gstreamer-inspect.c: Somewhat improve the layout of args in
	inspect.

2001-06-05 18:26  sbaker3

	* plugins/filters/intfloatconvert/: float2int.c, float2int.h,
	int2float.c, int2float.h: use proxying for caps

2001-06-05 02:27  richardb

	* gst/: Makefile.am, gstelementfactory.c: Revert accidentally
	applied changes.  Time for bed.

2001-06-05 02:26  richardb

	* gst/: Makefile.am, gstelementfactory.c, gstplugin.c: FIx memleak
	in save-thyself introduced by changing plugin_get_list to copy.

2001-06-05 02:15  richardb

	* gst/gstplugin.c: Simple fix to stop gstreamer-compprep crashing
	when the registry is in use.

2001-06-04 22:52  wtay

	* plugins/xvideosink/: xvideosink.c, xvideosink.h: Added an option
	to disable Xv images. It's not pretty but it works.

2001-06-04 22:02  wtay

	* tools/gstreamer-launch.c: Fixed the xid stuff and some cleanups.

2001-06-04 21:16  wtay

	* plugins/mp3encode/lame/gstlame.c: Set the src caps to audio/mp3

2001-06-04 20:20  wtay

	* plugins/mp3encode/lame/gstlame.c: Removed the MPG_MD* defines
	bacause they seem to be undefined with some versions of lame.

2001-06-04 20:00  wtay

	* plugins/oss/README: Added a little info about the ossgst hack.

2001-06-04 19:59  wtay

	* plugins/oss/gstosssrc.c: Some osssrc fixes

2001-06-04 17:55  wtay

	* plugins/mp3encode/lame/gstlame.c: Small updates.

2001-06-04 17:33  wtay

	* plugins/vorbis/vorbisenc.c: Fixed a bug for mono input.

2001-06-04 17:02  wtay

	* gst/cothreads.c: Use the STACKSIZE and number of cothreads to
	calculate the cothread stack space (easier to change the number of
	cothreads).

2001-06-04 16:59  thomasvs

	* plugins/oss/gstosssrc.c: set default format to 44100/16/stereo

2001-06-04 16:38  thomasvs

	* gst/gstparse.c: added an eos handler so that gstreamer-launch
	quits when the first element fires it

2001-06-04 15:52  wtay

	* plugins/mpeg1/mpegaudio/gstmpegaudio.c: Fixes to do proper caps
	negotiation.

2001-06-04 15:50  wtay

	* tools/gstreamer-inspect.c: Print out the default values.

2001-06-04 14:51  sbaker3

	* plugins/alsa/: alsasink.c, alsasrc.c: removed MAKE_ARG macro (it
	didn't seem to work)\nAttempted to make the element name consist
	only of alphanumeric and _ (eg ESS_AudioDrive_ES1688_0_0_src)

2001-06-04 12:25  richardb

	* docs/gst/Makefile.am: Nasty hack enabling docs/gst/ to build with
	unpatched versions of gtkdoc-scanobj which don't understand
	libtool.

2001-06-04 02:26  wtay

	* plugins/xmms/: gstxmmseffect.c, gstxmmseffect.h: Added capsnego
	to the xmms effects.

2001-06-04 01:51  richardb

	* gst/gst.c: Replace NO_X conditional compilation with testing
	whether DISPLAY env variable is set, and doing gtk_type_init()
	instead of gtk_init() if not.

2001-06-04 01:38  richardb

	* autogen.sh: Don't ever run if we know automake isn't patched:
	people keep complaining that their machine crashed while trying to
	build...

2001-06-04 00:40  wtay

	* plugins/xmms/gstxmmsinput.c: Added capsnego to the xmms input
	plugin.

2001-06-03 23:30  wtay

	* tools/README: More info about the other tools.

2001-06-03 20:49  richardb

	* tools/: Makefile.am, gstreamer-complete.1, gstreamer-launch.1:
	Add man page for gstreamer-complete

2001-06-03 20:26  wtay

	* docs/gst/tmpl/gstreamer-unused.sgml: Docs updates

2001-06-03 20:24  wtay

	* plugins/flx/flx_decoder.c: More cleanups

2001-06-03 20:20  wtay

	* plugins/flx/flx_decoder.c: Small cleanups

2001-06-03 20:19  wtay

	* gst/gst.c: optionally call gtk_type_init() instead of gtk_init()
	if NO_X is defined. This avoids the X dependency of GStreamer.

2001-06-03 20:14  wtay

	* plugins/au/: gstparseau.c, gstparseau.h: Cleanups to the au
	parser.

2001-06-03 20:13  wtay

	* plugins/mp3decode/mad/gstmad.c: Small caps updates.

2001-06-03 20:11  wtay

	* plugins/xvideosink/: gstxwindow.c, xvideosink.c: Don't fail when
	an X-connection could not be made.

2001-06-03 20:09  wtay

	* docs/random/NOTES-0.2.0: small changes

2001-06-03 20:06  wtay

	* Makefile.am: Removed the components dir from since it doesn't
	work/build anyway.

2001-06-03 16:30  wtay

	* docs/random/NOTES-0.2.0: More small updates.:

2001-06-03 16:29  wtay

	* docs/random/NOTES-0.2.0: Added first desciption of the changes
	for 0.2.0

2001-06-03 13:08  wtay

	* gstplay/gstplay.c: Find the seeking properties in GstBin objects
	too.

2001-06-03 13:06  wtay

	* plugins/avi/: gstavidecoder.c, gstavitypes.c,
	wincodec/gstwindec.c: Added the seeking args to the avi decoder. 
	Set the buffer flush flag in windec.

2001-06-03 12:28  wtay

	* plugins/cdparanoia/cdparanoia.c: Set the pad caps in _init time.

2001-06-03 12:28  wtay

	* gst/gstpad.c: Set the caps on a proxied pad when the pad is not
	connected.

2001-06-03 12:20  richardb

	* plugins/arts/Makefile.am: Add dependency so that gst_artsio.cc
	gets generated in time, and change rule to generate it into a
	suffix rule.  Register suffix so that automake can set _OBJECTS
	appropriately.

2001-06-03 02:45  wtay

	* plugins/avi/: gstavidecoder.c, gstavidemux.c, gstavitypes.c:
	Added support for mjpeg and PCM audio.

2001-06-03 02:00  wtay

	* plugins/jpeg/: gstjpeg.c, gstjpegenc.c: Removed the caps that are
	not used.

2001-06-03 00:36  richardb

	* configure.base, plugins/arts/Makefile.am: Fix arts check, with
	artsc-config hackery.

2001-06-02 22:57  wtay

	* plugins/cdparanoia/: cdparanoia.c, cdparanoia.h: Applied the
	patch from Apoc: š _ Add properties cur_sector read only ( get
	current sector ) š _ Add properties last_track read only ( last
	track of the cd ) š _ Add properties cur_track read only ( get the
	current track ) š _ Properties end_track writeable ( last track to
	rip/play )

2001-06-02 22:52  wtay

	* plugins/cdparanoia/cdparanoia.c: Set the caps of the srcpad right
	before sending a buffer instead of in the _init function.

2001-06-02 19:26  omegahacker

	* tools/gstreamer-launch.c: added check to make sure there's a
	pipeline desc before building

2001-06-02 19:11  wtay

	* configure.base: Added the avi makefiles.

2001-06-02 19:08  wtay

	* plugins/avi/: Makefile.am, gstavidecoder.c, gstavidecoder.h,
	gstavidemux.c, gstavidemux.h, gstavitypes.c, gstavitypes.h,
	winaudio/Makefile.am, winaudio/aviaudiodecoder.c,
	winaudio/aviaudiodecoder.h: More rework on the avi decoder.  The
	avi decoder is now a bin that manages the avidemuxer and the
	codecs. It uses the autoplugger and avitypes to convert avi types
	into mime/types and select gstreamer codecs to create an element.

2001-06-02 19:06  richardb

	* autogen.sh: Clarify the messages about the patched automake one
	more time.  If it's not clear now, and people continue to complain
	about automake eating their resources, I'm mysteriously unable to
	hear them.

2001-06-02 17:38  wtay

	* examples/helloworld/helloworld.c: Fixed the helloworld example by
	using a pipeline as the toplevel element.

2001-06-02 16:33  ajmitch

	* configure.base: Let's just say I have a better understanding of
	autoconf now (I should really have read the manual first). It helps
	to remember that yes != no ;)

2001-06-02 14:42  ajmitch

	* configure.base: Automake is picky about white space...

2001-06-02 14:38  ajmitch

	* Makefile.am, configure.base: Added options --disable-tests and
	--disable-examples for quicker builds for the impatient...

2001-06-02 13:45  wtay

	* gst/gstpad.c: Copy the padtemplate to the ghostpad.

2001-06-02 13:21  richardb

	* configure.base, plugins/gsm/Makefile.am, plugins/gsm/gstgsmdec.h,
	plugins/gsm/gstgsmenc.h: Fix gsm to check for "gsm.h" as well as
	"gsm/gsm.h".

2001-06-02 11:42  richardb

	* plugins/sdlsink/Makefile.am: Fix a typoe in sdlsink Makefile.am

2001-06-02 11:40  theuraeus

	* gstreamer.spec.in: 2001-02-06 Christian Schaller
	<Uraeus@linuxrising.org> * Doh, forgot to update the Changelog
	inside the SPEC file

2001-06-02 11:38  theuraeus

	* gstreamer.spec.in: 2001-02-06 Christian Schaller
	<Uraeus@linuxrising.org> * Small fix to group statement for
	GStreamer
	
	My work on the SPEC file making the RPM make one package for all
	non-core plugins is underway, but I am not ready with it yet.

2001-06-02 03:21  richardb

	* configure.base: Oops: fixed SDL header check: put flags in
	CPPFLAGS rather than CFLAGS.  We should really filter the
	SDL_CFLAGS and only pass appropriate options through, but this
	works well enough for now.

2001-06-02 03:05  richardb

	* configure.base: Improve SDL check: use correct CFLAGS when
	searching for header.

2001-06-01 23:56  wtay

	* plugins/avi/: Makefile.am, gstavidecoder.c, gstavidecoder.h,
	playcodecs.c, wincodec/gstwincodec.c, wincodec/gstwindec.c,
	wincodec/gstwindec.h: Reworked the avi decoder. it works again now
	(but no sound yet).

2001-06-01 23:36  thomasvs

	* tests/reconnect.c: ok, this works now

2001-06-01 23:23  thomasvs

	* tests/: Makefile.am, reconnect.c: test for disconnect and
	reconnect of elements

2001-06-01 22:26  theuraeus

	* gstreamer.spec.in: 2001-01-06 Christian Schaller
	<Uraeus@linuxrising.org> - First batch of upgrades to the SPEC
	file, this one from   Dennis Bjorklund. Thanks Dennis.

2001-06-01 19:52  wtay

	* configure.base: Added a better SDL_createYUVOverlay check.

2001-06-01 19:30  wtay

	* gst/: gstbin.c, gstpad.c, gstqueue.c, gstscheduler.c,
	autoplug/autoplugtest.c, autoplug/gststaticautoplugrender.c: Fixed
	some warnings.

2001-06-01 19:24  wtay

	* tests/: Makefile.am, autoplug.c, capsconnect.c, incsched.c,
	load.c, loadall.c, mp1vid.c, mp3encode.c, paranoia.c, reaping.c,
	registry.c, threadlock.c, nego/nego1.c, sched/runxml.c: Fixed a
	couple of compiler warnings.

2001-06-01 19:09  wtay

	* test/: ac3parse.c, ac3play.c, buffer.c, cobin.c, dvdcat.c,
	dvshow.c, fake.c, mem.c, mp1tomp1.c, mp2tomp1.c, mp3mad.c,
	mp3play.c, record.c, teardown.c, vidcapture.c, vidcapture2.c,
	video2mp1.c: Fixed some compile warnings.

2001-06-01 18:55  hadess

	* REQUIREMENTS: - added url to openquicktime

2001-06-01 18:42  hadess

	* REQUIREMENTS: - added some more urls

2001-06-01 18:42  wtay

	* gstplay/gstplay.c: Print out a warning when the colorspace plugin
	is not found and try to do without it...

2001-06-01 18:32  theuraeus

	* LICENSE_readme, REQUIREMENTS: 2001-01-06 Christian Schaller
	<Uraeus@linuxrising.org> * A few URL additions to the REQUIREMENTS
	file * LICENCE readme containing licensing details on our plugins

2001-06-01 17:57  wtay

	* README, REQUIREMENTS: Slightly changed the README, we are not
	really tied to GNOME.  Added more optional libs to REQUIREMENTS.
	someone should complete the URLS.

2001-06-01 17:46  wtay

	* plugins/effects/volume/volume.c: Removed the soundcard.h include
	line.

2001-06-01 16:29  thomasvs

	* gst/elements/gstdisksink.c: coded small bit in to allow changing
	of output location

2001-06-01 14:27  richardb

	* tools/README: Add a note about gstreamer-complete

2001-06-01 14:03  richardb

	* configure.base: More tidyup to SDL check.

2001-06-01 13:36  richardb

	* configure.base: Fix SDL check Check for Overlay stuff, which
	isn't in SDL version 1.0

2001-05-31 23:57  hadess

	* REQUIREMENTS: - added urls to the required libs, with a lot of
	added libs

2001-05-31 21:20  richardb

	* REQUIREMENTS, configure.base: Add comments to many (but not all
	:( ) AC_DEFINES in configure scripts.  Add note about debian
	packages for building documentation.

2001-05-31 21:14  richardb

	* plugins/esd/esdsink/Makefile.am: Add a CFLAGS line: just luck
	that it's not been needed so far.

2001-05-31 21:13  richardb

	* plugins/artsd/Makefile.am: Remove a redundant line, and add a
	comment about one which will become redundant in future.

2001-05-31 20:52  wtay

	* testsuite/refcounting/Makefile.am: Removed the thread test so
	make distcheck works.

2001-05-31 20:18  wtay

	* testsuite/refcounting/Makefile.am: Added the mem.h file in
	noinst_HEADERS.

2001-05-31 20:16  richardb

	* plugins/arts/Makefile.am: Remove generated files from the dist.

2001-05-31 20:08  richardb

	* configure.base, idiottest.mak: Fix a couple of formatting errors
	in idiottest, and add plugin-srcdir warning to configure.base.

2001-05-31 19:42  wtay

	* plugins/avi/Makefile.am: Fixed the codectest.

2001-05-31 19:35  richardb

	* Makefile.am, idiottest.mak, include/Makefile.am: Abstract the
	plugin-srcdir installation idiottest into a separate file, and
	include it from the include Makefile.am, to ensure that it gets
	called at the start of a make install process, not after the whole
	thing has happened.

2001-05-31 19:31  wtay

	* include/Makefile.am: Added gstaudio.h to noinst_HEADERS.

2001-05-31 19:03  richardb

	* docs/gst/Makefile.am: Add rules to ensure that the libgst.la and
	libgstelements.la exist when trying to link the scanner with them. 
	Fix mkdirs so that they don't fall over if directories already
	exist.

2001-05-31 18:32  richardb

	* plugins/arts/Makefile.am: Put gst_artsio.idl in
	libgst_arts_la_SOURCES instead of gst_artsio.cc (which is generated
	from it).  This ensures that the original source is present, and
	also allows make dist to work on machines which don't have mcopidl
	and the arts idl stuff installed.
	
	It is possible that gst_artsio.cc should be put in EXTRA_DIST, but
	I argue against it since as far as I can tell it can be generated
	on any system which has arts installed (mcopidl is in the libarts
	package on debian), and putting it in EXTRA_DIST requires that
	mcopidl is present in order to run make dist.

2001-05-31 15:19  richardb

	* configure.base: Add AS and ASFLAGS to configure.base, fixing the
	build with automake 1.4g AS is defined in a hacky way: I've asked
	on the automake list for help doing this properly.

2001-05-31 10:53  thomasvs

	* plugins/oss/gstosssrc.c: some small cleanups before maybe doing
	some real work on this

2001-05-30 23:06  thomasvs

	* plugins/oss/gstosssrc.c: The weird thing only happens on one of
	my sound cards.

2001-05-30 22:35  thomasvs

	* include/gstaudio.h: header file for standard audio stuff for
	plugins

2001-05-30 22:27  omegahacker

	* configure.base: added no-alsa warning and made 0.9 check
	conditional on alsa existing at all

2001-05-30 22:15  wtay

	* plugins/wav/gstparsewav.c: Major cleanups so that it actually
	works.

2001-05-30 22:14  wtay

	* gst/gstprops.c: Fixed a bug so that gst_props_new (NULL) == NULL

2001-05-30 21:54  omegahacker

	* plugins/sdlsink/sdlvideosink.c: added SDL_INIT_NOPARACHUTE flag
	to SDL_Init, to disable one of the most annoying features IMO of
	SDL

2001-05-30 21:36  omegahacker

	* gst/gstpad.c: stupid mistake, I put != instead of == in the
	g_return_if's

2001-05-30 21:13  omegahacker

	* gst/gstpad.c: added sanity checks to make sure _push and _pull
	don't get called on pads of the wrong direction

2001-05-30 20:07  sbaker3

	* plugins/filters/ladspa/: gstladspa.c, gstladspa.h: beginnings of
	inplace mono chain func

2001-05-30 17:37  thomasvs

	* plugins/oss/gstosssrc.c: switched some lines around

2001-05-30 17:10  thomasvs

	* plugins/oss/gstosssrc.c: added caps to osssrc found a weird
	thing, don't know yet what to do about it

2001-05-30 16:16  richardb

	* README, autogen.sh: Automatically generate a patched automake if
	needed, and put instructions in the README about how to use such a
	patched automake.

2001-05-30 15:39  richardb

	* Makefile.am: Add configure.base and autogen.sh to distributions. 
	Add rules to keep configure.in and configure.ac up-to-date.

2001-05-30 15:22  richardb

	* autogen.sh, configure.ac, configure.base, configure.in:  * create
	a configure.base file, containing the contents of
	   configure.{in,ac}, with those lines specific to one file
	prepended by
	   "SUBSTFOR configure.in:" or "SUBSTFOR configure.ac:"
	appropriately.
	
	 * Add lines to autogen.sh to generate configure.in and
	configure.ac
	   automatically from this file. (Very simple sed scripts)
	
	 * Remove configure.in and configure.ac
	
	This shouldn't cause any problems to anyone, and should make it
	easy to do work on configure scripts by just working on
	configure.base.

2001-05-30 14:54  thomasvs

	* plugins/filters/passthrough/passthrough.c: added signed support
	implemented include/gstaudio.h use

2001-05-30 14:25  richardb

	* configure.ac, configure.in: More small changes to bring the two
	scripts closer together.  Turned off building docs by default in
	configure.ac.  Only diffs are now essential due to changes from
	autoconf 2.13 to 2.50.

2001-05-30 13:56  richardb

	* autogen.sh: Deal more gracefully with being either unable to
	check that automake is patched (will now just give a small
	warning), or finding that automake definitely isn't patched (will
	give a big loud warning recommend stopping the build and sleep
	briefly to give the user a chance to read the message).  Will
	eventually try to do the build anyway though.
	
	Also, don't abort if autoconf or automake return error codes: they
	both seem able to do so even when having produced viable results.

2001-05-29 23:10  wtay

	* plugins/filters/colorspace/: Makefile.am, colorspace.c,
	colorspace.h, yuv2rgb.c, yuv2rgb.h: Added more colorspace functions
	for YUV->RGB

2001-05-29 17:40  richardb

	* autogen.sh: Add checks for appropriate versions of automake.	Add
	check that automake has been patched if it is a version which
	requires a patch.  Please check that this doesn't cause problems:
	it's a bit of a hairy test, so I might well have mucked it up and
	broken some people's build systems.  Hope not, though. ;-)

2001-05-29 17:39  hadess

	* plugins/gnomevfs/gnomevfssrc.c: - fix for when size can't be
	acquired (fixes icecast streaming)

2001-05-29 17:38  richardb

	* Makefile.am, configure.ac, configure.in: Add idiot test to stop
	the installing of versions with plugin srcdir enabled.

2001-05-29 16:19  richardb

	* configure.ac, configure.in: Fix differences between configure.in
	and configure.ac which were trivial or due merely to formatting
	differences.  diff can now be used to see only the significant
	differences, which should be helpful in keeping these two files in
	sync.

2001-05-29 13:43  richardb

	* gst/Makefile.am.future: Update Makefile.am.future - a replacement
	for Makefile.am which uses features present in recent versions of
	automake (>1.4d) to avoid horrendous hackery.

2001-05-29 13:31  richardb

	* acinclude.m4, configure.ac, configure.in: Simplify alsa checking:
	we can use the standard AM_PATH_ALSA macro to check that we don't
	have alsa 0.9.x: we just need to specify something for
	ACTION_NOT_FOUND to override the default AC_MSG_ERROR behaviour, so
	I've put a colon for ACTION_NOT_FOUND. ;-) Also, update the alsa
	macro in acinclude with the latest from the alsa project CVS.

2001-05-28 23:23  omegahacker

	* gst/gstsparc.h: fixed #define line continuation in gstsparc.h

2001-05-28 23:02  wtay

	* configure.ac, configure.in: Added a check for gsm/gsm.h

2001-05-28 22:41  omegahacker

	* gst/gstinfo.c: changed debug so it always prints pid and cid in
	color

2001-05-28 22:02  wtay

	* configure.ac: Removed the -pre0

2001-05-28 22:00  wtay

	* plugins/Makefile.am: Added gsm to subds.

2001-05-28 21:47  wtay

	* configure.ac: Added the refcounting to the output targets.

2001-05-28 21:36  wtay

	* acconfig.h, configure.ac, configure.in: Added a check for libgsm

2001-05-28 21:22  wtay

	* configure.ac: Updated to match configure.in

2001-05-28 21:05  wtay

	* configure.ac: The configure file for autoconf 2.50

2001-05-28 20:59  omegahacker

	* ABOUT-NLS: added blank file to keep autoconf happy, fill it in
	later

2001-05-28 20:34  omegahacker

	* plugins/avi/Makefile.am: changed srcdir to builddir for .la

2001-05-28 20:33  omegahacker

	* configure.in: attempt at a fixed alsa check to guarantee 0.5.x

2001-05-28 20:09  omegahacker

	* libs/getbits/Makefile.am, libs/idct/Makefile.am,
	plugins/xvideosink/Makefile.am: distcheck cleanups

2001-05-28 08:46  omegahacker

	* configure.in, gstreamer-uninstalled.pc.in, gstreamer.pc.in,
	gst/Makefile.am: some fixes to handle builddirs, which distcheck
	uses, along with complete .pc files

2001-05-28 01:07  hadess

	* plugins/gnomevfs/gnomevfssrc.c: - cleanups

2001-05-28 00:57  omegahacker

	* gst/gstpad.c, gst/gstthread.c, gst/elements/gstidentity.c,
	plugins/xvideosink/xvideosink.c, tools/gstreamer-inspect.c: Added
	some caps != NULL checks.  Patched up a problem with the thread
	handling when the iteration fails.  Cleaned up the output of
	-inspect a tiny bit.

2001-05-28 00:52  omegahacker

	* configure.in: removed a spare alsa check, and made sure it fails
	for alsa 0.9.x

2001-05-28 00:12  wtay

	* examples/mixer/Makefile.am: Added the headers

2001-05-28 00:01  wtay

	* plugins/arts/Makefile.am: Add more hardcoded paths for includes.

2001-05-27 23:55  wtay

	* tests/nego/nego1.c: Updated for new API calls.

2001-05-27 23:45  wtay

	* plugins/sdlsink/Makefile.am: Added the header file.

2001-05-27 23:26  wtay

	* configure.in.ac250: Added refcounting to the targets.

2001-05-27 23:25  wtay

	* testsuite/: Makefile.am, capsnego/Makefile.am,
	refcounting/Makefile.am: Makfeile updates.

2001-05-27 22:56  omegahacker

	* Makefile.am, acconfig.h, configure.in, gst/autoplug/Makefile.am,
	plugins/1394/Makefile.am, plugins/aasink/Makefile.am,
	plugins/alaw/Makefile.am, plugins/filters/level/Makefile.am,
	plugins/filters/passthrough/Makefile.am,
	plugins/filters/volenv/Makefile.am, plugins/mulaw/Makefile.am,
	plugins/oss/Makefile.am, plugins/xvideosink/Makefile.am,
	tests/Makefile.am, testsuite/Makefile.am: various build fixes

2001-05-27 21:52  wtay

	* plugins/Makefile.am: Only build the quiktime plugin if the
	openquicktime library was found.

2001-05-27 21:52  wtay

	* configure.in, configure.in.ac250: Added a check for
	openquicktime.

2001-05-27 18:02  sbaker3

	* tools/gstreamer-complete.c: now builds for those who are too lazy
	to upgrade their xml libraries

2001-05-27 16:13  hadess

	* plugins/gnomevfs/gnomevfssrc.c: - added eos-hack signal to the
	source, and fix the seek segfaults

2001-05-27 15:41  hadess

	* gstplay/gstmediaplay.glade: - changed the Alt shortcuts to Ctrl
	shortcuts (like in all proper GTK+ apps)

2001-05-27 15:38  wtay

	* tests/: mp3encode.c, rip.c: Updated for remove methods.

2001-05-27 15:38  wtay

	* test/mp2toavi.c, test/mp2tomp1.c, test/mpeg2parse.c,
	examples/autoplug/autoplug.c, examples/queue/queue.c: Updated for
	removed methods.

2001-05-27 15:37  wtay

	* gst/: cothreads.c, cothreads.h, gstbin.c, gstbin.h, gstinfo.c,
	gstobject.c, gstpad.c, gstplugin.c, gstscheduler.h: Docs updates
	Changed the cothread to use sigjmp_buf removed some unused methods.
	 Some code cleanups.

2001-05-27 15:33  wtay

	* docs/gst/: gstreamer-docs.sgml, gstreamer-sections.txt,
	tmpl/cothreads.sgml, tmpl/gstbin.sgml, tmpl/gstelement.sgml,
	tmpl/gstfakesink.sgml, tmpl/gstfakesrc.sgml, tmpl/gstinfo.sgml,
	tmpl/gstobject.sgml, tmpl/gstpad.sgml, tmpl/gstplugin.sgml,
	tmpl/gstqueue.sgml, tmpl/gstreamer-unused.sgml,
	tmpl/gstscheduler.sgml, tmpl/gsttrace.sgml: API docs updates.

2001-05-27 01:04  omegahacker

	* gst/gstscheduler.h: fixed up and turned back on
	GST_SCHEDULE_SAFETY

2001-05-26 23:58  omegahacker

	* gst/: cothreads.c, gstelement.c, gstscheduler.c: fixed cothread
	locking and set_arg/get_arg safety, and switched to 64 cothreads of
	32KB

2001-05-26 20:47  hadess

	* plugins/gnomevfs/gnomevfssrc.c: - gnome-vfs seek works, cleaned
	up

2001-05-26 19:46  hadess

	* plugins/gnomevfs/gnomevfssrc.c: - really use mmap this time for
	local files, first try at seek in remote files

2001-05-26 18:17  hadess

	* plugins/gnomevfs/gnomevfssrc.c: - added local file fallback with
	mmap support

2001-05-26 17:41  wtay

	* gst/gstelement.h: Removed redundant prototypes.

2001-05-26 17:33  wtay

	* gst/gstpad.h: Fixed a bug in the typecast macros for
	padtemplates.

2001-05-26 13:17  wtay

	* gst/elements/Makefile.am: don't link against libgst.la because it
	seems to fail on some libtool versions.

2001-05-26 06:36  omegahacker

	* tests/threadlock.c: shut up fakesrc and fakesink, changed
	sleeping a little

2001-05-26 06:26  omegahacker

	* tests/threadlock.c: moved debug to before _init so cmdline can
	override, and put sleep(1)'s in while(1) to increase chance of
	contention (I think)

2001-05-26 06:19  omegahacker

	* tests/threadlock.c: updated threadlock to actually be a thread
	locking test

2001-05-26 00:36  dlehn

	* test/lat.c: Elements must have different names.

2001-05-25 23:08  hadess

	* gstplay/.cvsignore: - more generic files to exclude: *~ and ~.bak

2001-05-25 23:02  hadess

	* gstplay/.cvsignore: - added gstmediaplay.glade.bak to the files
	to ignore

2001-05-25 23:01  hadess

	* gstplay/gstmediaplay.glade: - updated (c) date, and added WMClass
	and WMName to the gstmediaplay windows

2001-05-25 22:42  wtay

	* gst/gstplugin.c: Removed a stupid printf.

2001-05-25 22:39  wtay

	* gst/: gstbuffer.h, gstelement.c, gstpipeline.c, gstplugin.c: Some
	cleanups.  Removed some bogus code from element and pipeline
	elements.  Fixed a typo.

2001-05-25 22:38  wtay

	* gst/elements/Makefile.am: Added GST_LIBS to LIBADD.

2001-05-25 22:35  omegahacker

	* gst/gstbuffer.c: fixed rather heinous bug in gst_buffer_copy

2001-05-25 22:31  omegahacker

	* gst/autoplug/gstautoplugcache.c: removed some more noise,
	converted to GST_DEBUG

2001-05-25 22:25  omegahacker

	* gst/gstelement.c: removed annoying debug message during state
	change (made GST_DEBUG)

2001-05-25 22:13  hadess

	* autogen.sh: - added a line for busy application developers, it's
	shorter this time

2001-05-25 22:00  omegahacker

	* .cvsignore, AUTHORS, Makefile.am, autogen.sh, configure.in,
	gstreamer-uninstalled.pc.in, gstreamer.pc.in, gstreamer.spec.in,
	docs/gst/tmpl/cothreads.sgml, docs/gst/tmpl/gstelement.sgml,
	docs/gst/tmpl/gstfakesrc.sgml, docs/gst/tmpl/gstthread.sgml,
	docs/random/matth/scheduling.txt, examples/Makefile.am,
	examples/autoplug/autoplug.c, examples/mixer/mixer.c,
	gst/Makefile.am, gst/cothreads.c, gst/cothreads.h, gst/gst.c,
	gst/gst.h, gst/gstbin.c, gst/gstbin.h, gst/gstbuffer.c,
	gst/gstcaps.c, gst/gstclock.c, gst/gstelement.c, gst/gstelement.h,
	gst/gstelementfactory.c, gst/gstinfo.c, gst/gstinfo.h,
	gst/gstobject.c, gst/gstobject.h, gst/gstpad.c, gst/gstpad.h,
	gst/gstpipeline.c, gst/gstprops.c, gst/gstqueue.c, gst/gstqueue.h,
	gst/gstscheduler.c, gst/gstscheduler.h, gst/gstthread.c,
	gst/gstthread.h, gst/gsttype.c, gst/gsttypefind.c, gst/gsttypes.h,
	gst/gstxml.c, gst/autoplug/Makefile.am,
	gst/autoplug/autoplugtest.c, gst/autoplug/gstautoplugcache.c,
	gst/autoplug/gstautoplugger.c, gst/autoplug/gststaticautoplug.c,
	gst/autoplug/gststaticautoplugrender.c, gst/elements/gstfakesrc.c,
	gst/elements/gstfakesrc.h, gst/elements/gstsinesrc.c,
	gstplay/Makefile.am, gstplay/gstmediaplay.c,
	gstplay/gstmediaplay.glade, gstplay/gstplay.c, gstplay/gstplay.h,
	gstplay/gstplayprivate.h, libs/idct/gstidct.c,
	plugins/1394/dv1394src.c, plugins/alaw/alaw-conversion.c,
	plugins/arts/Makefile.am, plugins/arts/gst_arts.c,
	plugins/esd/esdsink/esdsink.c, plugins/filters/Makefile.am,
	plugins/filters/adder/adder.c,
	plugins/filters/colorspace/colorspace.c,
	plugins/filters/ladspa/gstladspa.c,
	plugins/filters/stereo2mono/stereo2mono.c,
	plugins/gnomevfs/gnomevfssrc.c, plugins/mp3decode/mad/gstmad.c,
	plugins/mp3decode/mpg123/gstmpg123.c,
	plugins/mp3decode/parse/mp3parse.c,
	plugins/mp3decode/types/mp3types.c,
	plugins/mp3encode/lame/gstlame.c,
	plugins/mpeg1/mpeg_play/gstmpeg_play.c,
	plugins/mpeg1/mpeg_play/video.c, plugins/mpeg1/mpegaudio/common.c,
	plugins/mpeg1/mpegaudio/musicin.c,
	plugins/mpeg2/mpeg2dec/gstmpeg2dec.c, plugins/oss/gstosssink.c,
	plugins/videoscale/videoscale.c, plugins/vorbis/vorbis.c,
	plugins/vorbis/vorbisdec.c, plugins/xmms/gstxmmsinput.c,
	test/.cvsignore, test/Makefile.am, test/avi2mpg.c, test/cobin.c,
	test/dvshow.c, test/fake.c, test/mpeg2parse2.c, test/mpeg2parse3.c,
	test/mpeg2parse4.c, test/video2mp1.c, test/videotest2.c,
	tests/Makefile.am, tests/incsched.c, tests/mp1vid.c,
	tests/reaping.c, tests/states.c, tests/threadlock.c,
	testsuite/refcounting/Makefile.am, testsuite/refcounting/bin.c,
	testsuite/refcounting/element.c,
	testsuite/refcounting/element_pad.c, testsuite/refcounting/mem.c,
	testsuite/refcounting/mem.h, testsuite/refcounting/object.c,
	testsuite/refcounting/pad.c, testsuite/refcounting/thread.c,
	tools/.cvsignore, tools/Makefile.am, tools/gstreamer-complete.c,
	tools/gstreamer-compprep.c, tools/gstreamer-inspect.c: Merged from
	INCSCHED on 200505251!!!

2001-05-25 21:50  omegahacker

	* autogen.sh, configure.in.ac250, docs/manual/autoplugging.sgml,
	gst/elements/gstfakesink.h, gst/elements/gstfakesrc.h,
	plugins/audiofile/Makefile.am, plugins/audiofile/README,
	plugins/audiofile/gstafsink.c, plugins/audiofile/gstafsink.h,
	plugins/audiofile/gstafsrc.c, plugins/audiofile/gstafsrc.h,
	plugins/filters/level/level.c,
	plugins/filters/passthrough/filter.func,
	plugins/filters/passthrough/passthrough.c,
	plugins/filters/passthrough/passthrough.h,
	plugins/gnomevfs/gnomevfssrc.c, plugins/gsm/Makefile.am,
	plugins/gsm/gstgsm.c, plugins/gsm/gstgsmdec.c,
	plugins/gsm/gstgsmdec.h, plugins/gsm/gstgsmenc.c,
	plugins/gsm/gstgsmenc.h, plugins/oss/gstossgst.c,
	plugins/wav/gstparsewav.c, test/dv2mp1.c, test/dvshow.c: Merged
	from HEAD into INCSCHED on 200105251

2001-05-25 21:41  wtay

	* docs/manual/autoplugging.sgml: More docs updates.

2001-05-25 21:41  wtay

	* test/: dv2mp1.c, dvshow.c: some minor fixes..

2001-05-25 21:39  wtay

	* plugins/gnomevfs/gnomevfssrc.c: Fix a leak on EOS.

2001-05-25 20:53  wtay

	* test/Makefile.am: Cleaned up the makefile a bit.

2001-05-25 20:36  wtay

	* test/: cobin.c, fake.c: Remove deprecated methods.

2001-05-25 20:19  wtay

	* gst/: gstbin.c, gstbin.h, gstpad.c: Removed some unused functions
	in gstbin Fixed a compiler warning.

2001-05-25 20:16  omegahacker

	* gst/gstthread.c: forgot to unset SPINNING, no idea how it worked
	before, maybe this will fix wtay's case

2001-05-25 19:07  wtay

	* plugins/filters/ladspa/gstladspa.c: Adjusted for state
	reorderings.

2001-05-25 18:35  omegahacker

	* gst/gstbin.c, gst/gstelement.c, gst/gstelement.h, gst/gstinfo.c,
	gst/gstqueue.c, gst/gstscheduler.c, gst/gstthread.c,
	plugins/1394/dv1394src.c, plugins/arts/gst_arts.c,
	plugins/esd/esdsink/esdsink.c, plugins/gnomevfs/gnomevfssrc.c,
	plugins/mp3decode/types/mp3types.c, plugins/oss/gstosssink.c,
	plugins/xmms/gstxmmsinput.c: Swapped PAUSED and PLAYING states,
	reworked thread interlocking.  States are now: NULL <-> READY <->
	PAUSED <-> PLAYING.
	
	Had do update dv1394src, gst_arts, and xmmsinput, please test these
	out!
	
	Cleaned up DEBUG output in several places to by much much less
	verbose but still just as useful (denser).

2001-05-25 17:21  thomasvs

	* plugins/filters/passthrough/: filter.func, passthrough.c,
	passthrough.h: Cleaned out level code from passthrough plugin added
	silent argument, defaults to false

2001-05-25 17:19  thomasvs

	* plugins/audiofile/gstafsink.c: cleaned up output info

2001-05-25 17:17  thomasvs

	* plugins/filters/level/level.c: cleaned up level plugin output

2001-05-25 15:02  thomasvs

	* plugins/audiofile/: gstafsink.c, gstafsrc.c: cleaned up output
	got rate and signedness to work on afsrc

2001-05-25 14:42  thomasvs

	* plugins/audiofile/README: a little info

2001-05-25 11:43  wtay

	* test/: avi2mpg.c, dvshow.c, fake.c, videotest2.c: Small fixes to
	various test apps.

2001-05-25 11:43  wtay

	* gstplay/gstplay.c: If the arg looks like a URI, gnomevfs is used,
	if gnomevfs is not found and the URI starts with file:/, disksrc is
	used.

2001-05-25 11:10  thomasvs

	* plugins/filters/passthrough/passthrough.c: changed passthrough to
	print out signed/unsigned and endianness

2001-05-25 10:47  thomasvs

	* plugins/audiofile/: Makefile.am, gstafsrc.c, gstafsrc.h: Added an
	audiofile src element, doesn't work yet

2001-05-25 05:42  dlehn

	* configure.in.ac250: automake 1.4-p1 doesn't support
	AC_CONFIG_FILES.  revert to AC_OUTPUT until the fix in the just
	released 1.4-p2 gets debianized. ;)

2001-05-25 02:28  hadess

	* plugins/gnomevfs/gnomevfssrc.c: - check result of open() now

2001-05-25 01:35  wtay

	* plugins/mpeg2/mpeg2dec/gstmpeg2dec.c: Only accept mpeg1 data for
	mpeg2dec until we figure out what's wrong.

2001-05-25 01:29  omegahacker

	* gst/: gstpad.c, gstqueue.c, gstqueue.h, gstscheduler.h,
	gstthread.c: fixed some interruptability problems with thread and
	queue

2001-05-25 01:14  wtay

	* plugins/vorbis/: vorbis.c, vorbisdec.c: Added the
	COTHREAD_STOPPING hack.

2001-05-25 01:09  wtay

	* gstplay/: gstmediaplay.c, gstplay.c, gstplayprivate.h: Fixed the
	media player so that it works with incsched.  Removed the thread
	and add the _iterate to the g_idle_loop, this makes the GUI very
	cluncky but is needed because we cannot chance the state of a
	thread inside the threads context yet.

2001-05-24 23:38  thomasvs

	* plugins/audiofile/gstafsink.c: mental note to self:	doublecheck
	own code before sending mail to library author asking why   sample
	rate setting on output doesn't work...	note to others:  afsink now
	handles samplerate right

2001-05-24 23:24  thomasvs

	* plugins/audiofile/: gstafsink.c, gstafsink.h: added more support
	for endianness, you can set it through an arg until I figure out
	what it is supposed to do

2001-05-24 23:23  thomasvs

	* plugins/oss/gstossgst.c: one of my OSS's doesn't have FMT_AC3
	defined

2001-05-24 22:46  omegahacker

	* gst/: gstinfo.h, gstthread.c, gstthread.h: added better thread id
	debugging support

2001-05-24 21:36  omegahacker

	* gst/gstthread.c: fixed thread lock mis-merge

2001-05-24 21:20  wtay

	* gst/autoplug/gststaticautoplugrender.c: Added the queue to the
	thread

2001-05-24 12:24  wtay

	* configure.in.ac250: Added the autoconf file for version 2.50

2001-05-24 12:22  wtay

	* plugins/: gnomevfs/gnomevfssrc.c, gsm/Makefile.am, gsm/gstgsm.c,
	gsm/gstgsmdec.c, gsm/gstgsmdec.h, gsm/gstgsmenc.c, gsm/gstgsmenc.h,
	wav/gstparsewav.c: Small fixes for EOS in gnomevfssrc.	Added a gsm
	decoder/encoder element.

2001-05-24 01:55  thomasvs

	* plugins/audiofile/: gstafsink.c, gstafsink.h: audiofile now
	handles endianness right, and also allows for choosing the output
	file format to write (next/aiff/wav/aiffc/raw) aiff and next might
	not work yet though

2001-05-24 01:46  omegahacker

	* AUTHORS, README, REQUIREMENTS, acconfig.h, autogen.sh,
	configure.in, components/bonobo-media/Makefile.am,
	components/bonobo-media/bonobo-media-gstreamer-factory.c,
	components/bonobo-media/bonobo-media-gstreamer.gob,
	components/bonobo-media/bonobo-media-gstreamer.oafinfo,
	components/bonobo-media/bonobo-media-gstreamervideo.gob,
	debian/Makefile.am, debian/changelog, debian/control,
	debian/gstreamer-aa.files, debian/gstreamer-arts.files,
	debian/gstreamer-colorspace.files, debian/gstreamer-common.files,
	debian/gstreamer-mad.files, debian/rules,
	docs/fwg/gst-plugin-writers-guide.sgml,
	docs/gst/gstreamer-sections.txt, docs/gst/gstreamer.hierarchy,
	docs/gst/tmpl/gstbuffer.sgml, docs/gst/tmpl/gstcaps.sgml,
	docs/gst/tmpl/gstinfo.sgml, docs/gst/tmpl/gstpad.sgml,
	docs/gst/tmpl/gstprops.sgml, docs/gst/tmpl/gstreamer-unused.sgml,
	docs/manual/Makefile.am, docs/manual/autoplugging.sgml,
	docs/manual/bins.sgml, docs/manual/buffers.sgml,
	docs/manual/elements.sgml, docs/manual/gstreamer-manual.sgml,
	docs/manual/helloworld.sgml, docs/manual/pads.sgml,
	docs/manual/xml.sgml, docs/random/autoplug2,
	editor/gsteditorproperty.c, examples/autoplug/autoplug.c,
	examples/plugins/example.c, gst/cothreads.c, gst/cothreads.h,
	gst/gst.h, gst/gstbin.c, gst/gstcaps.c, gst/gstcaps.h,
	gst/gstinfo.h, gst/gstpad.c, gst/gstpad.h, gst/gstparse.c,
	gst/gstpipeline.c, gst/gstplugin.c, gst/gstprops.c, gst/gstprops.h,
	gst/gstscheduler.c, gst/gstthread.c, gst/gsttrace.c,
	gst/gsttrace.h, gst/gsttypefind.c, gst/gstutils.c,
	gst/autoplug/Makefile.am, gst/elements/gstdisksrc.c,
	gst/elements/gstelements.c, gst/elements/gstfakesink.c,
	gst/elements/gstfakesrc.c, gst/elements/gstfakesrc.h,
	gst/elements/gstpipefilter.c, gst/elements/gstsinesrc.c,
	gst/elements/gstsinesrc.h, gstplay/AUTHORS, gstplay/ChangeLog,
	gstplay/Makefile.am, gstplay/callbacks.c, gstplay/callbacks.h,
	gstplay/full-screen.c, gstplay/full-screen.h,
	gstplay/gstmediaplay.c, gstplay/gstmediaplay.glade,
	gstplay/gstmediaplay.h, gstplay/gstplay.c, gstplay/gstplay.h,
	gstplay/gstplayprivate.h, gstplay/gststatusarea.c,
	gstplay/gststatusarea.h, gstplay/main.c, libs/idct/ieeetest.c,
	plugins/Makefile.am, plugins/alsa/alsa.h,
	plugins/alsa/alsa_common.c, plugins/alsa/alsasink.c,
	plugins/alsa/alsasrc.c, plugins/arts/gst_artsio_impl.h,
	plugins/audiofile/Makefile.am, plugins/audiofile/gstafsink.c,
	plugins/audiofile/gstafsink.h, plugins/capture/v4l/gstv4lsrc.c,
	plugins/capture/v4l/gstv4lsrc.h, plugins/cdparanoia/cdparanoia.c,
	plugins/dv/dvdec.c, plugins/effects/volume/volume.c,
	plugins/esd/esdsink/esdsink.c, plugins/filters/Makefile.am,
	plugins/filters/filterstamp.sh, plugins/filters/adder/Makefile.am,
	plugins/filters/adder/adder.c,
	plugins/filters/colorspace/Makefile.am,
	plugins/filters/colorspace/colorspace.c,
	plugins/filters/colorspace/colorspace.h,
	plugins/filters/colorspace/yuv2yuv.c,
	plugins/filters/intfloatconvert/Makefile.am,
	plugins/filters/intfloatconvert/float2int.c,
	plugins/filters/intfloatconvert/float2int.h,
	plugins/filters/intfloatconvert/int2float.c,
	plugins/filters/intfloatconvert/int2float.h,
	plugins/filters/intfloatconvert/intfloatconvert.c,
	plugins/filters/intfloatconvert/intfloatconvert.h,
	plugins/filters/ladspa/gstladspa.c,
	plugins/filters/ladspa/ladspa.h, plugins/filters/lav/.cvsignore,
	plugins/filters/lav/Makefile.am, plugins/filters/lav/lavencode.c,
	plugins/filters/lav/lavencode.h, plugins/filters/level/Makefile.am,
	plugins/filters/level/README, plugins/filters/level/filter.func,
	plugins/filters/level/level.c, plugins/filters/level/level.h,
	plugins/filters/mono2stereo/Makefile.am,
	plugins/filters/mono2stereo/mono2stereo.c,
	plugins/filters/mono2stereo/mono2stereo.h,
	plugins/filters/passthrough/README,
	plugins/filters/passthrough/filter.func,
	plugins/filters/passthrough/level.c,
	plugins/filters/passthrough/level.h,
	plugins/filters/passthrough/passthrough.c,
	plugins/filters/passthrough/passthrough.h,
	plugins/filters/stereo2mono/Makefile.am,
	plugins/filters/volenv/Makefile.am,
	plugins/filters/volenv/volenv.c, plugins/gnomevfs/Makefile.am,
	plugins/gnomevfs/gnomevfssink.c, plugins/gnomevfs/gnomevfssrc.c,
	plugins/jpeg/Makefile.am, plugins/mp3decode/mad/gstmad.c,
	plugins/mp3decode/mpg123/gstmpg123.c,
	plugins/mp3encode/lame/gstlame.c, plugins/mpeg1/mpegaudio/common.c,
	plugins/mpeg1/mpegaudio/common.h, plugins/mpeg1/mpegaudio/encode.c,
	plugins/mpeg1/mpegaudio/encoder.h,
	plugins/mpeg1/mpegaudio/gstmpegaudio.c,
	plugins/mpeg1/mpegaudio/musicin.c,
	plugins/mpeg1/mpegaudio/musicin.h, plugins/mpeg1/mpegaudio/psy.c,
	plugins/mpeg1/mpegaudio/subs.c,
	plugins/mpeg1/mpegaudio/table_absthr.h,
	plugins/mpeg1/mpegaudio/table_cb.h,
	plugins/mpeg1/mpegaudio/table_enwindow.h,
	plugins/mpeg1/mpegaudio/table_th.h,
	plugins/mpeg1/mpegaudio/tables.c, plugins/mpeg1/mpegaudio/tonal.c,
	plugins/mpeg2/mpeg2dec/gstmpeg2dec.c, plugins/oss/Makefile.am,
	plugins/oss/gstossaudio.c, plugins/oss/gstossgst.c,
	plugins/oss/gstossgst.h, plugins/oss/gstosshelper.c,
	plugins/oss/gstosshelper.h, plugins/oss/gstosssink.c,
	plugins/quicktime/Makefile.am, plugins/quicktime/README,
	plugins/quicktime/gstquicktimedecoder.c,
	plugins/quicktime/gstquicktimedecoder.h,
	plugins/sdlsink/Makefile.am, plugins/sdlsink/sdlvideosink.c,
	plugins/sdlsink/sdlvideosink.h, plugins/videoscale/videoscale.c,
	plugins/vorbis/vorbis.c, plugins/vorbis/vorbisdec.c,
	plugins/vorbis/vorbisenc.c, plugins/vorbis/vorbisenc.h,
	plugins/wav/gstparsewav.c, plugins/xvideosink/gstximage.c,
	test/.cvsignore, test/Makefile.am, test/lat.c, test/mp3mad.c,
	test/videotest.c, test/wave.c, tests/autoplug2.c,
	tests/sched/runxml.c, tools/gstreamer-inspect.c,
	tools/gstreamer-launch.c: Merge from HEAD into INCSCHED1 at
	200105231.

2001-05-24 00:24  dlehn

	* gst/elements/: gstfakesink.h, gstfakesrc.h: Update some signal
	func vars.

2001-05-24 00:23  dlehn

	* autogen.sh: libtool check fix... copy & paste error msgs code
	could be improved.

2001-05-23 21:35  wtay

	* test/video2mp1.c: Some small modifications.

2001-05-23 20:53  omegahacker

	* plugins/oss/gstosssink.c: default settings are intenionally very
	wrong (make it obvious when the capsnego didn't work) and it checks
	for NULL props

2001-05-23 20:52  omegahacker

	* plugins/filters/stereo2mono/stereo2mono.c: 'fixed' the caps and
	the _init function

2001-05-23 20:50  omegahacker

	* plugins/cdparanoia/cdparanoia.c: fixed caps on cdparanoia

2001-05-23 20:49  omegahacker

	* gst/gstscheduler.c, plugins/mp3decode/mad/gstmad.c: fixed problem
	where mad wasn't an entry (it is now HACK HACK!!) and the scheduler
	wasn't catching the no entry case

2001-05-23 20:48  omegahacker

	* examples/autoplug/autoplug.c: added have_size handler so the
	window matches the video size

2001-05-23 20:09  omegahacker

	* gst/: gstqueue.c, gstqueue.h: reworked internal parameters a bit,
	added leaky-queue semantics

2001-05-23 10:18  thomasvs

	* plugins/filters/level/README: some more info on how to plot the
	level using gnuplot it would be nice if the output from level
	plugin could serve as input to a gstreamer plotting plugin (I'm not
	kidding)

2001-05-23 09:49  thomasvs

	* plugins/audiofile/: gstafsink.c, gstafsink.h: afsink now handles
	channels and sample rate

2001-05-23 09:48  thomasvs

	* configure.in: added level Makefile deleted one of two instances
	of adder Makefile

2001-05-23 09:47  thomasvs

	* plugins/filters/Makefile.am: added level plugin to Makefile.am

2001-05-23 09:47  thomasvs

	* plugins/filters/level/: Makefile.am, README, filter.func,
	level.c, level.h: Added level detection plugin; prints out RMS
	values calculated over buffer size to stdout

2001-05-22 21:11  omegahacker

	* tests/states.c: fixed references to _gst_print_statename

2001-05-22 20:22  hadess

	* gst/elements/gstdisksrc.c: - it is now possible to change the
	opened file when state is PAUSED

2001-05-22 19:57  hadess

	* plugins/gnomevfs/gnomevfssrc.c: - removed warnings

2001-05-22 19:44  hadess

	* plugins/gnomevfs/gnomevfssrc.c: - adding possibility to change
	the src file if the state is PAUSED

2001-05-22 17:48  thomasvs

	* plugins/audiofile/: gstafsink.c, gstafsink.h: still trying to add
	caps to gstafsink

2001-05-22 14:48  richardb

	* autogen.sh: autogen.sh now fails if aclocal fails.

2001-05-22 13:56  hadess

	* autogen.sh: - added a line to autogen.sh for the busy application
	developers

2001-05-22 02:42  omegahacker

	* gst/: gstpad.c, autoplug/gstautoplugger.c: Added ability for
	caps_nego_failed signal to indicate that it's solved the problem,
	via a gboolean * argument that's FALSE, and can be set to TRUE if
	the handler has fixed things up.
	
	Updated the autoplugger so it now works in both the unknown and
	known cases with and without other issues like a crippled
	(mono-only) osssink.

2001-05-22 00:23  omegahacker

	* gst/: gstbin.c, gstelement.c, gstelement.h, gstinfo.c, gstpad.c,
	gstthread.c: Updates to DEBUG system: moved statename into
	gstelement.c, colorized the states:
	
	NULL: white READY: read PAUSED: yellow PLAYING: green

2001-05-21 22:35  omegahacker

	* gst/autoplug/gstautoplugger.c: fixed up pausing system, and added
	src_caps_nego_failed body

2001-05-21 21:17  wtay

	* acconfig.h, configure.in: Updates to the audiofile detection
	stuff.

2001-05-21 21:17  wtay

	* plugins/audiofile/Makefile.am: Some minor changes to the makefile

2001-05-21 20:48  thomasvs

	* plugins/audiofile/: Makefile.am, gstafsink.c, gstafsink.h: first
	pass at an audiofile sink this sink uses the SGI audiofile library
	to write audio files

2001-05-21 20:42  thomasvs

	* plugins/Makefile.am: trying to add a check for libaudiofile

2001-05-21 20:40  thomasvs

	* configure.in: trying to add a check for libaudiofile (->
	plugins/audiofile/afsink)

2001-05-21 03:41  omegahacker

	* gst/autoplug/: gstautoplugcache.c, gstautoplugger.c:
	gstautoplugcache.c: Set default for cache's caps_proxy to FALSE
	again.	gstautoplugger.c: Fixed with strategic positioning of
	gst_pad_set_caps()

2001-05-21 03:40  omegahacker

	* gst/: gstcaps.c, gstpad.c, gstprops.c: Updated some debug
	statements.  Added specific debug for int props.

2001-05-21 03:35  hadess

	* test/mp3mad.c: - removed the parse factory, it's unused

2001-05-21 02:37  cael

	* gstplay/: ChangeLog, gstmediaplay.glade: Added a ChangeLog as per
	hadess' sugesstion, and added myself as an author.

2001-05-21 02:19  cael

	* gstplay/: Makefile.am, callbacks.c, callbacks.h, full-screen.c,
	full-screen.h, gstmediaplay.c, gstmediaplay.glade, gstmediaplay.h,
	gstplay.c, gstplay.h, gstplayprivate.h, gststatusarea.c,
	gststatusarea.h, main.c: added the begninnings of full-screen
	support (crashes atm), playing at double size, general code cleanup
	and what not.

2001-05-20 22:24  wtay

	* tools/gstreamer-inspect.c: Fixed a problem with -inspect where
	some args would not show up correctly

2001-05-20 22:24  thomasvs

	* plugins/filters/adder/adder.c: fixed caps stuff

2001-05-20 21:12  wtay

	* tools/gstreamer-inspect.c: Better output of element flags.

2001-05-20 21:06  wtay

	* tools/gstreamer-launch.c: Escape spaces in the cmdline args with
	"\\ " so that parse can handle it.

2001-05-20 21:05  wtay

	* gst/gstparse.c: Added the possibility to escape chars in
	gstparse. You can now give it a cmdline like disksrc location=some\
	sort\ of.mp3 ! .... and it does the right thing.

2001-05-20 19:59  wtay

	* plugins/quicktime/: Makefile.am, gstquicktimedecoder.c,
	gstquicktimedecoder.h: Updated the plugin to the current CVS.

2001-05-20 19:24  wtay

	* plugins/quicktime/: Makefile.am, README, gstquicktimedecoder.c,
	gstquicktimedecoder.h: Added a quicktime decoder by yann@3ivx.com.

2001-05-20 19:17  thomasvs

	* plugins/filters/passthrough/passthrough.c: changed pad templates

2001-05-20 19:05  thomasvs

	* plugins/filters/passthrough/: passthrough.c, passthrough.h:
	updating passthrough to handle caps

2001-05-20 19:01  thomasvs

	* plugins/filters/volenv/volenv.c: updating caps handling

2001-05-20 16:45  thomasvs

	* plugins/filters/passthrough/passthrough.c: trying to add caps
	detection to passthrough

2001-05-20 15:55  thomasvs

	* gst/gstparse.c: reinstated exit(-1) when gstparse.c doesn't find
	the plugin mentioned

2001-05-20 15:16  thomasvs

	* plugins/wav/gstparsewav.c: parsewav now does src pad setting of
	width, depth, channels, frequency

2001-05-20 15:12  wtay

	* gst/elements/gstpipefilter.c: Made pipefilter a DECOUPLED
	element.

2001-05-20 15:03  thomasvs

	* plugins/wav/gstparsewav.c: parsewav sets channel capability now

2001-05-20 14:56  thomasvs

	* plugins/wav/gstparsewav.c: First try at updating parsewav and
	setting caps on src pad

2001-05-20 11:31  wtay

	* components/bonobo-media/: Makefile.am,
	bonobo-media-gstreamer-factory.c, bonobo-media-gstreamer.gob,
	bonobo-media-gstreamer.oafinfo, bonobo-media-gstreamervideo.gob:
	Added the code for the bonobo media component. It doesn't really
	work yet because bonobo-media doesn't show video.

2001-05-20 06:48  cael

	* gstplay/AUTHORS: finally managed to get the AUTHORS file added.
	big things are coming allright ;-)

2001-05-20 01:16  hadess

	* AUTHORS: - added myself to the AUTHORS file

2001-05-19 19:17  wtay

	* plugins/: oss/gstosssink.c, vorbis/vorbis.c, vorbis/vorbisdec.c,
	vorbis/vorbisenc.c, vorbis/vorbisenc.h, xvideosink/gstximage.c:
	More updates to caps in vorbisenc. it now correctly sets up the
	encoder based on the input audio type.

2001-05-19 15:16  wtay

	* plugins/: mp3decode/mad/gstmad.c, mpeg1/mpegaudio/common.c,
	mpeg1/mpegaudio/common.h, mpeg1/mpegaudio/encode.c,
	mpeg1/mpegaudio/encoder.h, mpeg1/mpegaudio/gstmpegaudio.c,
	mpeg1/mpegaudio/musicin.c, mpeg1/mpegaudio/musicin.h,
	mpeg1/mpegaudio/psy.c, mpeg1/mpegaudio/subs.c,
	mpeg1/mpegaudio/table_absthr.h, mpeg1/mpegaudio/table_cb.h,
	mpeg1/mpegaudio/table_enwindow.h, mpeg1/mpegaudio/table_th.h,
	mpeg1/mpegaudio/tables.c, mpeg1/mpegaudio/tonal.c: More mp3
	updates.  Make mpegaudio use a sane namespace for all exported
	symbols.  the mad element can now play mpeg audio comming is as
	frames.

2001-05-19 07:39  omegahacker

	* .cvsignore, Makefile.am, configure.in,
	gstreamer-uninstalled.pc.in: Added gstreamer-uninstalled.pc.in in
	prep for future changes to pkg-config.	Disabled docs building by
	default (--enable-docs-build to turn it on).  Added more visible
	warning messages for lacking libraries, listing the plugins that
	won't build (not complete!).

2001-05-19 07:39  omegahacker

	* gstreamer-uninstalled.pc.in: file gstreamer-uninstalled.pc.in was
	initially added on branch BRANCH-INCSCHED1.

2001-05-19 01:33  wtay

	* plugins/: mp3decode/mad/gstmad.c, mp3decode/mpg123/gstmpg123.c,
	mp3decode/parse/mp3parse.c, mp3encode/lame/gstlame.c,
	mpeg1/mpegaudio/common.h, mpeg1/mpegaudio/encoder.h,
	mpeg1/mpegaudio/gstmpegaudio.c, mpeg1/mpegaudio/musicin.c,
	mpeg1/mpegaudio/musicin.h, mpeg1/mpegaudio/psy.c, oss/gstosssink.c:
	Updates to various mp3 related plugins.  Added args and capsnego to
	mpegaudio.

2001-05-18 19:11  wtay

	* plugins/esd/esdsink/esdsink.c: Added newcaps functions to esdsink
	to sync with the provided caps.

2001-05-18 18:58  wtay

	* plugins/cdparanoia/cdparanoia.c: Updated to the new caps.

2001-05-17 23:00  omegahacker

	* gst/autoplug/gstautoplugger.c: update to latest code, includes
	caps_fail handlers that kinda work

2001-05-17 06:20  dlehn

	* docs/gst/gstreamer-sections.txt: Pesky nightly doc build failure
	emails exposing my forgetfulness...

2001-05-17 01:18  hadess

	* plugins/gnomevfs/: Makefile.am, gnomevfssink.c: - gnomevfssink
	committed

2001-05-16 23:42  wtay

	* acconfig.h: Added SDL.

2001-05-16 23:40  wtay

	* configure.in: Added a check for SDL

2001-05-16 23:09  wtay

	* testsuite/refcounting/thread.c: file thread.c was initially added
	on branch BRANCH-INCSCHED1.

2001-05-16 23:09  wtay

	* testsuite/refcounting/thread.c: Added thread refcounting and
	module test case

2001-05-16 23:08  wtay

	* testsuite/refcounting/: Makefile.am, bin.c: More testsuite
	updates

2001-05-16 23:08  wtay

	* gst/: gstbin.c, gstelement.c, gstthread.c: Slighly take a
	different approach for object destruction, using the real _remove
	functions so that the scheduler has a chance to destroy its state
	too.  This breaks the thread with ghostpads destruction case for
	now.

2001-05-16 22:42  omegahacker

	* plugins/filters/stereo2mono/stereo2mono.c: fixed
	stereo2mono_init, it was fragging its src pad

2001-05-16 22:21  omegahacker

	* plugins/filters/stereo2mono/stereo2mono.c: fixed up caps so
	autoplug can do something with it

2001-05-16 22:19  omegahacker

	* gst/autoplug/gstautoplugcache.c: added first_buffer signal, and
	default to caps_proxy true

2001-05-16 22:18  omegahacker

	* gst/autoplug/gstautoplugger.c: up to latest (broken) autoplugger)

2001-05-16 21:41  wtay

	* plugins/: Makefile.am, jpeg/Makefile.am, sdlsink/Makefile.am,
	sdlsink/sdlvideosink.c, sdlsink/sdlvideosink.h: Added an SDL video
	sink by Ronald Bultje (BBB) some cleanups and added more caps to
	the template.  some name changes to the jpeg decoder.

2001-05-16 20:32  wtay

	* plugins/: Makefile.am, gnomevfs/Makefile.am,
	gnomevfs/gnomevfssrc.c: Added the gnomevfssrc by hadess

2001-05-16 20:32  wtay

	* configure.in: Added gnomevfs checks.

2001-05-16 08:16  dlehn

	* gst/: cothreads.c, gstscheduler.c: - Fix cothread pointers and
	allocation so full 2M stack space available: - Double maximums to
	use full stack space: - COTHREAD_STACKSIZE = 16k -
	COTHREAD_MAXTHREADS = 128 - cothread changes only verified on x86 -
	cothread_create returns NULL if nthreads == MAXTHREADS though not
	yet handled by gstschedule caller

2001-05-16 06:04  dlehn

	* acconfig.h, configure.in, gst/gsttrace.c, gst/gsttrace.h,
	libs/idct/ieeetest.c, test/lat.c: - basic arch check for HAVE_RDTSC
	- use common gst_trace_read_tsc() for RDTSC call - add untested
	function to do ascii dump of trace data

2001-05-16 05:07  dlehn

	* test/: videotest.c, wave.c: fix a couple warnings

2001-05-15 22:04  wtay

	* plugins/mp3decode/mad/gstmad.c: Make the mad decoder output the
	samples in the native endianness.

2001-05-15 20:25  wtay

	* gst/: gstobject.c, gstpad.c, gstthread.c: Added ghostpad
	destruction.

2001-05-15 10:40  omegahacker

	* plugins/mpeg2/mpeg2dec/gstmpeg2dec.c: added the detail that
	mpeg2dec can play mpeg1 streams too

2001-05-15 10:04  omegahacker

	* gstplay/: gstplay.c, main.c: added ability to write out xml copy
	of pipeline

2001-05-15 05:13  omegahacker

	* gst/autoplug/gstautoplugger.c: IT WORKS\!\!\!

2001-05-15 02:45  omegahacker

	* gst/: gstinfo.c, gstpad.c, gsttypefind.c,
	autoplug/gstautoplugcache.c, autoplug/gstautoplugger.c: gstinfo.c:
	one more check to make sure DEBUG_FUNCPTR_NAME doesn't go south
	gstpad.c: debugging changes gsttypefind.c: moved gst_pad_set_caps
	to *before* the caps_changed signal gstautoplugcache.c: added
	refcounting around signal_emit, and debug updates gstautoplugger.c:
	added code to remove the autoplugcache when done

2001-05-14 23:42  wtay

	* gst/gsttypefind.c: Added a reference to typefind.

2001-05-14 23:21  omegahacker

	* gst/gstpad.c: enhanced debug and minor code cleanup (no
	functional changes)

2001-05-14 22:57  wtay

	* gst/gstelement.c: Refcounting fixes

2001-05-14 22:22  wtay

	* gst/gstelement.c: fixed a mem leak in the destroy code.

2001-05-14 22:20  wtay

	* gst/: gstelement.c, gstpad.c, gstthread.c: slightly different
	refcount handling. the pad shutdown function doesn't remove the pad
	from the parent because the parent is needed in the destroy
	function.

2001-05-14 21:08  omegahacker

	* gst/: cothreads.c, gstbin.h, gstelement.c, gstobject.c, gstpad.c,
	gstpad.h, gstscheduler.c, gsttypefind.c,
	autoplug/gstautoplugcache.c, autoplug/gstautoplugger.c:
	cothreads.c: added a comment on one of the tests gstbin.h: added
	the GST_BIN_SELF_SCHEDULABLE flag gstelement.c: cleaned up the
	_change_state function a little gstobject.c: improved the
	refcounting DEBUGs gstpad.c: moved the connected signal to after
	capsnego,	    added the caps_nego_failed signal gstpad.h:
	added the caps_nego_failed signal funcptr gstscheduler.c: added the
	GST_BIN_SELF_SCHEDULABLE exception gsttypefind.c: added check code
	around signal_emit to deal with the case		where the
	signal's handler shuts down the element gstautoplugcache.c: added
	the first_buffer signal and caps_proxy arg gstautoplugger.c:
	significant rework, it functions quite nicely actually

2001-05-14 09:51  omegahacker

	* docs/gst/gstreamer-sections.txt: removed the COTHREAD_STACKSIZE
	and friends, since they're now private to cothreads.c

2001-05-13 16:29  wtay

	* testsuite/refcounting/: bin.c, element_pad.c: More testsuite
	updates

2001-05-13 16:29  wtay

	* gst/: gstbin.c, gstelement.c, gstpad.c: More housekeeping
	updates.  _destroying an element or a pad properly removes if from
	the parent.

2001-05-13 08:49  omegahacker

	* plugins/effects/volume/volume.c: hacked up volume plugin to do
	S16_LE no matter what.	FIXME\!

2001-05-12 19:04  wtay

	* gst/: gstbin.c, gstelement.c, gstelementfactory.c, gstthread.c,
	gstthread.h: Fixed a leak in bin destruction More refcounting fixes

2001-05-12 19:03  wtay

	* testsuite/refcounting/bin.c: file bin.c was initially added on
	branch BRANCH-INCSCHED1.

2001-05-12 19:03  wtay

	* testsuite/refcounting/: Makefile.am, bin.c, element_pad.c: More
	refcounting test cases

2001-05-12 15:07  wtay

	* testsuite/refcounting/: element.c, element_pad.c, object.c,
	pad.c: More testcases

2001-05-12 15:07  wtay

	* gst/: gstelement.c, gstelement.h, gstobject.c: Added
	gst_element_remove_pad.  more refcounting stuff (object unparent on
	destroy)

2001-05-12 01:04  wtay

	* gst/: gstelement.c, gstinfo.c, gstinfo.h, gstobject.c, gstpad.c,
	gstpad.h: Refcounting fixes to make the testsuite succeed.  Added a
	ne w category for REFCOUNTING.

2001-05-12 01:03  wtay

	* testsuite/refcounting/element_pad.c: file element_pad.c was
	initially added on branch BRANCH-INCSCHED1.

2001-05-12 01:03  wtay

	* testsuite/refcounting/pad.c: file pad.c was initially added on
	branch BRANCH-INCSCHED1.

2001-05-12 01:03  wtay

	* testsuite/refcounting/: Makefile.am, element_pad.c, pad.c: More
	testsuite updates

2001-05-11 20:36  wtay

	* examples/autoplug/autoplug.c: Updated the autoplugger example to
	use the new cache.

2001-05-11 19:44  wtay

	* configure.in: Added the refcounting testsuite dir to configure.in

2001-05-11 19:44  wtay

	* testsuite/refcounting/Makefile.am: file Makefile.am was initially
	added on branch BRANCH-INCSCHED1.

2001-05-11 19:44  wtay

	* testsuite/refcounting/: Makefile.am, element.c, mem.c, mem.h,
	object.c: Added a testsuite for refcounting.

2001-05-11 19:44  wtay

	* testsuite/refcounting/element.c: file element.c was initially
	added on branch BRANCH-INCSCHED1.

2001-05-11 19:44  wtay

	* testsuite/refcounting/mem.c: file mem.c was initially added on
	branch BRANCH-INCSCHED1.

2001-05-11 19:44  wtay

	* testsuite/refcounting/object.c: file object.c was initially added
	on branch BRANCH-INCSCHED1.

2001-05-11 19:44  wtay

	* testsuite/refcounting/mem.h: file mem.h was initially added on
	branch BRANCH-INCSCHED1.

2001-05-11 19:41  wtay

	* gst/: cothreads.c, gstbin.c, gstelement.c, gstobject.c,
	gstobject.h, gsttypefind.c: Work on refcounting and proper object
	destruction.

2001-05-11 15:42  dlehn

	* plugins/filters/ladspa/ladspa.h: LADSPA header now LGPL.

2001-05-11 00:43  omegahacker

	* gst/gstpad.h: some minor updates with a hair more speed

2001-05-10 23:35  omegahacker

	* gst/: cothreads.c, cothreads.h: move cothread_context definition
	over to the .c

2001-05-10 23:30  omegahacker

	* gst/gstpad.h: fixed up macros to match new RealPad stuff, change
	#if 1 to #if 0 to use, beware you must rebuild all plugins after
	change

2001-05-10 23:10  omegahacker

	* gst/: cothreads.c, cothreads.h: moved cothread parameters into .c
	to avoid rebuilding libgst.la every time

2001-05-10 22:44  omegahacker

	* test/lat.c: corrected the rdtsc code, it actually, um, works now
	;-)

2001-05-10 21:30  dlehn

	* test/: .cvsignore, Makefile.am, lat.c: Added simple latency
	tester.

2001-05-10 21:28  dlehn

	* gst/elements/gstfakesink.c, gst/elements/gstfakesrc.c,
	tests/sched/runxml.c: Pass buffer in handoff signal

2001-05-10 21:25  dlehn

	* tests/autoplug2.c: just call exit() once

2001-05-10 09:22  omegahacker

	* tools/gstreamer-inspect.c: minor updates to ouptut, added section
	for meta-elements' children

2001-05-10 09:21  omegahacker

	* plugins/mpeg1/mpeg_play/: gstmpeg_play.c, video.c: more debug
	output tweaks

2001-05-10 09:18  omegahacker

	* plugins/filters/adder/adder.c: added comment to make the adder
	compliant (don't set COTHREAD_STOPPING)

2001-05-10 09:17  omegahacker

	* libs/idct/gstidct.c: minor cleanup of some debug strings

2001-05-10 09:16  omegahacker

	* gst/autoplug/gstautoplugger.c: file gstautoplugger.c was
	initially added on branch BRANCH-INCSCHED1.

2001-05-10 09:16  omegahacker

	* gst/: gst.h, gstbin.c, gstbuffer.c, gstelement.c, gstelement.h,
	gstinfo.c, gstqueue.c, gstthread.c, gstxml.c, autoplug/Makefile.am,
	autoplug/autoplugtest.c, autoplug/gstautoplugcache.c,
	autoplug/gstautoplugger.c, elements/gstfakesrc.c: - Fixed up a
	bunch of warnings.  - Fixed buffer_copy (alloc correct size) -
	Added start of autoplugger meta-element

2001-05-09 07:20  wtay

	* plugins/filters/colorspace/yuv2yuv.c: Forgot to add a convertor..

2001-05-09 05:12  dlehn

	* gst/elements/: gstfakesrc.c, gstfakesrc.h: Added "silent" arg.

2001-05-08 21:52  wtay

	* plugins/: capture/v4l/gstv4lsrc.c, capture/v4l/gstv4lsrc.h,
	dv/dvdec.c, filters/colorspace/Makefile.am,
	filters/colorspace/colorspace.c, filters/colorspace/colorspace.h,
	filters/lav/.cvsignore, filters/lav/Makefile.am,
	filters/lav/lavencode.c, filters/lav/lavencode.h, oss/gstossgst.c,
	videoscale/videoscale.c, vorbis/vorbis.c: Various changes to the
	plugins.  Added a lav encoder, this one just adds a header in front
	YUV data so that the lav tools can operate on it.

2001-05-08 21:44  omegahacker

	* gst/: gstpad.c, gstpad.h: added the caps_changed signals, changed
	a few other things around a littleto clean up warnings

2001-05-07 23:10  wtay

	* plugins/alsa/: alsa.h, alsa_common.c, alsasink.c, alsasrc.c:
	Applied the alsa patch from Thomas Nyberg.

2001-05-07 22:57  wtay

	* examples/mixer/mixer.c: Added a WITH_BUG2 define to show the
	livelock we're trying to fix.

2001-05-07 22:46  omegahacker

	* gst/: gstelement.c, gstscheduler.c, autoplug/autoplugtest.c,
	autoplug/gstautoplugcache.c: updated autoplugcache so it can be
	removed mid-signal, now autoplugtest works

2001-05-06 23:48  omegahacker

	* gst/autoplug/gstautoplugcache.c: fixed bug in datastructure usage

2001-05-06 23:12  omegahacker

	* gst/: gstbin.c, gstelement.c, gstpipeline.c, gstprops.c,
	gstscheduler.c, gstthread.c: fixed gst_scheduler_pad_disconnect
	(never ignore compiler warnings\!) and updated a few INFO lines

2001-05-06 23:12  omegahacker

	* gst/autoplug/autoplugtest.c: fixed up some things, added vorbis

2001-05-06 19:03  wtay

	* gst/autoplug/: Makefile.am, autoplugtest.c: Adjusted the Makefile
	so that it builds here...

2001-05-06 18:57  wtay

	* plugins/mpeg1/mpegaudio/common.c: Forgot to update a symbol..

2001-05-06 18:33  omegahacker

	* gst/autoplug/autoplugtest.c: file autoplugtest.c was initially
	added on branch BRANCH-INCSCHED1.

2001-05-06 18:33  omegahacker

	* gst/autoplug/: Makefile.am, autoplugtest.c, gstautoplugcache.c:
	initial checkin of autoplugcache and a test program to simulate
	dynamic autoplugging

2001-05-06 18:33  omegahacker

	* gst/autoplug/gstautoplugcache.c: file gstautoplugcache.c was
	initially added on branch BRANCH-INCSCHED1.

2001-05-06 15:27  wtay

	* plugins/mpeg1/mpegaudio/: common.c, common.h, musicin.c, tonal.c:
	Fixed a namespace issue with lame.

2001-05-06 15:22  wtay

	* plugins/oss/: gstossgst.c, gstosshelper.c: Fixed a bug in format
	passing.  Some cleanups.

2001-05-06 14:53  wtay

	* plugins/oss/gstossgst.c: Use setenv/getenv to manipulate the
	environment of the child process.

2001-05-06 14:52  wtay

	* plugins/mp3encode/lame/gstlame.c: Setup the encoder based on the
	caps of the sinkpad.

2001-05-06 09:16  omegahacker

	* tools/gstreamer-complete.c: file gstreamer-complete.c was
	initially added on branch BRANCH-INCSCHED1.

2001-05-06 09:16  omegahacker

	* tools/gstreamer-compprep.c: file gstreamer-compprep.c was
	initially added on branch BRANCH-INCSCHED1.

2001-05-06 09:16  omegahacker

	* tools/: .cvsignore, Makefile.am, gstreamer-complete.c,
	gstreamer-compprep.c: added initial bash commandline completion
	code

2001-05-06 04:06  omegahacker

	* plugins/mpeg2/mpeg2dec/gstmpeg2dec.c: oops, that was wrong, but
	somehow it worked

2001-05-06 03:47  omegahacker

	* plugins/mpeg2/mpeg2dec/gstmpeg2dec.c: since mpeg2dec can handle
	mpeg1 video streams, update caps to show that

2001-05-05 20:01  wtay

	* plugins/oss/: gstossgst.c, gstosshelper.c, gstosshelper.h: A
	little cleanup (more defines) Better arg parsing.

2001-05-05 18:22  wtay

	* plugins/oss/gstosshelper.h: The inter process protocol layout
	header.

2001-05-05 18:21  wtay

	* plugins/oss/: gstossgst.c, gstosshelper.c: Properly negotiate the
	format set by the OSS app.

2001-05-05 05:07  dlehn

	* plugins/filters/: adder/Makefile.am, colorspace/Makefile.am,
	intfloatconvert/Makefile.am, mono2stereo/Makefile.am,
	stereo2mono/Makefile.am, volenv/Makefile.am: Remove EXTRA_DIST =
	README from dirs with a README.

2001-05-05 03:16  wtay

	* gst/gstplugin.c: Make sure the plugin filaname is set before
	calling the init function.

2001-05-05 03:05  wtay

	* plugins/oss/: Makefile.am, gstossaudio.c, gstossgst.c,
	gstossgst.h, gstosshelper.c: A first attempt at hijacking /dev/dsp
	and feeding the audio of an OSS app into GStreamer.

2001-05-05 02:50  dlehn

	* debian/changelog: update version

2001-05-05 01:45  dlehn

	* debian/: Makefile.am, changelog, control, gstreamer-aa.files,
	gstreamer-arts.files, gstreamer-colorspace.files,
	gstreamer-common.files, gstreamer-mad.files, rules: Sync with
	current code - add more and more plugins.

2001-05-04 23:14  omegahacker

	* gst/gstelement.h, gst/gstscheduler.c,
	plugins/mp3decode/mad/gstmad.c: Add the GST_ELEMENT_NO_ENTRY flag,
	which when set will force the scheduler to skip over an element as
	an option for the first cothread jump.	This is needed because
	libraries like mad don't ever seem to want to quit.  Thus they
	ignore COTHREAD_STOPPING and can't be trusted to be the entry.

2001-05-04 21:43  omegahacker

	* gst/: gstinfo.c, gstpad.c, gstscheduler.c: Some minor DEBUG
	cleanups, renamed the various scheduler-specific routines to
	actually be called gst_schedule_ instead of gst_bin_.

2001-05-04 21:41  omegahacker

	* plugins/mp3decode/mad/gstmad.c: added GST_DEBUG_FUNCPTR to
	gst_mad_loop instance

2001-05-04 00:21  omegahacker

	* gst/gstparse.c: fixed spelling mistake in user-visible output

2001-05-03 23:29  wtay

	* gst/gstprops.c: Created a macro of the va_arg parsing function
	because some systems (PPC) cannot handle passing a va_list by
	reference.

2001-05-03 22:44  wtay

	* gst/gstparse.c: Added dynamic pads to the command line parser.
	
	  ./gstreamer-launch disksrc location=/some/systemstream.mpg !
	mpeg1parse video_00!
		    queue ! \{ mp1videoparse ! mpeg_play ! aasink \}
	
	will now work.

2001-05-03 21:06  wtay

	* docs/gst/: gstreamer-sections.txt, gstreamer.hierarchy,
	tmpl/gstbuffer.sgml, tmpl/gstcaps.sgml, tmpl/gstdisksink.sgml,
	tmpl/gstinfo.sgml, tmpl/gstprops.sgml, tmpl/gstreamer-unused.sgml:
	API docs updates

2001-05-03 18:49  wtay

	* REQUIREMENTS: Added Hermes to the required libs for gstplay.

2001-05-03 11:16  thomasvs

	* examples/mixer/mixer.c, plugins/filters/adder/adder.c: * made a
	quick hack in adder to set GST_ELEMENT_COTHREAD_STOPPING after	
	one interation to force return to main program; should probably be
	fixed	in a better way * cleaned mixer up, it now works with
	delayed start.	Drinks are in order.

2001-05-03 00:46  wtay

	* docs/manual/: Makefile.am, autoplugging.sgml, bins.sgml,
	buffers.sgml, elements.sgml, gstreamer-manual.sgml,
	helloworld.sgml, pads.sgml: Small manual changes.  Added a section
	about autoplugging.

2001-05-03 00:44  wtay

	* gst/gstinfo.h: Added and extra whitespace before ## args
	(remember it eats all non whitespace chars to the left if it's
	empty).

2001-05-03 00:12  wtay

	* examples/plugins/example.c: We don't want to teach you bad
	habbits, so here's a fix for a memleak in the example plugin.

2001-05-02 21:27  omegahacker

	* gst/gstinfo.h: re-enabled the funcptr hash table

2001-05-02 21:16  wtay

	* examples/mixer/mixer.c: Added a WITH_BUG flag to trigger the
	scheduling error we're trying to chase.

2001-05-02 21:12  thomasvs

	* examples/mixer/mixer.c: delayed second song

2001-05-02 21:01  omegahacker

	* examples/mixer/mixer.c: added two debugging things: xml pipelie
	output, and schedule dump

2001-05-02 20:20  omegahacker

	* gst/: gst.c, gstcaps.c, gstelement.c, gstelementfactory.c,
	gstinfo.c, gstinfo.h, gstpad.c, gstprops.c, gstqueue.c: Converted
	the DEBUG system to look like the INFO system, with a function
	pointer that can be replaced.  Not done with everything, since it
	seems that we need an ERROR system plus a FATAL error, or maybe
	just an ERROR system with a severity, and depending on this the
	DEBUG system might again be changed to have a single or at least
	fewer handlers.
	
	Also did a bit of work fixing up the actual DEBUG and INFO commands
	scattered throughout the code.	We still have over 500 of these in
	gst/*.c alone...

2001-05-02 20:11  thomasvs

	* examples/mixer/mixer.c: trying to adapt to incsched

2001-05-02 09:52  thomasvs

	* plugins/filters/Makefile.am: added volenv and adder

2001-05-02 09:51  thomasvs

	* examples/Makefile.am: added mixer

2001-05-02 00:00  omegahacker

	* gst/gstscheduler.c: /me is an idiot

2001-05-01 23:58  thomasvs

	* plugins/filters/passthrough/: README, filter.func, level.c,
	level.h: Basic level detection/printing plugin; calculates RMS over
	data block and prints this out along with time in secs through
	plugin needs more work

2001-05-01 23:45  wtay

	* gstplay/: gstplay.c, gstplayprivate.h: Changed the pipeline setup
	for incremental scheduling.

2001-05-01 23:43  wtay

	* gst/gstprops.c: Removed the assert on an unknown propertytype and
	print usefull info.

2001-05-01 22:41  omegahacker

	* test/mpeg2parse4.c: file mpeg2parse4.c was initially added on
	branch BRANCH-INCSCHED1.

2001-05-01 22:41  omegahacker

	* configure.in, gstreamer.pc.in, gst/Makefile.am, gst/gstbin.c,
	gst/gstinfo.c, gst/gstinfo.h, gst/gstqueue.c, gst/gstscheduler.c,
	gst/gstscheduler.h, test/.cvsignore, test/Makefile.am,
	test/mpeg2parse3.c, test/mpeg2parse4.c, tests/mp1vid.c: - fixed
	configure.in %VAR stuff - fixed gstreamer.pc.in description string
	- fixed up incremental scheduling some more - updated the
	GST_DEBUG_FUNCPTR code to no longer need a hash - minor updates to
	DEBUG colorization - new test/mpeg2parse4.c

2001-05-01 22:35  omegahacker

	* gstplay/main.c: added code to save the pipeline to xml

2001-05-01 14:54  richardb

	* docs/fwg/gst-plugin-writers-guide.sgml: Update documentation for
	audio/raw properties to cover format=float case.  Please check this
	for correctness.

2001-05-01 14:16  thomasvs

	* gst/autoplug/: gststaticautoplug.c, gststaticautoplugrender.c:
	added newlines to debug output

2001-05-01 00:35  wtay

	* gstplay/gstplay.c: Implemented the function to get the pipeline
	of gstplay.

2001-05-01 00:20  wtay

	* docs/random/autoplug2: Added an explanation of the innner
	workings of the current autoplugger.

2001-04-30 21:40  richardb

	* configure.in: Tighten some library checks (check for header files
	as well as libraries) Also, clean up structure slightly: put all
	AC_DEFINEs for feature checks into the appropriate section at end. 
	This structure allows user parameter code which overrides the
	feature selection to be kept together in a section after the
	feature checks but before the AC_DEFINES and AM_CONDITIONALs.

2001-04-30 20:51  thomasvs

	* examples/mixer/mixer.c: cleared naming issues, still doesn't play

2001-04-30 15:34  thomasvs

	* plugins/filters/Makefile.am: added volenv, passthrough and adder
	to Makefile.am

2001-04-30 11:22  richardb

	* configure.in: Add explicit check for <artsc.h>, in case
	artsc-config lies to us.

2001-04-29 23:46  sbaker3

	* plugins/filters/: intfloatconvert/float2int.h,
	intfloatconvert/int2float.h, mono2stereo/mono2stereo.h: remove
	bogus reference to audioraw.h

2001-04-29 23:27  wtay

	* examples/mixer/mixer.c: Changed the way the typefind function
	works by creating a little pipeline as the toplevel bin..

2001-04-29 22:56  thomasvs

	* examples/mixer/mixer.c: trying to convert mixer to incsched, not
	working yet

2001-04-29 18:59  richardb

	* README: Add detailed note (and patch) about automake problem.

2001-04-29 08:54  sbaker3

	* plugins/filters/ladspa/gstladspa.c: sync ladspa plugin with
	recent api changes - still not functional

2001-04-29 08:41  sbaker3

	* configure.in: added mono2stereo and intfloatconvert plugin

2001-04-29 08:39  sbaker3

	* plugins/filters/: Makefile.am, intfloatconvert/Makefile.am,
	intfloatconvert/float2int.c, intfloatconvert/float2int.h,
	intfloatconvert/int2float.c, intfloatconvert/int2float.h,
	intfloatconvert/intfloatconvert.c,
	intfloatconvert/intfloatconvert.h, mono2stereo/Makefile.am,
	mono2stereo/mono2stereo.c, mono2stereo/mono2stereo.h: added
	mono2stereo and intfloatconvert plugins

2001-04-28 20:16  sbaker3

	* editor/gsteditorproperty.c, tools/gstreamer-inspect.c: added
	output of float properties

2001-04-28 19:59  wtay

	* gst/: gstinfo.c, gstprops.c: Added more colors for
	props/caps/clock/negotiation.

2001-04-28 19:58  sbaker3

	* gst/elements/: gstsinesrc.c, gstsinesrc.h: update sinesrc to
	latest caps

2001-04-28 19:57  sbaker3

	* gst/elements/gstelements.c: add factory init for sinesrc

2001-04-28 19:56  sbaker3

	* gst/: gstcaps.h, gstprops.c, gstprops.h: add gst_props_get_float
	function

2001-04-28 08:17  omegahacker

	* test/mpeg2parse3.c: now fully correct within incsched1 world

2001-04-28 05:23  omegahacker

	* test/: Makefile.am, mpeg2parse2.c, mpeg2parse3.c: brought in
	mpeg2parse3.c from HEAD and fixed it up so it works

2001-04-28 05:23  omegahacker

	* gst/: cothreads.c, gstinfo.c, gstqueue.c: - Updated colorization
	some more (pthread and cothread id is in color) - Added some minor
	debug to help trace mp1vid segfaults

2001-04-28 04:38  dlehn

	* test/: .cvsignore, Makefile.am, mpeg2parse3.c: mpeg2parse2.c +
	audio = mpeg2parse3.c = a simple .vob player

2001-04-28 03:54  omegahacker

	* gst/: gstbin.c, gstclock.c, gstelement.c, gstelementfactory.c,
	gstinfo.c, gstpad.c, gstpipeline.c, gstthread.c, gsttype.c,
	gstutils.c: Updated the colorization a bit more, and did a
	significant pass through all the other code to change categories on
	DEBUG and INFO statements to be correct, and not simply zero. 
	There are still more, but this is a good first pass.

2001-04-28 02:46  mhowell

	* gst/: gstelement.c, gstscheduler.c, gstthread.c: fixed another
	thread synch case... better debug

2001-04-28 02:06  omegahacker

	* gst/: gst.c, gstinfo.c, gstinfo.h: another update to the
	colorization code

2001-04-27 22:14  wtay

	* gst/gstutils.c: Added enum parsing...

2001-04-27 22:09  omegahacker

	* gst/: gstinfo.c, gstinfo.h: fixes to colorization

2001-04-27 22:01  thomasvs

	* plugins/filters/filterstamp.sh: changed "rename" command to
	something using sed in one line having the same effect

2001-04-27 21:58  omegahacker

	* gst/gstinfo.c: syntax error fixed (s/;/,/)

2001-04-27 21:54  mhowell

	* gst/: gstelement.c, gstscheduler.c, gstthread.c, gstqueue.h,
	gstqueue.c: initial fix of thread synch for queues and state change

2001-04-27 21:47  omegahacker

	* acconfig.h, configure.in, gst/gst.c, gst/gstelement.h,
	gst/gstinfo.c, gst/gstinfo.h: added colorization of DEBUG and INFO,
	and a comment in gstelement.h

2001-04-27 21:45  wtay

	* gst/autoplug/gststaticautoplugrender.c: Tried to get the
	autoplugger working by setting the pipeline to PAUSED before
	attempting to connect pads...

2001-04-27 21:31  omegahacker

	* acconfig.h, configure.in, gst/gst.c, gst/gstinfo.c,
	gst/gstinfo.h: Added colorization to DEBUG and INFO.  Colors are
	based on categories, with the strings in _gst_category_colors[] in
	gstinfo.c  See wiki node GstDebugColors for the actual colors, or
	/etc/DIR_COLORS works too.
	
	Please comment on the colorization style and ideas in the above
	wiki node.

2001-04-27 20:35  wtay

	* docs/gst/gstreamer.hierarchy, docs/gst/tmpl/cothreads.sgml,
	docs/gst/tmpl/gstbuffer.sgml, docs/gst/tmpl/gstdisksink.sgml,
	docs/gst/tmpl/gstelement.sgml, docs/gst/tmpl/gstfakesrc.sgml,
	docs/gst/tmpl/gstpad.sgml, docs/gst/tmpl/gstreamer-unused.sgml,
	docs/gst/tmpl/gstthread.sgml, examples/autoplug/autoplug.c,
	gstplay/gstplay.c, tests/mp1vid.c: A commit of pending (small)
	changes...

2001-04-27 20:17  wtay

	* examples/autoplug/autoplug.c: Fixed the autoplugger

2001-04-27 02:46  omegahacker

	* gst/: cothreads.c, cothreads.h: fixed cothread_current_main so
	it, um, works.

2001-04-27 02:42  omegahacker

	* gst/: cothreads.c, cothreads.h: added cothread_current_main with
	(void) args

2001-04-27 00:34  omegahacker

	* tests/mp1vid.c: latest variant of mp1vid causes lockup, solution
	is interruptibility

2001-04-26 23:32  omegahacker

	* tests/mp1vid.c: updated to working state

2001-04-26 23:32  omegahacker

	* gst/: gstbin.c, gstthread.c: gstbin.c: commented out the
	requirement that a bin be !PLAYING to add gstthread.c: fixed an old
	failed merge that locked the same mutex twice	...in a row

2001-04-26 06:47  dlehn

	* configure.in: fix typos: %VAR -> $VAR

2001-04-26 02:53  omegahacker

	* autogen.sh, configure.in, docs/gst/gstreamer-docs.sgml,
	docs/gst/gstreamer-sections.txt, docs/gst/gstreamer.hierarchy,
	docs/gst/tmpl/gst.sgml, docs/gst/tmpl/gstautoplug.sgml,
	docs/gst/tmpl/gstbin.sgml, docs/gst/tmpl/gstbuffer.sgml,
	docs/gst/tmpl/gstbufferpool.sgml, docs/gst/tmpl/gstcaps.sgml,
	docs/gst/tmpl/gstcpu.sgml, docs/gst/tmpl/gstdisksink.sgml,
	docs/gst/tmpl/gstfakesink.sgml, docs/gst/tmpl/gstidentity.sgml,
	docs/gst/tmpl/gstpad.sgml, docs/gst/tmpl/gstparse.sgml,
	docs/gst/tmpl/gstpipeline.sgml, docs/gst/tmpl/gstplugin.sgml,
	docs/gst/tmpl/gstprops.sgml, docs/gst/tmpl/gstreamer-unused.sgml,
	docs/libs/Makefile.am, examples/Makefile.am,
	examples/autoplug/autoplug.c, examples/mixer/.cvsignore,
	examples/mixer/Makefile.am, examples/mixer/mixer.c,
	examples/mixer/mixer.h, examples/plugins/example.c, gst/.cvsignore,
	gst/Makefile.am, gst/Makefile.am.future, gst/gst.h,
	gst/gstbuffer.c, gst/gstbuffer.h, gst/gstcaps.c, gst/gstcaps.h,
	gst/gstobject.c, gst/gstpad.c, gst/gstpad.h, gst/gstplugin.c,
	gst/gstplugin.h, gst/gstprops.h, gst/gstqueue.c, gst/gstutils.c,
	gst/gstversion.h.in, gst/autoplug/Makefile.am,
	gst/autoplug/gststaticautoplug.c,
	gst/autoplug/gststaticautoplugrender.c, gst/elements/Makefile.am,
	gst/elements/gstdisksink.c, gst/elements/gstdisksink.h,
	gst/elements/gstdisksrc.c, gst/elements/gstelements.c,
	gst/elements/gstfakesink.c, gst/elements/gstfakesink.h,
	gst/elements/gstidentity.c, gst/elements/gstidentity.h,
	gst/types/Makefile.am, gst/types/gsttypes.c,
	libs/putbits/gstputbits.c, plugins/Makefile.am,
	plugins/1394/.cvsignore, plugins/1394/Makefile.am,
	plugins/1394/dv1394src.c, plugins/1394/dv1394src.h,
	plugins/1394/gst1394.c, plugins/aasink/.cvsignore,
	plugins/aasink/Makefile.am, plugins/aasink/aasink.c,
	plugins/aasink/aasink.h, plugins/alaw/alaw.c,
	plugins/alsa/alsasink.c, plugins/alsa/alsasrc.c,
	plugins/arts/.cvsignore, plugins/arts/Makefile.am,
	plugins/arts/gst_arts.c, plugins/arts/gst_arts.h,
	plugins/arts/gst_artsio.idl, plugins/arts/gst_artsio_impl.cc,
	plugins/artsd/artsdsink.c, plugins/au/gstparseau.c,
	plugins/audioscale/audioscale.c, plugins/avi/gstavidecoder.c,
	plugins/avi/gstaviencoder.c, plugins/avi/wincodec/gstwincodec.c,
	plugins/avi/wincodec/gstwindec.c, plugins/avi/wincodec/gstwindec.h,
	plugins/avi/wincodec/gstwinenc.c, plugins/capture/v4l/gstv4lsrc.c,
	plugins/cdparanoia/cdparanoia.c, plugins/cobin/cobin.c,
	plugins/cobin/spindentity.c, plugins/dv/Makefile.am,
	plugins/dv/NOTES, plugins/dv/dvdec.c, plugins/dv/dvdec.h,
	plugins/dvdsrc/dvdsrc.c, plugins/effects/stereo/stereo.c,
	plugins/effects/volume/volume.c, plugins/esd/esdsink/esdsink.c,
	plugins/filters/adder/.cvsignore,
	plugins/filters/adder/Makefile.am, plugins/filters/adder/adder.c,
	plugins/filters/adder/adder.h,
	plugins/filters/colorspace/colorspace.c,
	plugins/filters/colorspace/colorspace.h,
	plugins/filters/ladspa/gstladspa.c,
	plugins/filters/median/median.c,
	plugins/filters/passthrough/passthrough.c,
	plugins/filters/smooth/smooth.c,
	plugins/filters/stereo2mono/stereo2mono.c,
	plugins/filters/volenv/filter.func,
	plugins/filters/volenv/volenv.c, plugins/flx/flx_decoder.c,
	plugins/icecast/icecastsend/icecastsend.c, plugins/jpeg/gstjpeg.c,
	plugins/jpeg/gstjpegdec.c, plugins/jpeg/gstjpegenc.c,
	plugins/mp3decode/mad/gstmad.c, plugins/mp3decode/mad/gstmad.h,
	plugins/mp3decode/mpg123/Makefile.am,
	plugins/mp3decode/mpg123/gstmpg123.c,
	plugins/mp3decode/parse/mp3parse.c,
	plugins/mp3decode/types/mp3types.c, plugins/mp3decode/xa/gstxa.c,
	plugins/mp3decode/xing/gstxing.c, plugins/mp3encode/lame/gstlame.c,
	plugins/mpeg1/mpeg1encoder/gstmpeg1encoder.c,
	plugins/mpeg1/mpeg_play/gstmpeg_play.c,
	plugins/mpeg1/mpegaudio/gstmpegaudio.c,
	plugins/mpeg1/mpegtypes/mpeg1types.c,
	plugins/mpeg1/parse/mpeg1parse.c,
	plugins/mpeg1/system_encode/buffer.c,
	plugins/mpeg1/system_encode/system_encode.c,
	plugins/mpeg1video/parse/mp1videoparse.c,
	plugins/mpeg2/ac3dec/ac3dec.c, plugins/mpeg2/ac3parse/ac3parse.c,
	plugins/mpeg2/mpeg2dec/gstmpeg2dec.c,
	plugins/mpeg2/mpeg2dec/gstmpeg2dec.h,
	plugins/mpeg2/mpeg2enc/gstmpeg2enc.c,
	plugins/mpeg2/mpegtypes/mpeg2types.c,
	plugins/mpeg2/parse/mpeg2parse.c,
	plugins/mpeg2/subtitles/mpeg2subt.c,
	plugins/mpeg2/video/gstmpeg2play.c,
	plugins/mpeg2/videoparse/mp2videoparse.c, plugins/mulaw/mulaw.c,
	plugins/oss/gstossaudio.c, plugins/oss/gstosssink.c,
	plugins/oss/gstosssrc.c, plugins/rtjpeg/rtjpeg.c,
	plugins/rtp/rtpsend/rtpsend.c, plugins/vcdsrc/vcdsrc.c,
	plugins/videoscale/videoscale.c,
	plugins/visualization/smoothwave/smoothwave.c,
	plugins/visualization/spectrum/gstspectrum.c,
	plugins/visualization/synaesthesia/synaesthesia.c,
	plugins/visualization/vumeter/vumeter.c, plugins/vorbis/vorbis.c,
	plugins/wav/gstparsewav.c, plugins/xmms/gstxmms.c,
	plugins/xmms/gstxmmseffect.c, plugins/xvideosink/gstximage.c,
	plugins/xvideosink/gstximage.h, plugins/xvideosink/gstxvimage.c,
	plugins/xvideosink/gstxvimage.h, plugins/xvideosink/xvideosink.c,
	plugins/xvideosink/xvideosink.h, test/.cvsignore, test/Makefile.am,
	test/dv2mp1.c, test/dvshow.c, test/mp2tomp1.c, test/mp3.c,
	test/mp3mad.c, test/video2mp1.c, test/xmmstest.c,
	tests/Makefile.am, tests/autoplug3.c, tests/autoplug4.c,
	tests/padfactory.c, testsuite/capsnego/capsnego.c,
	testsuite/capsnego/converter.c, testsuite/capsnego/converter2.c,
	testsuite/capsnego/enum.c: Merged from HEAD to INCSCHED1 on
	200104251

2001-04-26 02:43  omegahacker

	* plugins/arts/gst_artsio_impl.h: oops, need to have this file in
	CVS

2001-04-26 01:25  omegahacker

	* tests/mp1vid.c: file mp1vid.c was initially added on branch
	BRANCH-INCSCHED1.

2001-04-26 01:25  omegahacker

	* tests/mp1vid.c: added mp1vid to CVS

2001-04-26 01:20  omegahacker

	* test/dvshow.c: set the video window size up front for NTSC, as a
	timesaver

2001-04-26 01:19  omegahacker

	* plugins/dv/dvdec.c: cleanup of the dvdec stuff, somewhat

2001-04-26 00:56  omegahacker

	* configure.in: turn off optimization when profiling (ackcvs diff
	configure.in) because something segfaults if we don't

2001-04-26 00:30  omegahacker

	* gst/cothreads.c: fixed a locking issue

2001-04-25 23:32  omegahacker

	* gst/: cothreads.c, cothreads.h, gstelement.c, gstelement.h,
	gstscheduler.c, gstscheduler.h: Added element-level locking
	support, implemented for cothreads with a mutex held whenever an
	element is actually currently running.	This should be done with
	atomic variables eventually, but the best I can find is to use
	<asm/spinlock.h> from the kernel, which brings in too much for my
	taste.
	
	Also increased cothread stack size to 32KB and max cothread count
	to 64, which fits within the default pthread 2MB stack.  It would
	probably be good to do a pthread_attr_getstacksize() to verify that
	it's 2MB, and if linuxthreads had a pthread_attr_setstacksize(), we
	could remove these limits.

2001-04-25 12:49  richardb

	* examples/Makefile.am, test/Makefile.am, test/mp3.c,
	test/xmmstest.c: Remove #include <gnome.h> from some tests which
	don't actually need it, and make the other tests and the autoplug
	example only compile if gnome headers are present.

2001-04-24 22:28  omegahacker

	* gst/gstbuffer.c: I will successfully compile code before I check
	it in.	I will successfully compile code before I check it in.	I
	will successfully compile code before I check it in.  I will
	successfully compile code before I check it in.  I will
	successfully compile code before I check it in.  I will
	successfully compile code before I check it in.  I will
	successfully compile code before I check it in.  I will
	successfully compile code before I check it in.  I will
	successfully compile code before I check it in.  I will
	successfully compile code before I check it in.

2001-04-24 20:20  omegahacker

	* gst/: gstbuffer.c, gstbuffer.h: - commented out remainder of Meta
	stuff - enhanced mem_chunk allocation to round up to nearest 32
	bytes	 this helps ensure that GstBuffers are more likely to be on
	cache-lines - added free() and copy() function pointers to
	GstBuffer - added code in _destroy and _copy to use above routines
	if !NULL - fixed up _copy code to suck less

2001-04-24 20:04  omegahacker

	* plugins/: avi/wincodec/gstwinenc.c, filters/median/median.c,
	filters/smooth/smooth.c, jpeg/gstjpegenc.c: Commented out most of
	the remaining bits of Meta stuff

2001-04-24 00:16  omegahacker

	* autogen.sh, gst/elements/gstfakesink.c, plugins/Makefile.am,
	plugins/arts/gst_artsio_impl.cc, plugins/oss/gstosssrc.c:
	Collection of minor changes:
	
	 * autogen.sh - remove config.cache before running ./configure
	 * gst/elements/gstfakesink.c - print out the size of the buffer,
	too
	 * plugins/Makefile.am - removed a spare trailing backslash
	 * plugins/arts/gst_artsio_impl.cc - change the scale back to 0.5
	 * plugins/oss/gstosssrc.c - change name slightly to match osssink

2001-04-23 23:04  wtay

	* plugins/aasink/: aasink.c, aasink.h: Final fixes to the aasink

2001-04-23 16:16  omegahacker

	* test/dvshow.c: updated dvshow to use dv1394src instead of
	gst1394src

2001-04-23 16:16  omegahacker

	* plugins/1394/: Makefile.am, dv1394src.c, dv1394src.h, gst1394.c,
	gst1394.h: renamed 1394src to dv1394src, set up to handle *1394* in
	1394 dir

2001-04-23 00:28  wtay

	* configure.in: Added a check for aalib

2001-04-23 00:18  wtay

	* plugins/: Makefile.am, aasink/.cvsignore, aasink/Makefile.am,
	aasink/aasink.c, aasink/aasink.h, mp3decode/mpg123/Makefile.am,
	xvideosink/xvideosink.c, xvideosink/xvideosink.h: Some small mpg123
	Makefile changes.  Added an aasink, draw graphics with aalib :-)

2001-04-22 17:34  wtay

	* plugins/: avi/wincodec/gstwindec.c, avi/wincodec/gstwindec.h,
	dv/dvdec.c: Added bufferpools to windec.  updated dvdec to the new
	plugin version system.

2001-04-22 17:06  wtay

	* docs/gst/tmpl/gstdisksink.sgml: Added the disksink template

2001-04-22 17:05  wtay

	* test/.cvsignore: Updates

2001-04-22 17:04  wtay

	* test/dv2mp1.c: Added a non functional dv to mpeg1 encoder.

2001-04-22 17:04  wtay

	* docs/gst/gstreamer-docs.sgml, docs/gst/gstreamer-sections.txt,
	docs/gst/gstreamer.hierarchy, docs/gst/tmpl/gstbuffer.sgml,
	docs/gst/tmpl/gstidentity.sgml, docs/gst/tmpl/gstplugin.sgml,
	docs/gst/tmpl/gstprops.sgml, docs/gst/tmpl/gstreamer-unused.sgml,
	docs/libs/Makefile.am, gst/gstcaps.h, gst/gstpad.h, gst/gstutils.c,
	gst/elements/gstdisksink.c, gst/elements/gstdisksink.h,
	gst/elements/gstdisksrc.c, plugins/alsa/alsasink.c,
	plugins/alsa/alsasrc.c, plugins/dv/dvdec.c, plugins/dv/dvdec.h,
	plugins/filters/colorspace/colorspace.c, test/Makefile.am,
	tests/padfactory.c: API docs updates.  Properly implemented the
	disksink.  Fixed a compile problem with alsa.  Added bufferpool
	handling to dvdec Some compiler warning fixes

2001-04-22 13:30  richardb

	* examples/plugins/example.c, gst/gstplugin.c, gst/gstplugin.h,
	gst/autoplug/gststaticautoplug.c,
	gst/autoplug/gststaticautoplugrender.c, gst/elements/gstelements.c,
	gst/types/gsttypes.c, plugins/1394/gst1394.c, plugins/alaw/alaw.c,
	plugins/alsa/alsasink.c, plugins/alsa/alsasrc.c,
	plugins/arts/gst_arts.c, plugins/artsd/artsdsink.c,
	plugins/au/gstparseau.c, plugins/audioscale/audioscale.c,
	plugins/avi/gstavidecoder.c, plugins/avi/gstaviencoder.c,
	plugins/avi/wincodec/gstwincodec.c,
	plugins/capture/v4l/gstv4lsrc.c, plugins/cdparanoia/cdparanoia.c,
	plugins/cobin/cobin.c, plugins/cobin/spindentity.c,
	plugins/dvdsrc/dvdsrc.c, plugins/effects/stereo/stereo.c,
	plugins/effects/volume/volume.c, plugins/esd/esdsink/esdsink.c,
	plugins/filters/adder/adder.c,
	plugins/filters/colorspace/colorspace.c,
	plugins/filters/ladspa/gstladspa.c,
	plugins/filters/median/median.c,
	plugins/filters/passthrough/passthrough.c,
	plugins/filters/smooth/smooth.c,
	plugins/filters/stereo2mono/stereo2mono.c,
	plugins/filters/volenv/volenv.c, plugins/flx/flx_decoder.c,
	plugins/icecast/icecastsend/icecastsend.c, plugins/jpeg/gstjpeg.c,
	plugins/mp3decode/mad/gstmad.c,
	plugins/mp3decode/mpg123/gstmpg123.c,
	plugins/mp3decode/parse/mp3parse.c,
	plugins/mp3decode/types/mp3types.c, plugins/mp3decode/xa/gstxa.c,
	plugins/mp3decode/xing/gstxing.c, plugins/mp3encode/lame/gstlame.c,
	plugins/mpeg1/mpeg1encoder/gstmpeg1encoder.c,
	plugins/mpeg1/mpeg_play/gstmpeg_play.c,
	plugins/mpeg1/mpegaudio/gstmpegaudio.c,
	plugins/mpeg1/mpegtypes/mpeg1types.c,
	plugins/mpeg1/parse/mpeg1parse.c,
	plugins/mpeg1/system_encode/system_encode.c,
	plugins/mpeg1video/parse/mp1videoparse.c,
	plugins/mpeg2/ac3dec/ac3dec.c, plugins/mpeg2/ac3parse/ac3parse.c,
	plugins/mpeg2/mpeg2dec/gstmpeg2dec.c,
	plugins/mpeg2/mpeg2enc/gstmpeg2enc.c,
	plugins/mpeg2/mpegtypes/mpeg2types.c,
	plugins/mpeg2/parse/mpeg2parse.c,
	plugins/mpeg2/subtitles/mpeg2subt.c,
	plugins/mpeg2/video/gstmpeg2play.c,
	plugins/mpeg2/videoparse/mp2videoparse.c, plugins/mulaw/mulaw.c,
	plugins/oss/gstossaudio.c, plugins/rtjpeg/rtjpeg.c,
	plugins/rtp/rtpsend/rtpsend.c, plugins/vcdsrc/vcdsrc.c,
	plugins/videoscale/videoscale.c,
	plugins/visualization/smoothwave/smoothwave.c,
	plugins/visualization/spectrum/gstspectrum.c,
	plugins/visualization/synaesthesia/synaesthesia.c,
	plugins/visualization/vumeter/vumeter.c, plugins/vorbis/vorbis.c,
	plugins/wav/gstparsewav.c, plugins/xmms/gstxmms.c,
	plugins/xmms/gstxmmseffect.c, plugins/xvideosink/xvideosink.c:
	Merged from BRANCH-PLUGINVER1

2001-04-22 13:06  richardb

	* plugins/mpeg2/mpeg2enc/gstmpeg2enc.c: Fix bad merge with head.

2001-04-22 11:16  richardb

	* configure.in, examples/autoplug/autoplug.c, gst/gstbuffer.c,
	gst/gstbuffer.h, gst/gstcaps.h, gst/gstprops.h,
	gst/autoplug/gststaticautoplugrender.c, libs/putbits/gstputbits.c,
	plugins/Makefile.am, plugins/dv/Makefile.am, plugins/dv/NOTES,
	plugins/dv/dvdec.c, plugins/dv/dvdec.h,
	plugins/filters/colorspace/colorspace.c, plugins/jpeg/gstjpegdec.c,
	plugins/mpeg1/mpegaudio/gstmpegaudio.c,
	plugins/mpeg1/system_encode/buffer.c,
	plugins/mpeg1/system_encode/system_encode.c,
	plugins/mpeg2/mpeg2enc/gstmpeg2enc.c, plugins/oss/gstosssink.c,
	plugins/videoscale/videoscale.c, test/Makefile.am, test/dvshow.c,
	test/mp2tomp1.c, test/video2mp1.c: Merged from trunk

2001-04-22 05:38  omegahacker

	* gst/: gstbuffer.c, gstbuffer.h, gstcaps.h: fixes for gstbuffer,
	and removed ## from gstcaps.h that was causing all that warning
	noise

2001-04-22 02:41  omegahacker

	* gst/gstbuffer.c: completed gst_buffer_copy, added API comments

2001-04-22 02:40  omegahacker

	* test/: Makefile.am, dvshow.c: added test program for dv decoder

2001-04-22 02:32  omegahacker

	* gst/gstprops.h: added GST_STR_FOURCC, which takes strings like
	"YUY2" instead of 'Y','U','Y','2'.  better, I think <g>

2001-04-22 02:30  wtay

	* configure.in: Add -lm and the glib libs too for the dv_init check

2001-04-22 02:30  omegahacker

	* gst/: gstbuffer.c, gstbuffer.h: Added gst_buffer_copy().  It's
	not complete, it should copy more stuff like flags and such. 
	FIXME.

2001-04-22 02:28  omegahacker

	* plugins/Makefile.am: fixed caps error in path for dv

2001-04-22 00:48  omegahacker

	* configure.in, plugins/Makefile.am, plugins/dv/Makefile.am,
	plugins/dv/NOTES, plugins/dv/dvdec.c, plugins/dv/dvdec.h: added
	initial DV (smpte314m) decoder plugin

2001-04-21 18:45  wtay

	* examples/autoplug/autoplug.c,
	gst/autoplug/gststaticautoplugrender.c, libs/putbits/gstputbits.c,
	plugins/filters/colorspace/colorspace.c, plugins/jpeg/gstjpegdec.c,
	plugins/mpeg1/mpegaudio/gstmpegaudio.c,
	plugins/mpeg1/system_encode/buffer.c,
	plugins/mpeg1/system_encode/system_encode.c,
	plugins/mpeg2/mpeg2enc/gstmpeg2enc.c, plugins/oss/gstosssink.c,
	plugins/videoscale/videoscale.c, test/Makefile.am, test/mp2tomp1.c,
	test/video2mp1.c: Fixed a few plugins so that mpeg1 encoding sorta
	works.	Added an mpeg1 encoder example, it uses the autoplugger to
	convert the stream to audio/video, which is then fed to the
	encoders.

2001-04-21 13:43  richardb

	* gst/gstplugin.c, gst/gstplugin.h, plugins/1394/gst1394.c,
	plugins/alaw/alaw.c, plugins/alsa/alsasink.c,
	plugins/alsa/alsasrc.c, plugins/arts/gst_arts.c,
	plugins/artsd/artsdsink.c, plugins/au/gstparseau.c,
	plugins/audioscale/audioscale.c, plugins/avi/gstavidecoder.c,
	plugins/avi/gstaviencoder.c, plugins/avi/wincodec/gstwincodec.c,
	plugins/capture/v4l/gstv4lsrc.c, plugins/cdparanoia/cdparanoia.c,
	plugins/cobin/cobin.c, plugins/cobin/spindentity.c,
	plugins/dvdsrc/dvdsrc.c, plugins/effects/stereo/stereo.c,
	plugins/effects/volume/volume.c, plugins/esd/esdsink/esdsink.c,
	plugins/filters/adder/adder.c,
	plugins/filters/colorspace/colorspace.c,
	plugins/filters/ladspa/gstladspa.c,
	plugins/filters/median/median.c,
	plugins/filters/passthrough/passthrough.c,
	plugins/filters/smooth/smooth.c,
	plugins/filters/stereo2mono/stereo2mono.c,
	plugins/filters/volenv/volenv.c, plugins/flx/flx_decoder.c,
	plugins/icecast/icecastsend/icecastsend.c, plugins/jpeg/gstjpeg.c,
	plugins/mp3decode/mad/gstmad.c,
	plugins/mp3decode/mpg123/gstmpg123.c,
	plugins/mp3decode/parse/mp3parse.c,
	plugins/mp3decode/types/mp3types.c, plugins/mp3decode/xa/gstxa.c,
	plugins/mp3decode/xing/gstxing.c, plugins/mp3encode/lame/gstlame.c,
	plugins/mpeg1/mpeg1encoder/gstmpeg1encoder.c,
	plugins/mpeg1/mpeg_play/gstmpeg_play.c,
	plugins/mpeg1/mpegaudio/gstmpegaudio.c,
	plugins/mpeg1/mpegtypes/mpeg1types.c,
	plugins/mpeg1/parse/mpeg1parse.c,
	plugins/mpeg1/system_encode/system_encode.c,
	plugins/mpeg1video/parse/mp1videoparse.c,
	plugins/mpeg2/ac3dec/ac3dec.c, plugins/mpeg2/ac3parse/ac3parse.c,
	plugins/mpeg2/mpeg2dec/gstmpeg2dec.c,
	plugins/mpeg2/mpeg2enc/gstmpeg2enc.c,
	plugins/mpeg2/mpegtypes/mpeg2types.c,
	plugins/mpeg2/parse/mpeg2parse.c,
	plugins/mpeg2/subtitles/mpeg2subt.c,
	plugins/mpeg2/video/gstmpeg2play.c,
	plugins/mpeg2/videoparse/mp2videoparse.c, plugins/mulaw/mulaw.c,
	plugins/oss/gstossaudio.c, plugins/rtjpeg/rtjpeg.c,
	plugins/rtp/rtpsend/rtpsend.c, plugins/vcdsrc/vcdsrc.c,
	plugins/videoscale/videoscale.c,
	plugins/visualization/smoothwave/smoothwave.c,
	plugins/visualization/spectrum/gstspectrum.c,
	examples/plugins/example.c, gst/autoplug/gststaticautoplug.c,
	gst/autoplug/gststaticautoplugrender.c, gst/elements/gstelements.c,
	gst/types/gsttypes.c,
	plugins/visualization/synaesthesia/synaesthesia.c,
	plugins/visualization/vumeter/vumeter.c, plugins/vorbis/vorbis.c,
	plugins/wav/gstparsewav.c, plugins/xmms/gstxmms.c,
	plugins/xmms/gstxmmseffect.c, plugins/xvideosink/xvideosink.c: Use
	plugin descriptions, which start with the major and minor version
	numbers, instead of relying on each plugin to call gst_plugin_new
	appropriately, and check the return value, and tidy up if there's a
	failure.  This seems to work fine, and factors out some code common
	to all plugins.

2001-04-21 10:30  richardb

	* examples/plugins/example.c, gst/gstplugin.c, gst/gstplugin.h,
	gst/autoplug/gststaticautoplug.c,
	gst/autoplug/gststaticautoplugrender.c, gst/elements/gstelements.c,
	gst/types/gsttypes.c, plugins/1394/gst1394.c, plugins/alaw/alaw.c,
	plugins/alsa/alsasink.c, plugins/alsa/alsasrc.c,
	plugins/arts/gst_arts.c, plugins/artsd/artsdsink.c,
	plugins/au/gstparseau.c, plugins/audioscale/audioscale.c,
	plugins/avi/gstavidecoder.c, plugins/avi/gstaviencoder.c,
	plugins/avi/wincodec/gstwincodec.c,
	plugins/capture/v4l/gstv4lsrc.c, plugins/cdparanoia/cdparanoia.c,
	plugins/cobin/cobin.c, plugins/cobin/spindentity.c,
	plugins/dvdsrc/dvdsrc.c, plugins/effects/stereo/stereo.c,
	plugins/effects/volume/volume.c, plugins/esd/esdsink/esdsink.c,
	plugins/filters/adder/adder.c,
	plugins/filters/colorspace/colorspace.c,
	plugins/filters/ladspa/gstladspa.c,
	plugins/filters/median/median.c,
	plugins/filters/passthrough/passthrough.c,
	plugins/filters/smooth/smooth.c,
	plugins/filters/stereo2mono/stereo2mono.c,
	plugins/filters/volenv/volenv.c, plugins/flx/flx_decoder.c,
	plugins/icecast/icecastsend/icecastsend.c, plugins/jpeg/gstjpeg.c,
	plugins/mp3decode/mad/gstmad.c,
	plugins/mp3decode/mpg123/gstmpg123.c,
	plugins/mp3decode/parse/mp3parse.c,
	plugins/mp3decode/types/mp3types.c, plugins/mp3decode/xa/gstxa.c,
	plugins/mp3decode/xing/gstxing.c, plugins/mp3encode/lame/gstlame.c,
	plugins/mpeg1/mpeg1encoder/gstmpeg1encoder.c,
	plugins/mpeg1/mpeg_play/gstmpeg_play.c,
	plugins/mpeg1/mpegaudio/gstmpegaudio.c,
	plugins/mpeg1/mpegtypes/mpeg1types.c,
	plugins/mpeg1/parse/mpeg1parse.c,
	plugins/mpeg1/system_encode/system_encode.c,
	plugins/mpeg1video/parse/mp1videoparse.c,
	plugins/mpeg2/ac3dec/ac3dec.c, plugins/mpeg2/ac3parse/ac3parse.c,
	plugins/mpeg2/mpeg2dec/gstmpeg2dec.c,
	plugins/mpeg2/mpeg2enc/gstmpeg2enc.c,
	plugins/mpeg2/mpegtypes/mpeg2types.c,
	plugins/mpeg2/parse/mpeg2parse.c,
	plugins/mpeg2/subtitles/mpeg2subt.c,
	plugins/mpeg2/video/gstmpeg2play.c,
	plugins/mpeg2/videoparse/mp2videoparse.c, plugins/mulaw/mulaw.c,
	plugins/oss/gstossaudio.c, plugins/rtjpeg/rtjpeg.c,
	plugins/rtp/rtpsend/rtpsend.c, plugins/vcdsrc/vcdsrc.c,
	plugins/videoscale/videoscale.c,
	plugins/visualization/smoothwave/smoothwave.c,
	plugins/visualization/spectrum/gstspectrum.c,
	plugins/visualization/synaesthesia/synaesthesia.c,
	plugins/visualization/vumeter/vumeter.c, plugins/vorbis/vorbis.c,
	plugins/wav/gstparsewav.c, plugins/xmms/gstxmms.c,
	plugins/xvideosink/xvideosink.c: Added first attempt at plugin
	versioning.

2001-04-21 00:20  wtay

	* plugins/filters/colorspace/colorspace.c: Added more verbose
	output for debugging purposes.

2001-04-20 23:50  wtay

	* plugins/xvideosink/: gstximage.c, gstxvimage.c, xvideosink.c,
	xvideosink.h: Added proper locking around the bufferpool and the X
	connection

2001-04-20 22:41  wtay

	* plugins/mp3decode/mad/gstmad.c: Removed a g_print statement

2001-04-20 22:40  wtay

	* plugins/mp3decode/mad/: gstmad.c, gstmad.h: Added Mad didn't take
	the number of channels into account.  Added propper TIMESTAMPS to
	output buffers.

2001-04-20 21:36  wtay

	* plugins/oss/gstosssink.c: Added a sync when the device is opened
	so that the caps negotiated parmams are set.

2001-04-20 20:21  wtay

	* gst/elements/: gstidentity.c, gstidentity.h: Added caps proxying
	and bufferpool passing to identity so that -launch disksrc ! mad !
	identity ! osssink works.

2001-04-20 15:42  richardb

	* plugins/oss/gstosssink.c: #ifdef out bit about AFMT_AC3, since
	this isn't defined by the header files for older linux kernels
	(2.0.36) (and its just INFO code, anyway)

2001-04-20 13:04  thomasvs

	* gst/elements/: Makefile.am, gstelements.c: update to take new
	gstdisksink element into account

2001-04-20 12:56  richardb

	* gst/Makefile.am.future: Update the alternative Makefile.am for
	gst/, which depends on automake
	>1.4d

2001-04-20 12:14  thomasvs

	* gst/elements/: gstdisksink.c, gstdisksink.h: * first stab at a
	disk sink element * no optimization, is it necessary ? * basic
	error checking * seems to work; you can copy files by typing  
	gstreamer-launch disksrc location=test.in ! disksink
	location=test.out * decode of mp3 to raw pcm also tested

2001-04-20 00:47  omegahacker

	* plugins/arts/: .cvsignore, Makefile.am, gst_arts.c, gst_arts.h,
	gst_artsio.cc, gst_artsio.h, gst_artsio.idl, gst_artsio.mcopclass,
	gst_artsio.mcoptype, gst_artsio_impl.cc: updated to a mostly
	working aRts wrapper plugin, just caps issues left

2001-04-19 23:25  wtay

	* docs/gst/gstreamer.hierarchy, docs/gst/tmpl/gstcaps.sgml,
	docs/gst/tmpl/gstcpu.sgml, docs/gst/tmpl/gsthttpsrc.sgml,
	docs/gst/tmpl/gstpad.sgml, docs/gst/tmpl/gstparse.sgml,
	docs/gst/tmpl/gstpipeline.sgml, docs/gst/tmpl/gstplugin.sgml,
	docs/gst/tmpl/gstprops.sgml, docs/gst/tmpl/gstreamer-unused.sgml,
	gst/gstpad.c: More API docs updates

2001-04-19 23:03  omegahacker

	* plugins/arts/gst_artsio_impl.cc: minor updates

2001-04-19 21:42  omegahacker

	* configure.in, plugins/Makefile.am, plugins/1394/.cvsignore,
	plugins/1394/Makefile.am, plugins/1394/gst1394.c,
	plugins/1394/gst1394.h: First pass at 1394 source.  Arguments need
	to be added, etc.  But it works.

2001-04-19 17:40  omegahacker

	* plugins/arts/gst_arts.c: updated to latest padtemplate code

2001-04-19 10:27  thomasvs

	* plugins/filters/adder/adder.c: * a little cleanup

2001-04-19 01:23  omegahacker

	* configure.in, plugins/Makefile.am: better (not complete, afaict)
	checking for arts

2001-04-19 00:25  omegahacker

	* plugins/arts/: Makefile.am, gst_arts.c, gst_arts.h,
	gst_artsio.cc, gst_artsio.h, gst_artsio.idl, gst_artsio.mcopclass,
	gst_artsio.mcoptype, gst_artsio_impl.cc: first pass at a gstreamer
	arts plugin doesn't compile yet

2001-04-18 23:00  wtay

	* plugins/xvideosink/xvideosink.c: Removed stupid g_print
	statements.

2001-04-18 22:59  wtay

	* plugins/: mpeg2/mpeg2dec/gstmpeg2dec.c, xvideosink/xvideosink.c:
	Fixed a stupid bug in the mpeg2dec bufferpool handling.  Make an
	XvImage and XImage pool in xvideosink.	Together these changes give
	an 80% speedup on mpeg2 playback (rough estimate)

2001-04-18 21:16  wtay

	* docs/gst/tmpl/: gstbin.sgml, gstbuffer.sgml, gstbufferpool.sgml,
	gstcaps.sgml, gstreamer-unused.sgml: Added more API docs to
	Autoplug, Buffer, Bin, BufferPool.  Fixed some compile problems
	with videosink

2001-04-18 17:08  thomasvs

	* examples/mixer/mixer.c: * mixer now works with variable inputs *
	mixer creates custom volume envelopes allowing each song to play
	alone	      and end with a mix of all of them, undistorted

2001-04-18 15:50  thomasvs

	* plugins/filters/volenv/filter.func: made errors more descriptive

2001-04-18 15:04  thomasvs

	* examples/mixer/mixer.c: * cleaned up some code and integrated
	with new adder (mixer now works with   different types of files)

2001-04-18 15:03  thomasvs

	* plugins/filters/adder/: adder.c, adder.h: changed adder to work
	with variable length input data buffers

2001-04-17 22:17  thomasvs

	* examples/mixer/: mixer.c, mixer.h: changed mixer to work by
	autoplugging the input channels (not very useful yet, since the
	input buffers to volenv have different sizes)

2001-04-17 22:14  wtay

	* configure.in, docs/gst/gstreamer-sections.txt,
	docs/gst/gstreamer.hierarchy, docs/gst/tmpl/gst.sgml,
	docs/gst/tmpl/gstautoplug.sgml, docs/gst/tmpl/gstbin.sgml,
	docs/gst/tmpl/gstbuffer.sgml, docs/gst/tmpl/gstcaps.sgml,
	docs/gst/tmpl/gstfakesink.sgml, docs/gst/tmpl/gsthttpsrc.sgml,
	docs/gst/tmpl/gstpad.sgml, docs/gst/tmpl/gstprops.sgml,
	docs/gst/tmpl/gstreamer-unused.sgml, gst/gstcaps.c,
	gst/gstobject.c, gst/gstpad.c, testsuite/capsnego/capsnego.c,
	testsuite/capsnego/converter.c, testsuite/capsnego/converter2.c,
	testsuite/capsnego/enum.c: The first wave of docs updates Added a
	little more comments about the API usage in the api docs.  Some
	fixes for the capsnego testsuite.

2001-04-17 22:03  wtay

	* tests/: Makefile.am, autoplug3.c, autoplug4.c: Autoplug3 shows an
	example of an autoplugged mp3 player.  Autoplug4 shows various
	static autoplugger examples.

2001-04-17 18:48  thomasvs

	* examples/mixer/mixer.h: header for mixer.c, containing
	input_pipe_t

2001-04-17 18:47  thomasvs

	* examples/mixer/mixer.c: added a struct to set up input channels

2001-04-17 16:32  thomasvs

	* plugins/filters/volenv/: filter.func, volenv.c: * fixed problem
	with starting rise calculation * cleaned up some debug info *
	started wondering if it really is a good idea to #include the
	actual	 filter now that's it's grown so large, but decided it
	wasn't worth the   effort now anyway

2001-04-17 14:36  thomasvs

	* configure.in: added mixer example and adder plugin to
	configure.in

2001-04-17 06:24  omegahacker

	* gst/: Makefile.am, autoplug/Makefile.am, elements/Makefile.am,
	types/Makefile.am: finished change to GST_ macros

2001-04-17 03:19  omegahacker

	* configure.in, gst/.cvsignore, gst/Makefile.am, gst/gst.h,
	gst/gstversion.h.in: added gstversion.h

2001-04-17 02:32  omegahacker

	* gstreamer.pc.in: file gstreamer.pc.in was initially added on
	branch BRANCH-INCSCHED1.

2001-04-17 02:32  omegahacker

	* gstreamer.pc.in: added pkg-config file

2001-04-17 00:17  omegahacker

	* gst/autoplug/: Makefile.am, gststaticautoplug.c,
	gststaticautoplug.h, gststaticautoplugrender.c,
	gststaticautoplugrender.h: brought in autoplug dir from HEAD after
	screwed up merge

2001-04-17 00:17  wtay

	* plugins/: filters/colorspace/colorspace.c,
	filters/colorspace/colorspace.h, mpeg2/mpeg2dec/gstmpeg2dec.c,
	mpeg2/mpeg2dec/gstmpeg2dec.h, xvideosink/gstximage.h,
	xvideosink/gstxvimage.h, xvideosink/xvideosink.c,
	xvideosink/xvideosink.h: Added bufferpools to mpeg2dec and
	xvideosink.  Modified colorspace to draw straight into a bufferpool
	buffer when possible.

2001-04-16 22:48  wtay

	* tests/: Makefile.am, padfactory.c: Updated the padfactory test
	code.

2001-04-16 22:45  wtay

	* gst/: gstbuffer.h, gstcaps.c, gstcaps.h, gstpad.c, gstpad.h,
	gstqueue.c: Added 1337 macros to create padtemplates and
	capstemplates.	Added some code for bufferpools

2001-04-16 22:43  omegahacker

	* AUTHORS, Makefile.am, REQUIREMENTS, acconfig.h, configure.in,
	gstreamer-config.1, gstreamer-config.in, gstreamer.m4,
	gstreamer.spec.in, components/bonobo-gstmediaplay/Makefile.am,
	components/bonobo-gstmediaplay/bonobo-gstmediaplay.c,
	debian/.cvsignore, debian/Makefile.am, debian/README.Debian,
	debian/changelog, debian/control, debian/copyright,
	debian/gsteditor.files, debian/gsteditor.manpages,
	debian/gsteditor.menu, debian/gstmediaplay.files,
	debian/gstmediaplay.manpages, debian/gstmediaplay.menu,
	debian/gstreamer-alsa.files, debian/gstreamer-cdparanoia.files,
	debian/gstreamer-common.files, debian/gstreamer-doc.files,
	debian/gstreamer-elements.files, debian/gstreamer-esd.files,
	debian/gstreamer-lame.files, debian/gstreamer-mpeg2dec.files,
	debian/gstreamer-mpg123.files,
	debian/gstreamer-plugin-template.postinst,
	debian/gstreamer-plugin-template.prerm,
	debian/gstreamer-runtime.files, debian/gstreamer-runtime.manpages,
	debian/gstreamer-runtime.postinst, debian/gstreamer-tools.files,
	debian/gstreamer-tools.manpages, debian/gstreamer-vorbis.files,
	debian/libgst-dev.files, debian/libgst-dev.manpages,
	debian/libgst0.files, debian/libgst0.postinst,
	debian/libgsteditor-dev.files, debian/libgsteditor0.files,
	debian/libgsteditor0.postinst, debian/libgstmediaplay-dev.files,
	debian/libgstmediaplay0.files, debian/libgstmediaplay0.postinst,
	debian/rules, docs/Makefile.am, docs/fwg/Makefile.am,
	docs/fwg/concepts.sgml, docs/fwg/firstplugin.sgml,
	docs/fwg/gst-plugin-writers-guide.sgml, docs/fwg/testapp.sgml,
	docs/fwg/titlepage.sgml, docs/fwg/typesnprops.sgml,
	docs/gst/Makefile.am, docs/gst/gstreamer-docs.sgml,
	docs/gst/gstreamer-sections.txt, docs/gst/gstreamer.hierarchy,
	docs/gst/gstreamer.types.in, docs/gst/tmpl/audioraw.sgml,
	docs/gst/tmpl/gstarch.sgml, docs/gst/tmpl/gstasyncdisksrc.sgml,
	docs/gst/tmpl/gstaudiosink.sgml, docs/gst/tmpl/gstaudiosrc.sgml,
	docs/gst/tmpl/gstautoplug.sgml, docs/gst/tmpl/gstbuffer.sgml,
	docs/gst/tmpl/gstcaps.sgml, docs/gst/tmpl/gstcpu.sgml,
	docs/gst/tmpl/gstdisksrc.sgml, docs/gst/tmpl/gstelement.sgml,
	docs/gst/tmpl/gstmultidisksrc.sgml, docs/gst/tmpl/gstobject.sgml,
	docs/gst/tmpl/gstpad.sgml, docs/gst/tmpl/gstpipeline.sgml,
	docs/gst/tmpl/gstplugin.sgml, docs/gst/tmpl/gstprops.sgml,
	docs/gst/tmpl/gstreamer-unused.sgml, docs/gst/tmpl/gstsinesrc.sgml,
	docs/gst/tmpl/gststaticautoplug.sgml,
	docs/gst/tmpl/gststaticautoplugrender.sgml,
	docs/gst/tmpl/gstutils.sgml, docs/gst/tmpl/videoraw.sgml,
	docs/libs/.cvsignore, docs/manual/Makefile.am,
	docs/manual/bins.sgml, docs/manual/debugging.sgml,
	docs/manual/dynamic.sgml, docs/manual/gstreamer-manual.sgml,
	docs/manual/helloworld.sgml, docs/manual/helloworld2.sgml,
	docs/manual/pads.sgml, docs/manual/plugins.sgml,
	docs/manual/queues.sgml, docs/manual/quotes.sgml,
	docs/manual/threads.sgml, docs/manual/typedetection.sgml,
	docs/manual/xml.sgml, docs/plugins/Makefile.am,
	docs/plugins/gstdoc-scanobj, docs/plugins/tmpl/ac3parse.sgml,
	docs/plugins/tmpl/audioscale.sgml,
	docs/plugins/tmpl/gstaviencoder.sgml,
	docs/plugins/tmpl/gstmpeg2enc.sgml,
	docs/plugins/tmpl/gstmpeg2play.sgml,
	docs/plugins/tmpl/gstmpeg_play.sgml,
	docs/plugins/tmpl/gstreamer-plugins-unused.sgml,
	docs/plugins/tmpl/gstspectrum.sgml,
	docs/plugins/tmpl/gstv4lsrc.sgml, docs/plugins/tmpl/gstwindec.sgml,
	docs/plugins/tmpl/gstwinenc.sgml, docs/plugins/tmpl/median.sgml,
	docs/plugins/tmpl/mp3parse.sgml, docs/plugins/tmpl/mpeg1parse.sgml,
	docs/plugins/tmpl/mpeg2parse.sgml,
	docs/plugins/tmpl/mpeg2subt.sgml, docs/plugins/tmpl/smooth.sgml,
	docs/plugins/tmpl/smoothwave.sgml, docs/plugins/tmpl/stereo.sgml,
	docs/plugins/tmpl/synaesthesia.sgml,
	docs/plugins/tmpl/system_encode.sgml,
	docs/plugins/tmpl/videoscale.sgml,
	docs/plugins/tmpl/videosink.sgml, docs/plugins/tmpl/volume.sgml,
	docs/plugins/tmpl/vumeter.sgml, docs/random/NOTES-0.1.1,
	docs/random/caps.dia, docs/random/hierarchy,
	docs/random/plugins.dia, docs/random/omega/eos,
	docs/random/omega/eos.old, docs/random/wtay/autoplug2,
	docs/random/wtay/caps-negociation, docs/random/wtay/capsnego-cases,
	editor/Makefile.am, editor/gsteditor.1, editor/gsteditor.h,
	editor/gsteditorproperty.c, examples/Makefile.am,
	examples/autoplug/.cvsignore, examples/autoplug/autoplug.c,
	examples/helloworld/helloworld.c,
	examples/helloworld2/helloworld2.c, examples/launch/mp3play,
	examples/plugins/example.c, examples/plugins/example.h,
	examples/queue/queue.c, examples/queue2/queue2.c,
	examples/queue3/queue3.c, examples/queue4/queue4.c,
	examples/thread/thread.c, examples/typefind/.cvsignore,
	examples/xml/createxml.c, examples/xml/runxml.c, gst/Makefile.am,
	gst/Makefile.am.future, gst/cothreads.c, gst/gst.c, gst/gst.h,
	gst/gstarch.h, gst/gstautoplug.c, gst/gstautoplug.h, gst/gstbin.c,
	gst/gstbuffer.c, gst/gstcaps.c, gst/gstcaps.h, gst/gstcpu.c,
	gst/gstcpu.h, gst/gstelement.c, gst/gstelement.h,
	gst/gstelementfactory.c, gst/gstinfo.c, gst/gstinfo.h,
	gst/gstobject.c, gst/gstpad.c, gst/gstpad.h, gst/gstparse.c,
	gst/gstpipeline.c, gst/gstpipeline.h, gst/gstplugin.c,
	gst/gstplugin.h, gst/gstprops.c, gst/gstprops.h,
	gst/gstpropsprivate.h, gst/gstqueue.c, gst/gstscheduler.c,
	gst/gstsparc.h, gst/gstthread.c, gst/gsttype.c, gst/gsttype.h,
	gst/gsttypefind.c, gst/gstutils.c, gst/gstutils.h,
	gst/elements/Makefile.am, gst/elements/gstaudiosink.c,
	gst/elements/gstaudiosink.h, gst/elements/gstaudiosrc.c,
	gst/elements/gstaudiosrc.h, gst/elements/gstdisksrc.c,
	gst/elements/gstelements.c, gst/elements/gstmultidisksrc.c,
	gst/elements/gstmultidisksrc.h, gst/elements/gstsinesrc.c,
	gst/elements/gstsinesrc.h, gst/elements/gsttee.c,
	gst/types/gsttypes.c, gstplay/Makefile.am, gstplay/callbacks.c,
	gstplay/gstmediaplay.1, gstplay/gstmediaplay.c,
	gstplay/gstmediaplay.glade, gstplay/gstplay.c, gstplay/gstplay.h,
	gstplay/gstplayprivate.h, include/Makefile.am, include/avifmt.h,
	include/default.h, include/registry.h, libs/Makefile.am,
	libs/getbits/gstgetbits.c, libs/getbits/gstgetbits.h,
	libs/getbits/gstgetbits_inl.h, libs/idct/gstidct.c,
	plugins/Makefile.am, plugins/alaw/Makefile.am,
	plugins/alaw/alaw-conversion.c, plugins/alaw/alaw-conversion.h,
	plugins/alaw/alaw-decode.c, plugins/alaw/alaw-decode.h,
	plugins/alaw/alaw-encode.c, plugins/alaw/alaw-encode.h,
	plugins/alaw/alaw.c, plugins/alaw/mulaw-conversion.c,
	plugins/alaw/mulaw-conversion.h, plugins/alsa/.cvsignore,
	plugins/alsa/Makefile.am, plugins/alsa/README, plugins/alsa/alsa.h,
	plugins/alsa/alsa_common.c, plugins/alsa/alsainfo.c,
	plugins/alsa/alsasink.c, plugins/alsa/alsasrc.c,
	plugins/artsd/.cvsignore, plugins/artsd/Makefile.am,
	plugins/artsd/REQUIREMENTS, plugins/artsd/artsdsink.c,
	plugins/artsd/artsdsink.h, plugins/au/gstparseau.c,
	plugins/au/gstparseau.h, plugins/audioscale/audioscale.c,
	plugins/audioscale/audioscale.h, plugins/avi/audiocodecs.c,
	plugins/avi/gstavidecoder.c, plugins/avi/gstavidecoder.h,
	plugins/avi/gstaviencoder.c, plugins/avi/gstaviencoder.h,
	plugins/avi/playcodecs.c, plugins/avi/wincodec/Makefile.am,
	plugins/avi/wincodec/gstwincodec.c,
	plugins/avi/wincodec/gstwincodec.h,
	plugins/avi/wincodec/gstwindec.c, plugins/avi/wincodec/gstwindec.h,
	plugins/avi/wincodec/gstwinenc.c, plugins/avi/wincodec/gstwinenc.h,
	plugins/capture/v4l/grab.h, plugins/capture/v4l/gstv4lsrc.c,
	plugins/capture/v4l/gstv4lsrc.h, plugins/cdparanoia/cdparanoia.c,
	plugins/effects/stereo/stereo.c, plugins/effects/stereo/stereo.h,
	plugins/effects/volume/volume.c, plugins/effects/volume/volume.h,
	plugins/esd/esdsink/esdsink.c, plugins/filters/Makefile.am,
	plugins/filters/filterstamp.README, plugins/filters/filterstamp.sh,
	plugins/filters/colorspace/.cvsignore,
	plugins/filters/colorspace/Makefile.am,
	plugins/filters/colorspace/colorspace.c,
	plugins/filters/colorspace/colorspace.h,
	plugins/filters/colorspace/yuv2rgb.c,
	plugins/filters/colorspace/yuv2rgb.h,
	plugins/filters/colorspace/yuv2rgb_mmx16.s,
	plugins/filters/ladspa/gstladspa.c,
	plugins/filters/median/median.c, plugins/filters/median/median.h,
	plugins/filters/passthrough/.cvsignore,
	plugins/filters/passthrough/Makefile.am,
	plugins/filters/passthrough/filter.func,
	plugins/filters/passthrough/passthrough.c,
	plugins/filters/passthrough/passthrough.h,
	plugins/filters/smooth/smooth.c, plugins/filters/smooth/smooth.h,
	plugins/filters/stereo2mono/Makefile.am,
	plugins/filters/stereo2mono/stereo2mono.c,
	plugins/filters/stereo2mono/stereo2mono.h,
	plugins/filters/volenv/.cvsignore,
	plugins/filters/volenv/Makefile.am,
	plugins/filters/volenv/filter.func,
	plugins/filters/volenv/volenv.c, plugins/filters/volenv/volenv.h,
	plugins/flx/Makefile.am, plugins/flx/flx_color.c,
	plugins/flx/flx_color.h, plugins/flx/flx_decoder.c,
	plugins/flx/flx_decoder.h, plugins/flx/flx_fmt.h,
	plugins/icecast/icecastsend/icecastsend.c, plugins/jpeg/gstjpeg.c,
	plugins/jpeg/gstjpegdec.c, plugins/jpeg/gstjpegdec.h,
	plugins/jpeg/gstjpegenc.c, plugins/jpeg/gstjpegenc.h,
	plugins/mp3decode/Makefile.am, plugins/mp3decode/mad/.cvsignore,
	plugins/mp3decode/mad/Makefile.am, plugins/mp3decode/mad/gstmad.c,
	plugins/mp3decode/mad/gstmad.h,
	plugins/mp3decode/mpg123/gstmpg123.c,
	plugins/mp3decode/mpg123/gstmpg123.h,
	plugins/mp3decode/mpg123/layer1.c,
	plugins/mp3decode/mpg123/layer3.c,
	plugins/mp3decode/mpg123/mpg123.c,
	plugins/mp3decode/mpg123/tabinit.c,
	plugins/mp3decode/parse/mp3parse.c,
	plugins/mp3decode/types/mp3types.c,
	plugins/mp3encode/lame/gstlame.c, plugins/mp3encode/lame/gstlame.h,
	plugins/mpeg1/mpeg1encoder/gstmpeg1encoder.c,
	plugins/mpeg1/mpeg1encoder/gstmpeg1encoder.h,
	plugins/mpeg1/mpeg_play/Makefile.am,
	plugins/mpeg1/mpeg_play/gstmpeg_play.c,
	plugins/mpeg1/mpeg_play/gstmpeg_play.h,
	plugins/mpeg1/mpeg_play/recon_mmxe.s,
	plugins/mpeg1/mpeg_play/recon_sse.s,
	plugins/mpeg1/mpeg_play/video.c,
	plugins/mpeg1/mpegaudio/gstmpegaudio.h,
	plugins/mpeg1/mpegtypes/mpeg1types.c,
	plugins/mpeg1/parse/mpeg1parse.c,
	plugins/mpeg1video/parse/mp1videoparse.c,
	plugins/mpeg2/Makefile.am, plugins/mpeg2/ac3dec/ac3dec.c,
	plugins/mpeg2/ac3dec/ac3dec.h, plugins/mpeg2/ac3dec/cpu_accel.c,
	plugins/mpeg2/ac3dec/decode.c, plugins/mpeg2/ac3parse/ac3parse.c,
	plugins/mpeg2/mpeg2dec/Makefile.am,
	plugins/mpeg2/mpeg2dec/attributes.h,
	plugins/mpeg2/mpeg2dec/decode.c,
	plugins/mpeg2/mpeg2dec/gstmpeg2dec.c,
	plugins/mpeg2/mpeg2dec/gstmpeg2dec.h,
	plugins/mpeg2/mpeg2dec/header.c, plugins/mpeg2/mpeg2dec/header.h,
	plugins/mpeg2/mpeg2dec/idct.c, plugins/mpeg2/mpeg2dec/idct.h,
	plugins/mpeg2/mpeg2dec/idct_mlib.c,
	plugins/mpeg2/mpeg2dec/idct_mmx.c,
	plugins/mpeg2/mpeg2dec/idct_mmx.h,
	plugins/mpeg2/mpeg2dec/mm_accel.h,
	plugins/mpeg2/mpeg2dec/motion_comp.c,
	plugins/mpeg2/mpeg2dec/motion_comp.h,
	plugins/mpeg2/mpeg2dec/motion_comp_mlib.c,
	plugins/mpeg2/mpeg2dec/motion_comp_mmx.c,
	plugins/mpeg2/mpeg2dec/motion_comp_sse.s,
	plugins/mpeg2/mpeg2dec/mpeg2.h,
	plugins/mpeg2/mpeg2dec/mpeg2_internal.h,
	plugins/mpeg2/mpeg2dec/output_video.h,
	plugins/mpeg2/mpeg2dec/slice.c, plugins/mpeg2/mpeg2dec/slice.h,
	plugins/mpeg2/mpeg2dec/stats.c, plugins/mpeg2/mpeg2dec/vlc.h,
	plugins/mpeg2/mpeg2enc/gstmpeg2enc.c,
	plugins/mpeg2/mpeg2enc/gstmpeg2enc.h,
	plugins/mpeg2/mpegtypes/mpeg2types.c,
	plugins/mpeg2/parse/mpeg2parse.c, plugins/mpeg2/video/Makefile.am,
	plugins/mpeg2/video/gstmpeg2play.c,
	plugins/mpeg2/video/gstmpeg2play.h, plugins/mpeg2/video/recon.c,
	plugins/mpeg2/video/recon_mmxe.s, plugins/mpeg2/video/recon_sse.s,
	plugins/mpeg2/videoparse/mp2videoparse.c,
	plugins/mulaw/Makefile.am, plugins/mulaw/mulaw-conversion.c,
	plugins/mulaw/mulaw-conversion.h, plugins/mulaw/mulaw-decode.c,
	plugins/mulaw/mulaw-decode.h, plugins/mulaw/mulaw-encode.c,
	plugins/mulaw/mulaw-encode.h, plugins/mulaw/mulaw.c,
	plugins/oss/.cvsignore, plugins/oss/Makefile.am,
	plugins/oss/gstossaudio.c, plugins/oss/gstosssink.c,
	plugins/oss/gstosssink.h, plugins/oss/gstosssrc.c,
	plugins/oss/gstosssrc.h, plugins/rtjpeg/RTjpeg.h,
	plugins/rtp/Makefile.am, plugins/rtp/rtpsend/.cvsignore,
	plugins/rtp/rtpsend/Makefile.am, plugins/rtp/rtpsend/rtp.c,
	plugins/rtp/rtpsend/rtp.h, plugins/rtp/rtpsend/rtpsend.c,
	plugins/rtp/rtpsend/rtpsend.h, plugins/videoscale/videoscale.c,
	plugins/videoscale/videoscale.h,
	plugins/visualization/smoothwave/smoothwave.h,
	plugins/visualization/spectrum/gstspectrum.c,
	plugins/visualization/spectrum/gstspectrum.h,
	plugins/visualization/synaesthesia/synaesthesia.c,
	plugins/visualization/synaesthesia/synaesthesia.h,
	plugins/visualization/vumeter/vumeter.c,
	plugins/visualization/vumeter/vumeter.h, plugins/vorbis/vorbis.c,
	plugins/vorbis/vorbisdec.c, plugins/wav/Makefile.am,
	plugins/wav/gstparsewav.c, plugins/wav/gstparsewav.h,
	plugins/wav/gstriff.c, plugins/xmms/.cvsignore,
	plugins/xmms/Makefile.am, plugins/xmms/effect.h,
	plugins/xmms/general.h, plugins/xmms/gstxmms.c,
	plugins/xmms/gstxmms.h, plugins/xmms/gstxmmseffect.c,
	plugins/xmms/gstxmmseffect.h, plugins/xmms/gstxmmsinput.c,
	plugins/xmms/gstxmmsinput.h, plugins/xmms/input.h,
	plugins/xmms/main.h, plugins/xmms/output.h,
	plugins/xmms/pluginenum.c, plugins/xmms/pluginenum.h,
	plugins/xmms/visualization.h, plugins/xmms/xmms.h,
	plugins/xvideosink/.cvsignore, plugins/xvideosink/Makefile.am,
	plugins/xvideosink/gstximage.c, plugins/xvideosink/gstximage.h,
	plugins/xvideosink/gstxvimage.c, plugins/xvideosink/gstxvimage.h,
	plugins/xvideosink/gstxwindow.c, plugins/xvideosink/gstxwindow.h,
	plugins/xvideosink/imagetest.c, plugins/xvideosink/xvideosink.c,
	plugins/xvideosink/xvideosink.h, test/.cvsignore, test/Makefile.am,
	test/a.c, test/ac3play.c, test/aviparse.c, test/m.c, test/mcut.c,
	test/mp1parse.c, test/mp1tomp1.c, test/mp2toavi.c, test/mp2tomp1.c,
	test/mp3.c, test/mp3play.c, test/mpeg2parse.c, test/mpeg2parse2.c,
	test/mpg123.c, test/p.c, test/qtest.c, test/r.c, test/record.c,
	test/s.c, test/spectrum.c, test/typefind.c, test/vidcapture.c,
	test/vidcapture2.c, test/videotest.c, test/videotest2.c, test/w.c,
	test/xmmstest.c, test/xml/readreg.c, tests/.cvsignore,
	tests/Makefile.am, tests/autoplug.c, tests/autoplug2.c,
	tests/autoplug3.c, tests/caps.c, tests/capsconnect.c,
	tests/paranoia.c, tests/props.c, tests/nego/.cvsignore,
	tests/nego/Makefile.am, tests/nego/nego1.c, testsuite/Makefile.am,
	testsuite/test_gst_init.c, testsuite/capsnego/.cvsignore,
	testsuite/capsnego/Makefile.am, testsuite/capsnego/capsnego.c,
	testsuite/capsnego/converter.c, testsuite/capsnego/converter2.c,
	testsuite/capsnego/enum.c, tools/Makefile.am, tools/README,
	tools/gstreamer-inspect.1, tools/gstreamer-inspect.c,
	tools/gstreamer-launch.1, tools/gstreamer-launch.c,
	tools/gstreamer-register.1: Merged HEAD from
	BRANCH-INCSCHED1-200104161 into BRANCH-INCSCHED1.

2001-04-16 22:33  wtay

	* test/: Makefile.am, mp3mad.c: Added an test program for the mad
	mp3 decoder.

2001-04-16 20:41  thomasvs

	* plugins/filters/adder/adder.c: commented some debug info to get a
	clean output

2001-04-16 20:38  thomasvs

	* examples/mixer/mixer.c: changed volume envelope; should do a nice
	transition between both songs now

2001-04-16 20:11  thomasvs

	* plugins/filters/volenv/volenv.c: removed example volume envelope
	registration plugin now accepts both a volume envelope (before
	start) or direct argument setting

2001-04-16 18:36  omegahacker

	* plugins/mp3decode/mad/gstmad.c: added code to deal with either
	0.12 or 0.13 of libmad

2001-04-16 17:45  wtay

	* gst/elements/: gstfakesink.c, gstfakesink.h: Added an arg to
	fakesink so that it doesn't printf.

2001-04-16 17:34  wtay

	* examples/: autoplug/autoplug.c, mixer/.cvsignore,
	mixer/Makefile.am, mixer/mixer.c: Added an example audio mixer.

2001-04-16 17:30  wtay

	* plugins/filters/: adder/.cvsignore, adder/Makefile.am,
	adder/adder.c, adder/adder.h, colorspace/colorspace.c: Added the
	audio mixer from Thomas Vander Stichele

2001-04-16 11:55  wtay

	* examples/autoplug/autoplug.c: Add the xvideosink to the example.

2001-04-16 01:59  wtay

	* plugins/filters/volenv/: filter.func, volenv.c: More volenv
	updates

2001-04-16 00:59  omegahacker

	* gst/gstbin.c, gst/gstscheduler.c, gst/gstthread.c,
	gst/elements/gstidentity.c, tests/threadlock.c: latest updates,
	things are very close to working

2001-04-16 00:44  wtay

	* plugins/filters/colorspace/: Makefile.am, colorspace.c,
	yuv2rgb.h: Don't compile the asm on non x86 machines.  Added a
	header file that will soon be part of the C fallback code..

2001-04-16 00:12  wtay

	* gst/gstinfo.c: Added missing category strings...

2001-04-16 00:05  wtay

	* plugins/esd/esdsink/esdsink.c: fixed the audio caps to the latest
	standard.

2001-04-15 23:54  omegahacker

	* tools/gstreamer-launch.c: save xml file of the launch cmdline

2001-04-15 23:54  omegahacker

	* gst/gstelement.h: added comment about missing flag

2001-04-15 23:53  omegahacker

	* gstreamer.spec.in: run gstreamer-register on postinstall

2001-04-15 23:52  omegahacker

	* gst/autoplug/: gststaticautoplug.c, gststaticautoplugrender.c:
	changed some INFOs to DEBUGs

2001-04-15 23:29  wtay

	* configure.in: Added the volenv/passthrough plugin Makefiles

2001-04-15 23:20  wtay

	* plugins/filters/: passthrough/.cvsignore,
	passthrough/passthrough.c, volenv/.cvsignore, volenv/Makefile.am,
	volenv/filter.func, volenv/volenv.c, volenv/volenv.h: Modified the
	passthrough filter with the new caps API Added the volume envelope
	filter

2001-04-15 16:30  wtay

	* plugins/filters/: filterstamp.README, filterstamp.sh,
	passthrough/Makefile.am, passthrough/filter.func,
	passthrough/passthrough.c, passthrough/passthrough.h: Added a
	little script to create an audio filter plugin template (provided
	by Thomas Vander Stichele)

2001-04-15 15:42  wtay

	* plugins/icecast/icecastsend/icecastsend.c: Updated the icecast
	plugin

2001-04-15 15:29  wtay

	* acconfig.h, configure.in, plugins/filters/Makefile.am,
	plugins/filters/colorspace/colorspace.c,
	plugins/mp3decode/Makefile.am, plugins/mp3decode/mad/.cvsignore,
	plugins/mp3decode/mad/Makefile.am, plugins/mp3decode/mad/gstmad.c,
	plugins/mp3decode/mad/gstmad.h, plugins/vorbis/vorbisdec.c,
	test/xmmstest.c: Added the mad mp3 decoder.  Added flushing to the
	vorbis decoder.  Updated configure.in to check for Hermes and
	libmad

2001-04-15 02:02  wtay

	* gst/gstprops.c: Fixed the gfloat error in the va_arg code.

2001-04-14 19:56  wtay

	* docs/gst/gstreamer-sections.txt, docs/gst/tmpl/gstcaps.sgml,
	docs/gst/tmpl/gstpad.sgml, docs/gst/tmpl/gstprops.sgml,
	docs/gst/tmpl/gstreamer-unused.sgml, docs/gst/tmpl/videoraw.sgml,
	editor/gsteditorproperty.c, examples/plugins/example.c,
	gst/gstcaps.c, gst/gstcaps.h, gst/gstpad.c, gst/gstpad.h,
	gst/gstplugin.c, gst/gstprops.c, gst/gstprops.h,
	gst/elements/gsttee.c, gstplay/Makefile.am, gstplay/gstplay.c,
	plugins/alaw/alaw.c, plugins/alsa/alsa.h,
	plugins/alsa/alsa_common.c, plugins/alsa/alsasink.c,
	plugins/alsa/alsasrc.c, plugins/artsd/artsdsink.c,
	plugins/au/gstparseau.c, plugins/audioscale/audioscale.c,
	plugins/avi/audiocodecs.c, plugins/avi/gstavidecoder.c,
	plugins/avi/gstaviencoder.c, plugins/avi/wincodec/gstwincodec.c,
	plugins/avi/wincodec/gstwindec.c, plugins/capture/v4l/gstv4lsrc.c,
	plugins/cdparanoia/cdparanoia.c, plugins/esd/esdsink/esdsink.c,
	plugins/filters/colorspace/colorspace.c,
	plugins/filters/colorspace/yuv2rgb.c,
	plugins/filters/stereo2mono/stereo2mono.c,
	plugins/flx/flx_decoder.c, plugins/jpeg/gstjpeg.c,
	plugins/mp3decode/mpg123/gstmpg123.c,
	plugins/mp3decode/parse/mp3parse.c,
	plugins/mp3decode/types/mp3types.c,
	plugins/mp3encode/lame/gstlame.c,
	plugins/mpeg1/mpeg_play/gstmpeg_play.c,
	plugins/mpeg1/mpegtypes/mpeg1types.c,
	plugins/mpeg1/parse/mpeg1parse.c,
	plugins/mpeg1video/parse/mp1videoparse.c,
	plugins/mpeg2/ac3dec/ac3dec.c, plugins/mpeg2/ac3parse/ac3parse.c,
	plugins/mpeg2/mpeg2dec/gstmpeg2dec.c,
	plugins/mpeg2/mpegtypes/mpeg2types.c,
	plugins/mpeg2/parse/mpeg2parse.c,
	plugins/mpeg2/video/gstmpeg2play.c,
	plugins/mpeg2/videoparse/mp2videoparse.c, plugins/mulaw/mulaw.c,
	plugins/oss/gstosssink.c, plugins/rtp/rtpsend/rtpsend.c,
	plugins/visualization/synaesthesia/synaesthesia.c,
	plugins/visualization/vumeter/vumeter.c, plugins/vorbis/vorbis.c,
	plugins/vorbis/vorbisdec.c, plugins/wav/gstriff.c,
	plugins/xmms/gstxmmseffect.c, plugins/xmms/gstxmmsinput.c,
	plugins/xvideosink/gstxvimage.c, plugins/xvideosink/xvideosink.c,
	tests/autoplug.c, tests/autoplug2.c, tests/autoplug3.c,
	tests/caps.c, tests/props.c, tools/gstreamer-inspect.c: A rather
	large patch:  - changed the API for the padtemplates:	   - remove
	the factories (array of pointers) for the padtemplates,       
	properties and caps. The static array was a nice idea but
	converting	  all the property values to a gpointer was not a
	good idea.	   float properties were not possible, and casting
	a gint to a pointer	    is not very portable. The new API just
	uses the _padtemplate_new,	   _caps_new and _props_new
	functions to create the templates.	   This has the added
	benefit that the API is now uniform for static	       and dynamic
	templates and that the code can be made cleaner.       - lots of
	cleanups in the way the capabilities are constructed (va_list)	   
	 - lots of updates for all the plugins (new API)   - docs updates
	(new API)   - removed the videoraw docs.

2001-04-12 19:11  wtay

	* components/bonobo-gstmediaplay/Makefile.am,
	components/bonobo-gstmediaplay/bonobo-gstmediaplay.c,
	docs/gst/Makefile.am, docs/gst/gstreamer-sections.txt,
	docs/gst/tmpl/gstpad.sgml, docs/gst/tmpl/gstreamer-unused.sgml,
	examples/helloworld/helloworld.c, gst/gstcaps.h, gst/gstinfo.h,
	gst/gstpad.c, gst/gstpad.h, gst/gstprops.c, gst/gstqueue.c,
	gst/autoplug/gststaticautoplugrender.c, gstplay/gstplay.c,
	gstplay/gstplayprivate.h, libs/idct/gstidct.c,
	plugins/artsd/Makefile.am, plugins/avi/gstavidecoder.c,
	plugins/avi/playcodecs.c, plugins/avi/wincodec/gstwincodec.c,
	plugins/avi/wincodec/gstwindec.c, plugins/filters/Makefile.am,
	plugins/filters/colorspace/Makefile.am,
	plugins/filters/colorspace/colorspace.c,
	plugins/filters/colorspace/colorspace.h,
	plugins/filters/colorspace/yuv2rgb_mmx16.s,
	plugins/filters/stereo2mono/stereo2mono.c,
	plugins/mpeg1/mpeg_play/gstmpeg_play.c,
	plugins/mpeg1/mpeg_play/video.c, plugins/mpeg2/ac3dec/ac3dec.c,
	plugins/mpeg2/ac3dec/decode.c,
	plugins/mpeg2/mpeg2dec/gstmpeg2dec.c, plugins/oss/gstosssink.c,
	plugins/xvideosink/gstxvimage.c, plugins/xvideosink/gstxwindow.c,
	plugins/xvideosink/gstxwindow.h, plugins/xvideosink/xvideosink.c,
	plugins/xvideosink/xvideosink.h, test/mpeg2parse2.c: Lots of
	updates to the plugins for caps negotiation.  Added YUY2 output to
	the win32 dlls.  Added a colorspace converter in gstplay

2001-04-10 20:46  wtay

	* docs/gst/: gstreamer-docs.sgml, gstreamer-sections.txt,
	tmpl/gstcaps.sgml, tmpl/gstprops.sgml, tmpl/gstreamer-unused.sgml:
	Fixed the doc build warnings

2001-04-09 20:56  mhowell

	* docs/random/matth/scheduling.txt: added incremental scheduling
	notes

2001-04-09 20:56  mhowell

	* docs/random/matth/scheduling.txt: file scheduling.txt was
	initially added on branch BRANCH-INCSCHED1.

2001-04-06 17:29  scavenger

	* configure.in, plugins/Makefile.am, plugins/alaw/Makefile.am,
	plugins/alaw/alaw-conversion.c, plugins/alaw/alaw-conversion.h,
	plugins/alaw/alaw-decode.c, plugins/alaw/alaw-decode.h,
	plugins/alaw/alaw-encode.c, plugins/alaw/alaw-encode.h,
	plugins/alaw/alaw.c, plugins/alaw/mulaw-conversion.c,
	plugins/alaw/mulaw-conversion.h: Added ALaw encoder and decoder

2001-04-06 15:20  scavenger

	* plugins/wav/Makefile.am: Makefile.am forgot to include gstriff.c

2001-04-03 17:25  scavenger

	* plugins/au/gstparseau.c: Updated parseau to use caps nego

2001-04-03 05:56  richardb

	* gst/Makefile.am.future: Add a proposed makefile to use in place
	of Makefile.am.  This depends on automake 1.4d or later, but is
	much neater, avoiding horrible hacks to pass special flags in.
	
	I put it here for safekeeping until automake 1.5 is released, at
	which point we can reasonably require it.

2001-04-03 05:53  richardb

	* configure.in, plugins/Makefile.am, plugins/artsd/.cvsignore,
	plugins/artsd/Makefile.am, plugins/artsd/REQUIREMENTS,
	plugins/artsd/artsdsink.c, plugins/artsd/artsdsink.h: Add artsdsink
	plugin.  Worked first time for me. :)

2001-04-03 05:52  richardb

	* plugins/alsa/Makefile.am: Remove weird characters from alsa
	Makefile.am  (Had some 240's there.  Uh?) Also, remove some
	unwanted CFLAGS which had been added.

2001-04-03 05:38  richardb

	* gst/gstplugin.c: Fix obscure segfault I just got: perhaps due to
	running with libxml 1.8.11 (prerelease version), but a worthwhile
	fix anyway.

2001-04-03 02:30  scavenger

	* plugins/mulaw/mulaw-decode.c: fixed bug passing outbuf size
	instead of in buf size to mulaw decode function

2001-04-03 02:18  scavenger

	* plugins/mulaw/mulaw-decode.c: typo mistaked src_template with
	sink_template

2001-04-03 02:01  wtay

	* plugins/mulaw/mulaw.c: Use capstemplates to create the
	padtemplates for the two elements in the mulaw plugin.

2001-04-03 01:46  wtay

	* plugins/xvideosink/xvideosink.c: Don't try to initialize Xv if it
	is not available.

2001-04-03 01:43  scavenger

	* plugins/mulaw/mulaw-decode.h: fixed typo in get_type

2001-04-03 01:38  scavenger

	* plugins/mulaw/: mulaw-decode.c, mulaw-encode.c, mulaw.c: moved
	details of mulawencode and mulawdecode to mulaw.c

2001-04-03 01:33  scavenger

	* plugins/mulaw/: mulaw-decode.c, mulaw-encode.c: removed a
	redundant caps=NULL statement

2001-04-03 01:30  scavenger

	* plugins/mulaw/: mulaw-decode.c, mulaw-encode.c: fixed stupid bug
	where srcpads were being created twice, second time around
	wrongly!!!!

2001-04-03 01:25  scavenger

	* plugins/mulaw/: Makefile.am, mulaw-conversion.c,
	mulaw-conversion.h, mulaw-decode.c, mulaw-decode.h, mulaw-encode.c,
	mulaw.c: added mulaw decoder

2001-04-02 21:03  wtay

	* plugins/filters/colorspace/: .cvsignore, Makefile.am,
	colorspace.c, colorspace.h: Added a non functional colorspace
	converter

2001-04-02 20:56  wtay

	* configure.in, docs/libs/.cvsignore,
	examples/helloworld/helloworld.c, gst/gstprops.c, gst/gstprops.h,
	gst/gstpropsprivate.h: Merged the float property patch from Steve
	Baker. This patch doesn't really work yet...

2001-04-02 19:29  wtay

	* plugins/mulaw/mulaw-encode.c: This is how I see the caps
	negotiation for the mulaw element.  In the sink negotiate pad it
	copies the caps and modifies it according to what it is going to
	ouput. It then tries to set the caps on the src pad, if that
	succeeds, negotiation succeeds, else it fails.

2001-04-02 18:54  scavenger

	* configure.in, plugins/Makefile.am, plugins/mulaw/Makefile.am,
	plugins/mulaw/mulaw-conversion.c, plugins/mulaw/mulaw-conversion.h,
	plugins/mulaw/mulaw-encode.c, plugins/mulaw/mulaw-encode.h: Start
	of the mulaw plugin...needs finishing off

2001-04-02 16:09  richardb

	* configure.in: Add configure support for detecting artsc: if this
	is found, its okay to build an artsdsink plugin.  Now, someone just
	needs to write an artsdsink.

2001-04-02 16:08  richardb

	* plugins/oss/gstosssink.c: Correct tiny typo.

2001-04-02 15:21  wtay

	* gst/gstcaps.c, gst/gstprops.c, gstplay/gstplay.c,
	plugins/Makefile.am, plugins/avi/audiocodecs.c,
	plugins/avi/gstavidecoder.c, plugins/avi/gstavidecoder.h,
	plugins/avi/gstaviencoder.h, plugins/avi/playcodecs.c,
	plugins/avi/wincodec/Makefile.am,
	plugins/avi/wincodec/gstwincodec.c,
	plugins/avi/wincodec/gstwincodec.h,
	plugins/avi/wincodec/gstwindec.c, plugins/avi/wincodec/gstwindec.h,
	plugins/avi/wincodec/gstwinenc.c, plugins/avi/wincodec/gstwinenc.h,
	plugins/capture/v4l/gstv4lsrc.c, plugins/filters/median/median.c,
	plugins/filters/median/median.h, plugins/filters/smooth/smooth.c,
	plugins/filters/smooth/smooth.h, plugins/flx/flx_decoder.c,
	plugins/flx/flx_decoder.h, plugins/jpeg/gstjpeg.c,
	plugins/jpeg/gstjpegdec.c, plugins/jpeg/gstjpegdec.h,
	plugins/jpeg/gstjpegenc.c, plugins/jpeg/gstjpegenc.h,
	plugins/mpeg1/mpeg1encoder/gstmpeg1encoder.c,
	plugins/mpeg1/mpeg1encoder/gstmpeg1encoder.h,
	plugins/mpeg1/mpeg_play/gstmpeg_play.c,
	plugins/mpeg1/mpeg_play/gstmpeg_play.h,
	plugins/mpeg2/mpeg2dec/gstmpeg2dec.c,
	plugins/mpeg2/mpeg2dec/gstmpeg2dec.h,
	plugins/mpeg2/mpeg2enc/gstmpeg2enc.c,
	plugins/mpeg2/mpeg2enc/gstmpeg2enc.h,
	plugins/mpeg2/parse/mpeg2parse.c,
	plugins/mpeg2/video/gstmpeg2play.c,
	plugins/mpeg2/video/gstmpeg2play.h,
	plugins/videoscale/videoscale.c, plugins/videoscale/videoscale.h,
	plugins/xvideosink/Makefile.am, plugins/xvideosink/gstximage.c,
	plugins/xvideosink/gstximage.h, plugins/xvideosink/gstxvimage.c,
	plugins/xvideosink/gstxvimage.h, plugins/xvideosink/xvideosink.c,
	test/Makefile.am, test/mpeg2parse2.c, test/videotest2.c: A rather
	large update:  - a new videosink using plain X windows
	(xvideosink). It uses capsnego to    set up it's formats.   -
	gstplay uses the new xvideosink and a gtk_socket. The initial
	window	   size is set to 0x0 so you need to resize it before you
	see something.	 - got rid of the video metadata include file in
	favour of properties and     caps negotiation	- adjusted most
	plugins to not use the metadata.

2001-04-02 15:08  omegahacker

	* gst/gstinfo.c: added PID and cID to INFO lines when DEBUG is
	turned on

2001-04-01 15:09  wtay

	* gstplay/: callbacks.c, gstmediaplay.glade: Small change to load
	the .glade file from the current dir too when pressing the about
	menu item.

2001-04-01 15:01  wtay

	* gstplay/: gstmediaplay.glade, gstplay.c: This patch is now The
	Right Way(tm) to handle the stop button but at least it doesn't
	crash...

2001-04-01 14:51  wtay

	* gstplay/gstplay.c: Slightly modified the _stop handling so that
	gstmediaplay crashes less viontly. The real problem is that going
	to the NULL state does not clean up the scheduling structures I
	think..

2001-03-31 15:35  wtay

	* plugins/capture/v4l/gstv4lsrc.c: Make sure the endianness is
	correct when we agree to yuv formats in capsnego.

2001-03-31 15:22  wtay

	* plugins/capture/v4l/gstv4lsrc.c: Only agree to the caps
	negotiation if the format is supported by the driver.

2001-03-31 15:10  wtay

	* plugins/xvideosink/gstxvimage.c: Corrected a endianness bug in
	the format print code.

2001-03-31 14:47  wtay

	* plugins/capture/v4l/gstv4lsrc.c: Added a little debug info in the
	capsnego process.

2001-03-31 02:08  wtay

	* plugins/filters/stereo2mono/stereo2mono.c: Some cleanups.  Added
	the padtemplates to the elementfactory.

2001-03-31 01:56  scavenger

	* configure.in, plugins/filters/Makefile.am: Added stereo2mono
	plugin

2001-03-31 01:47  scavenger

	* plugins/filters/stereo2mono/: Makefile.am, stereo2mono.c,
	stereo2mono.h: stereo2mono plugin with caps negotiation code
	started and working

2001-03-31 01:13  wtay

	* tests/: caps.c, props.c: Adjust the test cases to the new FOURCC
	API.

2001-03-31 00:56  wtay

	* examples/helloworld/helloworld.c, gst/gstprops.h,
	plugins/avi/gstavidecoder.c, plugins/avi/wincodec/gstwincodec.c,
	plugins/capture/v4l/gstv4lsrc.c, plugins/jpeg/gstjpeg.c,
	plugins/mpeg1/mpeg_play/gstmpeg_play.c,
	plugins/mpeg2/mpeg2dec/gstmpeg2dec.c,
	plugins/mpeg2/video/gstmpeg2play.c: Simplified the FOURCC API to
	the caps, add a GST_MAKE_FOURCC macro to create a fourcc.  Adjusted
	the plugins to use the new FOURCC API

2001-03-31 00:51  wtay

	* plugins/xvideosink/: gstximage.c, gstxvimage.c, gstxvimage.h,
	xvideosink.c: Check for Xv support before trying to get caps.

2001-03-30 21:10  wtay

	* docs/gst/tmpl/gstmultidisksrc.sgml, examples/autoplug/.cvsignore,
	examples/typefind/.cvsignore, plugins/xvideosink/.cvsignore: Small
	updates to the .cvsignore  files.

2001-03-30 21:08  wtay

	* acconfig.h, configure.in, plugins/Makefile.am,
	plugins/filters/Makefile.am, plugins/filters/ladspa/gstladspa.c,
	plugins/mp3decode/mpg123/mpg123.c, plugins/oss/gstosssink.c,
	plugins/rtjpeg/RTjpeg.h: Applied the FreeBSD patch from Orion with
	some minor modifications to the configure.in patch.

2001-03-30 20:52  wtay

	* gst/gstthread.c: This hopefully fixes a slight thread sync issue.

2001-03-30 01:06  omegahacker

	* AUTHORS, Makefile.am, configure.in, gstreamer.spec.in,
	gst/gstbin.c, gst/gstelement.c, gst/gstpad.c, gst/gstscheduler.c,
	gst/gstscheduler.h, gst/gstthread.c, tests/incsched.c,
	tests/threadlock.c, tools/gstreamer-launch.c: snapshot for matth to
	work with while I fly over to Europe....

2001-03-29 23:33  wtay

	* test/videotest2.c: Added a test program to test v4lsrc and
	xvideosink doing capsnego.

2001-03-29 23:31  wtay

	* configure.in, gst/gstcaps.c, gst/gstpad.c, gst/gstprops.c,
	gst/types/gsttypes.c, plugins/capture/v4l/grab.h,
	plugins/capture/v4l/gstv4lsrc.c, plugins/capture/v4l/gstv4lsrc.h,
	plugins/xvideosink/.cvsignore, plugins/xvideosink/Makefile.am,
	plugins/xvideosink/gstximage.c, plugins/xvideosink/gstximage.h,
	plugins/xvideosink/gstxvimage.c, plugins/xvideosink/gstxvimage.h,
	plugins/xvideosink/gstxwindow.c, plugins/xvideosink/gstxwindow.h,
	plugins/xvideosink/imagetest.c, plugins/xvideosink/xvideosink.c,
	plugins/xvideosink/xvideosink.h, test/Makefile.am: Added a plain X
	videosink, the videosink uses capsnego.  adjusted the v4lsrc so
	that it uses capsnego on the src pad Small fixed to capsnego and
	the properties/caps.

2001-03-29 18:27  richardb

	* docs/gst/: Makefile.am, gstreamer.types.in: Remove references to
	audiosink, audiosrc, and audioraw.  Documentation at least _starts_
	to get built, now.

2001-03-27 18:34  wtay

	* docs/gst/: gstreamer-sections.txt, tmpl/gstcaps.sgml,
	tmpl/gstprops.sgml, tmpl/gstreamer-unused.sgml: More docs updates

2001-03-27 18:33  wtay

	* plugins/wav/gstparsewav.c: Removed the oss dependency

2001-03-27 17:25  wtay

	* docs/gst/: gstreamer-docs.sgml, gstreamer-sections.txt,
	gstreamer.hierarchy, tmpl/audioraw.sgml, tmpl/gstaudiosink.sgml,
	tmpl/gstaudiosrc.sgml, tmpl/gstcaps.sgml, tmpl/gstprops.sgml,
	tmpl/gstreamer-unused.sgml: Removed the audiosink/src from the
	docs.  Removed the audioraw metadata file from the docs.

2001-03-26 12:12  richardb

	* plugins/mp3decode/Makefile.am: Fix makefile.am so that SUBDIRS is
	not defined both conditionally and unconditionally - broke some
	versions of automake.

2001-03-24 18:50  wtay

	* plugins/: alsa/alsa.h, alsa/alsa_common.c, alsa/alsasink.c,
	alsa/alsasrc.c, au/gstparseau.c, effects/stereo/stereo.c,
	effects/stereo/stereo.h, effects/volume/volume.c,
	effects/volume/volume.h, esd/esdsink/esdsink.c,
	visualization/smoothwave/smoothwave.h,
	visualization/spectrum/gstspectrum.c,
	visualization/spectrum/gstspectrum.h,
	visualization/synaesthesia/synaesthesia.c,
	visualization/synaesthesia/synaesthesia.h,
	visualization/vumeter/vumeter.c, visualization/vumeter/vumeter.h,
	wav/gstparsewav.c, wav/gstparsewav.h: Commented out the references
	to the old metadata handling in various plugins. They need to be
	converted to the new audio properties before they will work again. 
	esdsink and alsasrc/sink are seriously damaged now.. :(

2001-03-24 18:28  wtay

	* plugins/oss/gstosssink.c: Correctly set up the OSS format based
	on the caps.

2001-03-24 17:22  wtay

	* configure.in, examples/autoplug/autoplug.c,
	examples/helloworld/helloworld.c,
	examples/helloworld2/helloworld2.c, examples/launch/mp3play,
	examples/queue/queue.c, examples/queue2/queue2.c,
	examples/queue3/queue3.c, examples/queue4/queue4.c,
	examples/thread/thread.c, examples/xml/createxml.c,
	gst/Makefile.am, gst/gstcaps.c, gst/gstcaps.h, gst/gstprops.c,
	gst/gstprops.h, gst/gstpropsprivate.h, gst/elements/Makefile.am,
	gst/elements/gstaudiosink.c, gst/elements/gstaudiosink.h,
	gst/elements/gstaudiosrc.c, gst/elements/gstaudiosrc.h,
	gst/elements/gstelements.c, gst/elements/gstmultidisksrc.c,
	gst/elements/gstmultidisksrc.h, gst/elements/gstsinesrc.c,
	gst/elements/gstsinesrc.h, gstplay/gstplay.c, plugins/Makefile.am,
	plugins/au/gstparseau.c, plugins/au/gstparseau.h,
	plugins/audioscale/audioscale.c, plugins/audioscale/audioscale.h,
	plugins/avi/audiocodecs.c, plugins/avi/gstavidecoder.c,
	plugins/avi/gstavidecoder.h, plugins/avi/gstaviencoder.h,
	plugins/flx/flx_decoder.c, plugins/mp3decode/mpg123/gstmpg123.c,
	plugins/mp3decode/mpg123/gstmpg123.h,
	plugins/mpeg1/mpeg_play/gstmpeg_play.c,
	plugins/mpeg1/mpegaudio/gstmpegaudio.h,
	plugins/mpeg1video/parse/mp1videoparse.c,
	plugins/mpeg2/ac3dec/ac3dec.c, plugins/mpeg2/ac3dec/ac3dec.h,
	plugins/mpeg2/mpeg2dec/gstmpeg2dec.c,
	plugins/mpeg2/parse/mpeg2parse.c, plugins/oss/.cvsignore,
	plugins/oss/Makefile.am, plugins/oss/gstossaudio.c,
	plugins/oss/gstosssink.c, plugins/oss/gstosssink.h,
	plugins/oss/gstosssrc.c, plugins/oss/gstosssrc.h,
	plugins/vorbis/vorbis.c, plugins/vorbis/vorbisdec.c, test/a.c,
	test/ac3play.c, test/aviparse.c, test/m.c, test/mcut.c,
	test/mp1parse.c, test/mp1tomp1.c, test/mp2toavi.c, test/mp2tomp1.c,
	test/mp3.c, test/mp3play.c, test/mpeg2parse.c, test/mpg123.c,
	test/p.c, test/qtest.c, test/r.c, test/record.c, test/s.c,
	test/spectrum.c, test/typefind.c, test/vidcapture.c,
	test/vidcapture2.c, test/w.c, test/xmmstest.c, tests/autoplug.c,
	tests/autoplug3.c, tests/paranoia.c, tools/README,
	tools/gstreamer-inspect.c: Modified a lot of plugins to use the
	caps system.  Modified the caps of audio/raw to our agreed
	properties.  Added the multidisksrc plugin of Dominic Ludlam
	Renamed audiosink/src to osssink/src and updated all the examples
	using the old name. Moved oss specific plugins in an oss directory.
	removed the old audiosink from the elements/ dir.  removed
	audioraw.h metadata header files since we now use the properties. 
	There are still a few plugins that won't build because they include
	the old audioraw.h header file. This will be fixed soon.  Make sure
	the caps are set in the plugins as described by their padtemplates
	(this should solve problems with gstmediaplay with various media
	files).
	
	*please don't panic when some plugins won't build, just cd manually
	into the plugin dirs* This will be fixed soon.

2001-03-22 16:05  dlehn

	* debian/: Makefile.am, changelog, control, gsteditor.manpages,
	gstmediaplay.manpages, gstreamer-alsa.files,
	gstreamer-common.files, gstreamer-elements.files,
	gstreamer-mpeg2dec.files, gstreamer-runtime.manpages,
	gstreamer-tools.manpages, libgst-dev.manpages, rules: Debian
	updates: * add manpages * split off mpeg2dec and alsa packages *
	use latest doc build flags

2001-03-22 00:03  wtay

	* plugins/flx/flx_decoder.c: unref the header buffer too.

2001-03-22 00:00  wtay

	* docs/gst/tmpl/: gststaticautoplug.sgml,
	gststaticautoplugrender.sgml: Added the templates for the
	autoplugger docs

2001-03-21 23:59  wtay

	* configure.in, plugins/Makefile.am, plugins/flx/Makefile.am,
	plugins/flx/flx_color.c, plugins/flx/flx_color.h,
	plugins/flx/flx_decoder.c, plugins/flx/flx_decoder.h,
	plugins/flx/flx_fmt.h: Added the FLX decoder of Sepp Wijnands
	<mrrazz@garbage-coderz.net>

2001-03-21 21:43  wtay

	* docs/gst/gstreamer-docs.sgml, docs/gst/gstreamer-sections.txt,
	docs/gst/tmpl/gstarch.sgml, docs/gst/tmpl/gstautoplug.sgml,
	docs/gst/tmpl/gstcaps.sgml, docs/gst/tmpl/gstcpu.sgml,
	docs/gst/tmpl/gstelement.sgml, docs/gst/tmpl/gstpad.sgml,
	docs/gst/tmpl/gstplugin.sgml, docs/gst/tmpl/gstprops.sgml,
	docs/gst/tmpl/gstreamer-unused.sgml, docs/gst/tmpl/gstsinesrc.sgml,
	docs/gst/tmpl/gstutils.sgml, gst/gstautoplug.c, gst/gstcaps.c,
	gst/gstpad.c, gst/gstpad.h, gst/gstplugin.c, gst/gstprops.c,
	gst/gstprops.h, gst/gstutils.c: API docs updates

2001-03-20 23:12  richardb

	* configure.in, docs/Makefile.am, docs/manual/typedetection.sgml,
	examples/plugins/example.c: Added --enable-plugin-docs configure
